REM
REM Deletes all evidence of previous conformance test.  Warning do not use
REM if you are wishing to rerun conformance test on the same data model, since
REM this script deletes data model specific files.  Run make clean in the conformanceInterfaceTests directory
REM to only delete conformance artifacts

REM Delete artifacts/gold standard libraries
cd goldStandardLibraries/C
make clean
cd ..\..

cd goldStandardLibraries/C++
make clean
cd ..\..

cd goldStandardLibraries/Ada
make clean
cd ..\..

cd goldStandardLibraries/Java
make clean
cd ..\..

REM Delete artifacts from conformance tests
cd conformanceInterfaceTests/C
make clean
cd ..\..

cd conformanceInterfaceTests/C++
make clean
cd ..\..

cd conformanceInterfaceTests/Ada
make clean
cd ..\..

REM Delete artifacts from compilerSpecific directories
cd compilerSpecific/C
make clean
cd ..\..

cd compilerSpecific/C++
make clean
cd ..\..

cd compilerSpecific/Ada
make clean
cd ..\..

REM Delete Datamodel specific include files and source files from the gold standard libraries/conformance test
python face_conformance_app/delete_data_model_specific_files.py