
-- pragma Assertion_Policy (Check);  -- Check assertions that follow:
pragma Optimize(Off); -- turn off optional optimizations

with FACE_Basic_Types; 
with FACE; 
with FACE.IO; 
with Interfaces.C; 
with System; 


procedure test17 is

procedure test17_helper is


    -- Enums have the size of a C int for interoperability
    subtype EnumSizeTestType is Integer range Face_Basic_Types.Enum_Size .. Face_Basic_Types.Enum_Size;
    
    VarEnumSize : EnumSizeTestType;
    Var : FACE.IO.M1553_STATUS_TYPE;



begin

    
    -- Testing FACE.IO.M1553_STATUS_TYPE has all enumerations
    Var := FACE.IO.M1553_BC_IO_NO_RESPONSE;
    Var := FACE.IO.M1553_BC_IO_LOOP_TEST_FAIL;
    Var := FACE.IO.M1553_BC_IO_MSG_RETRIED;
    Var := FACE.IO.M1553_BC_IO_BAD_DATA_BLOCK;
    Var := FACE.IO.M1553_BC_IO_ADDRESS_ERROR;
    Var := FACE.IO.M1553_BC_IO_WORD_COUNT_ERROR;
    Var := FACE.IO.M1553_BC_IO_SYNC_ERROR;
    Var := FACE.IO.M1553_BC_IO_INVALID_WORD;
    Var := FACE.IO.M1553_RT_IO_TERMINAL_FLAG;
    Var := FACE.IO.M1553_RT_IO_SUBSYSTEM_FLAG;
    Var := FACE.IO.M1553_RT_IO_SERVICE_REQUEST;
    Var := FACE.IO.M1553_RT_IO_BUSY;
    Var := FACE.IO.M1553_RT_IO_DYNAMIC_BC;
    Var := FACE.IO.M1553_RT_IO_NO_RESPONSE;
    Var := FACE.IO.M1553_RT_IO_LOOP_TEST_FAIL;
    Var := FACE.IO.M1553_RT_IO_ILLEGAL_COMMAND_WORD;
    Var := FACE.IO.M1553_RT_IO_WORD_COUNT_ERROR;
    Var := FACE.IO.M1553_RT_IO_SYNC_ERROR;
    Var := FACE.IO.M1553_RT_IO_INVALID_WORD;
    Var := FACE.IO.M1553_RT_IO_RT_RT_GAP_SYNC_ADDR_ERROR;
    Var := FACE.IO.M1553_RT_IO_RT_RT_2ND_CMD_ERROR;
    Var := FACE.IO.M1553_RT_IO_COMMAND_WORD_ERROR;
    Var := FACE.IO.M1553_BM_IO_NO_RESPONSE;
    Var := FACE.IO.M1553_BM_IO_WORD_COUNT_ERROR;
    Var := FACE.IO.M1553_BM_IO_SYNC_ERROR;
    Var := FACE.IO.M1553_BM_IO_INVALID_WORD;
    Var := FACE.IO.M1553_BM_IO_RT_RT_GAP_SYNC_ADDR_ERROR;
    Var := FACE.IO.M1553_BM_IO_RT_RT_2ND_CMD_ERROR;
    Var := FACE.IO.M1553_BM_IO_COMMAND_WORD_ERROR;
    Var := FACE.IO.M1553_BM_IO_BAD_DATA_BLOCK;
    Var := FACE.IO.M1553_BM_IO_MESSAGE_ERROR;
    Var := FACE.IO.M1553_BM_IO_INSTRUMENTATION;
    Var := FACE.IO.M1553_BM_IO_SERVICE_REQUEST;
    Var := FACE.IO.M1553_BM_IO_RESERVED_BITS;
    Var := FACE.IO.M1553_BM_IO_BROADCAST_RCVD;
    Var := FACE.IO.M1553_BM_IO_BUSY;
    Var := FACE.IO.M1553_BM_IO_SF;
    Var := FACE.IO.M1553_BM_IO_DYNAMIC_BC;
    Var := FACE.IO.M1553_BM_IO_TF;
    Var := FACE.IO.M1553_DRIVER_READY;
    Var := FACE.IO.M1553_DRIVER_ERROR;
    Var := FACE.IO.M1553_UNKNOWN_ERROR;
    Var := FACE.IO.M1553_RX_SUCCESS;
    Var := FACE.IO.M1553_TX_SUCCESS;
    Var := FACE.IO.M1553_RXMODE_SUCCESS;
    Var := FACE.IO.M1553_TXMODE_SUCCESS;
    Var := FACE.IO.M1553_RT_TO_RT_SUCCESS;
    Var := FACE.IO.M1553_BC_IO_GO;
    Var := FACE.IO.M1553_BC_IO_NOGO_A;
    Var := FACE.IO.M1553_BC_IO_NOGO_B;
    Var := FACE.IO.M1553_BC_IO_NOGO_T;
    
    VarEnumSize := FACE.IO.M1553_STATUS_TYPE'Size;

end test17_helper;

begin
   NULL;
end;
