
-- pragma Assertion_Policy (Check);  -- Check assertions that follow:
pragma Optimize(Off); -- turn off optional optimizations

with FACE_Basic_Types; 
with FACE; 
with FACE.HMFM; 
with System; 


procedure test12 is

procedure test12_helper is

    -- Declare Variables and Types for Testing FACE.HMFM.FAULT_MESSAGE_MAXIMUM_SIZE
    use FACE.HMFM;  -- Needed for "=" to work
    -- Testing FACE.HMFM.FAULT_MESSAGE_MAXIMUM_SIZE value is conformant
    subtype TestType is FACE.HMFM.FAULT_MESSAGE_SIZE_TYPE range 128 .. 128;
    Var : TestType;
    
    -- Testing FACE.HMFM.FAULT_MESSAGE_MAXIMUM_SIZE size is conformant (FACE.HMFM.FAULT_MESSAGE_SIZE_TYPE)
    subtype SizeTestType is Integer range FACE.HMFM.FAULT_MESSAGE_SIZE_TYPE'Size .. FACE.HMFM.FAULT_MESSAGE_SIZE_TYPE'Size;
    VarSize : SizeTestType;
    



begin

    -- Assign FACE.HMFM.FAULT_MESSAGE_MAXIMUM_SIZE to a type with range of expected value (128)
    -- Note:  The assignment on the following line will produce a warning if not conformant; will not throw error
    Var := TestType(FACE.HMFM.FAULT_MESSAGE_MAXIMUM_SIZE);
    
    -- Assign Size of FACE.HMFM.FAULT_MESSAGE_MAXIMUM_SIZE to a type with range of expected Size
    -- Note:  The assignment on the following line will produce a warning if not conformant; will not throw error
    VarSize := FACE.HMFM.FAULT_MESSAGE_MAXIMUM_SIZE'Size;

end test12_helper;

begin
   NULL;
end;
