
-- pragma Assertion_Policy (Check);  -- Check assertions that follow:
pragma Optimize(Off); -- turn off optional optimizations

with FACE_Basic_Types; 
with FACE; 
with FACE.HMFM; 
with System; 


procedure test15 is

procedure test15_helper is


    -- Enums have the size of a C int for interoperability
    subtype EnumSizeTestType is Integer range Face_Basic_Types.Enum_Size .. Face_Basic_Types.Enum_Size;
    
    VarEnumSize : EnumSizeTestType;
    Var : FACE.HMFM.FAULT_CODE_TYPE;



begin

    
    -- Testing FACE.HMFM.FAULT_CODE_TYPE has all enumerations
    Var := FACE.HMFM.DEADLINE_MISSED;
    Var := FACE.HMFM.APPLICATION_ERROR;
    Var := FACE.HMFM.NUMERIC_ERROR;
    Var := FACE.HMFM.ILLEGAL_REQUEST;
    Var := FACE.HMFM.STACK_OVERFLOW;
    Var := FACE.HMFM.MEMORY_VIOLATION;
    Var := FACE.HMFM.HARDWARE_FAULT;
    Var := FACE.HMFM.POWER_FAIL;
    
    VarEnumSize := FACE.HMFM.FAULT_CODE_TYPE'Size;

end test15_helper;

begin
   NULL;
end;
