
-- pragma Assertion_Policy (Check);  -- Check assertions that follow:
pragma Optimize(Off); -- turn off optional optimizations

with FACE_Basic_Types; 
with FACE; 
with FACE.HMFM; 
with System; 


procedure test16 is

procedure test16_helper is

    type FAULT_STATUS_TYPE_CONFORMANCE_TEST is
        record
                         CODE : FACE.HMFM.FAULT_CODE_TYPE := FACE.HMFM.FAULT_CODE_TYPE'First;
                      MESSAGE : FACE.HMFM.FAULT_MESSAGE_TYPE := (others => 'X');
                       LENGTH : FACE.HMFM.FAULT_MESSAGE_SIZE_TYPE := FACE.HMFM.FAULT_MESSAGE_SIZE_TYPE'First;
             FAILED_THREAD_ID : FACE.HMFM.THREAD_ID_TYPE := FACE.HMFM.THREAD_ID_TYPE'First;
               FAILED_ADDRESS : FACE.SYSTEM_ADDRESS_TYPE := FACE.SYSTEM_ADDRESS_TYPE(System.Null_Address);
    
        end record;
    pragma Convention (C, FAULT_STATUS_TYPE_CONFORMANCE_TEST);
    
    
    -- Declare type and variable for Testing FACE.HMFM.FAULT_STATUS_TYPE size is conformant (Struct)
    subtype FAULT_STATUS_TYPE_SizeType is Integer range FAULT_STATUS_TYPE_CONFORMANCE_TEST'Size .. FAULT_STATUS_TYPE_CONFORMANCE_TEST'Size;
    VarStructSize : FAULT_STATUS_TYPE_SizeType;
    
    -- FACE.HMFM.FAULT_STATUS_TYPE struct element test
    Var  : FACE.HMFM.FAULT_STATUS_TYPE;
    VarC : FAULT_STATUS_TYPE_CONFORMANCE_TEST;



begin

    -- Assign Size of FULLY_SPECIFIED_NAME to a type with range of expected Size
    -- Note:  The assignment on the following line will produce a warning if not conformant; will not throw error
    VarStructSize := FACE.HMFM.FAULT_STATUS_TYPE'Size;
    
    -- Testing FACE.HMFM.FAULT_STATUS_TYPE has all data members
    Var.CODE := VarC.CODE;
    Var.MESSAGE := VarC.MESSAGE;
    Var.LENGTH := VarC.LENGTH;
    Var.FAILED_THREAD_ID := VarC.FAILED_THREAD_ID;
    Var.FAILED_ADDRESS := VarC.FAILED_ADDRESS;


end test16_helper;

begin
   NULL;
end;
