
-- pragma Assertion_Policy (Check);  -- Check assertions that follow:
pragma Optimize(Off); -- turn off optional optimizations

with FACE_Basic_Types; 
with FACE; 
with FACE.HMFM; 
with System; 


procedure test3 is

procedure test3_helper is

    -- Declare Variables and Types for Testing FACE.INF_TIME_VALUE
    use FACE;  -- Needed for "=" to work
    -- Testing FACE.INF_TIME_VALUE value is conformant
    subtype TestType is FACE.SYSTEM_TIME_TYPE range -1 .. -1;
    Var : TestType;
    
    -- Testing FACE.INF_TIME_VALUE size is conformant (FACE.SYSTEM_TIME_TYPE)
    subtype SizeTestType is Integer range FACE.SYSTEM_TIME_TYPE'Size .. FACE.SYSTEM_TIME_TYPE'Size;
    VarSize : SizeTestType;
    



begin

    -- Assign FACE.INF_TIME_VALUE to a type with range of expected value (-1)
    -- Note:  The assignment on the following line will produce a warning if not conformant; will not throw error
    Var := TestType(FACE.INF_TIME_VALUE);
    
    -- Assign Size of FACE.INF_TIME_VALUE to a type with range of expected Size
    -- Note:  The assignment on the following line will produce a warning if not conformant; will not throw error
    VarSize := FACE.INF_TIME_VALUE'Size;

end test3_helper;

begin
   NULL;
end;
