
-- pragma Assertion_Policy (Check);  -- Check assertions that follow:
pragma Optimize(Off); -- turn off optional optimizations

with FACE_Basic_Types; 
with FACE; 
with FACE.TS; 
with FACE.TS.TS; 
with FACE.DM; 
with Interfaces.C; 
with System; 


procedure test27 is

procedure test27_helper is

    connection_name       : FACE.TS.CONNECTION_NAME_TYPE := (others => 'X');
    pattern               : FACE.TS.MESSAGING_PATTERN_TYPE := FACE.TS.MESSAGING_PATTERN_TYPE'First;
    connection_id         : FACE.TS.CONNECTION_ID_TYPE := FACE.TS.CONNECTION_ID_TYPE'First;
    connection_direction  : FACE.TS.CONNECTION_DIRECTION_TYPE := FACE.TS.CONNECTION_DIRECTION_TYPE'First;
    max_message_size      : FACE.TS.MESSAGE_SIZE_TYPE := FACE.TS.MESSAGE_SIZE_TYPE'First;
    timeout               : FACE.TIMEOUT_TYPE := FACE.TIMEOUT_TYPE'First;
    return_code           : FACE.RETURN_CODE_TYPE := FACE.RETURN_CODE_TYPE'First;


begin

    -- Call interface
    FACE.TS.TS.Create_Connection(
        connection_name => connection_name,
        pattern => pattern,
        connection_id => connection_id,
        connection_direction => connection_direction,
        max_message_size => max_message_size,
        timeout => timeout,
        return_code => return_code
        );

end test27_helper;

begin
   NULL;
end;
