
-- pragma Assertion_Policy (Check);  -- Check assertions that follow:
pragma Optimize(Off); -- turn off optional optimizations

with FACE_Basic_Types; 
with FACE; 
with FACE.TS; 
with FACE.TS.TYPEABSTRACTION_TS; 
with Interfaces.C; 
with System; 


procedure test12 is

procedure test12_helper is


    -- Enums have the size of a C int for interoperability
    subtype EnumSizeTestType is Integer range Face_Basic_Types.Enum_Size .. Face_Basic_Types.Enum_Size;
    
    VarEnumSize : EnumSizeTestType;
    Var : FACE.TS.CONNECTION_DIRECTION_TYPE;



begin

    
    -- Testing FACE.TS.CONNECTION_DIRECTION_TYPE has all enumerations
    Var := FACE.TS.SOURCE;
    Var := FACE.TS.DESTINATION;
    Var := FACE.TS.BI_DIRECTIONAL;
    Var := FACE.TS.ONE_WAY_REQUEST_SOURCE;
    Var := FACE.TS.ONE_WAY_REQUEST_DESTINATION;
    Var := FACE.TS.TWO_WAY_REQUEST_SYNCHRONOUS_SOURCE;
    Var := FACE.TS.TWO_WAY_REQUEST_SYNCHRONOUS_DESTINATION;
    Var := FACE.TS.TWO_WAY_REQUEST_REPLY_ASYNCHRONOUS_SOURCE;
    Var := FACE.TS.TWO_WAY_REQUEST_REPLY_ASYNCHRONOUS_DESTINATION;
    Var := FACE.TS.NOT_DEFINED_CONNECTION_DIRECTION_TYPE;
    
    VarEnumSize := FACE.TS.CONNECTION_DIRECTION_TYPE'Size;

end test12_helper;

begin
   NULL;
end;
