
-- pragma Assertion_Policy (Check);  -- Check assertions that follow:
pragma Optimize(Off); -- turn off optional optimizations

with FACE_Basic_Types; 
with FACE; 
with FACE.TS; 
with FACE.TS.TYPEABSTRACTION_TS; 
with Interfaces.C; 
with System; 


procedure test25 is

procedure test25_helper is

    type TRANSPORT_CONNECTION_STATUS_TYPE_CONFORMANCE_TEST is
        record
                                   MESSAGE : FACE.MESSAGE_RANGE_TYPE := FACE.MESSAGE_RANGE_TYPE'First;
                               MAX_MESSAGE : FACE.MESSAGE_RANGE_TYPE := FACE.MESSAGE_RANGE_TYPE'First;
                          MAX_MESSAGE_SIZE : FACE.TS.MESSAGE_SIZE_TYPE := FACE.TS.MESSAGE_SIZE_TYPE'First;
                      CONNECTION_DIRECTION : FACE.TS.CONNECTION_DIRECTION_TYPE := FACE.TS.CONNECTION_DIRECTION_TYPE'First;
             WAITING_PROCESSES_OR_MESSAGES : FACE.TS.WAITING_RANGE_TYPE := FACE.TS.WAITING_RANGE_TYPE'First;
                            REFRESH_PERIOD : FACE.SYSTEM_TIME_TYPE := FACE.SYSTEM_TIME_TYPE'First;
                         LAST_MSG_VALIDITY : FACE.TS.VALIDITY_TYPE := FACE.TS.VALIDITY_TYPE'First;
    
        end record;
    pragma Convention (C, TRANSPORT_CONNECTION_STATUS_TYPE_CONFORMANCE_TEST);
    
    
    -- Declare type and variable for Testing FACE.TS.TRANSPORT_CONNECTION_STATUS_TYPE size is conformant (Struct)
    subtype TRANSPORT_CONNECTION_STATUS_TYPE_SizeType is Integer range TRANSPORT_CONNECTION_STATUS_TYPE_CONFORMANCE_TEST'Size .. TRANSPORT_CONNECTION_STATUS_TYPE_CONFORMANCE_TEST'Size;
    VarStructSize : TRANSPORT_CONNECTION_STATUS_TYPE_SizeType;
    
    -- FACE.TS.TRANSPORT_CONNECTION_STATUS_TYPE struct element test
    Var  : FACE.TS.TRANSPORT_CONNECTION_STATUS_TYPE;
    VarC : TRANSPORT_CONNECTION_STATUS_TYPE_CONFORMANCE_TEST;



begin

    -- Assign Size of FULLY_SPECIFIED_NAME to a type with range of expected Size
    -- Note:  The assignment on the following line will produce a warning if not conformant; will not throw error
    VarStructSize := FACE.TS.TRANSPORT_CONNECTION_STATUS_TYPE'Size;
    
    -- Testing FACE.TS.TRANSPORT_CONNECTION_STATUS_TYPE has all data members
    Var.MESSAGE := VarC.MESSAGE;
    Var.MAX_MESSAGE := VarC.MAX_MESSAGE;
    Var.MAX_MESSAGE_SIZE := VarC.MAX_MESSAGE_SIZE;
    Var.CONNECTION_DIRECTION := VarC.CONNECTION_DIRECTION;
    Var.WAITING_PROCESSES_OR_MESSAGES := VarC.WAITING_PROCESSES_OR_MESSAGES;
    Var.REFRESH_PERIOD := VarC.REFRESH_PERIOD;
    Var.LAST_MSG_VALIDITY := VarC.LAST_MSG_VALIDITY;


end test25_helper;

begin
   NULL;
end;
