
-- pragma Assertion_Policy (Check);  -- Check assertions that follow:
pragma Optimize(Off); -- turn off optional optimizations

with FACE_Basic_Types; 
with FACE; 
with FACE.TS; 
with FACE.TS.TYPEABSTRACTION_TS; 
with Interfaces.C; 
with System; 


procedure test31 is

procedure test31_helper is

    connection_id     : FACE.TS.CONNECTION_ID_TYPE := FACE.TS.CONNECTION_ID_TYPE'First;
    waitset           : FACE.TS.WAITSET_TYPE := (others => FACE_Basic_Types.Boolean(True));
    data_callback     : FACE.TS.TYPEABSTRACTION_TS.Read_Callback.Send_Event_Access;
    max_message_size  : FACE.TS.MESSAGE_SIZE_TYPE := FACE.TS.MESSAGE_SIZE_TYPE'First;
    return_code       : FACE.RETURN_CODE_TYPE := FACE.RETURN_CODE_TYPE'First;


begin

    -- Call interface
    FACE.TS.TYPEABSTRACTION_TS.Register_Callback(
        connection_id => connection_id,
        waitset => waitset,
        data_callback => data_callback,
        max_message_size => max_message_size,
        return_code => return_code
        );

end test31_helper;

begin
   NULL;
end;
