
// Test10 


// user_includes.hpp is generated every test run and contains all header files
// specified in the configuration file for the segment under test
#include "user_includes.hpp"

// Used to catch assertions at compile time  
// Static assert magic - true exists but false does not (and should not!)
template<bool> struct FaceStaticAssert;
template<> struct FaceStaticAssert<true> {};


int main()
{

    // typedef conformance test
    {
        // FACE::MESSAGE_LENGTH_TYPE size test (FACE::UnsignedLong)
        FaceStaticAssert< sizeof(FACE::MESSAGE_LENGTH_TYPE) == sizeof(FACE::UnsignedLong) >();
    }

    // FACE::MESSAGE_LENGTH_TYPE type test (FACE::UnsignedLong)
    FACE::MESSAGE_LENGTH_TYPE var = 0;
    FACE::UnsignedLong cvar;
    cvar = var;
    var = cvar;  // code used to avoid unused variable warning 

}
