
// Test12 


// user_includes.hpp is generated every test run and contains all header files
// specified in the configuration file for the segment under test
#include "user_includes.hpp"

// Used to catch assertions at compile time  
// Static assert magic - true exists but false does not (and should not!)
template<bool> struct FaceStaticAssert;
template<> struct FaceStaticAssert<true> {};


int main()
{

    // Enumeration Conformance Test 
    {
        /* Enumeration the same size as the enumeration under test */
        enum IO_CONNECTION_STATUS_TYPE_CONFORMANCE_TEST {
            GO_CONFORMANCE_TEST,
            NOGO_CONFORMANCE_TEST,
            IDLE_CONFORMANCE_TEST,
            DEGRADED_CONFORMANCE_TEST
        };



        // FACE::IO_CONNECTION_STATUS_TYPE size test (Enumeration)
        FaceStaticAssert< sizeof(FACE::IO_CONNECTION_STATUS_TYPE) == sizeof(IO_CONNECTION_STATUS_TYPE_CONFORMANCE_TEST) >();
    }

    // FACE::IO_CONNECTION_STATUS_TYPE test that all enumeration items exists 
    FACE::IO_CONNECTION_STATUS_TYPE var;

    var = FACE::GO;
    var = FACE::NOGO;
    var = FACE::IDLE;
    var = FACE::DEGRADED;

    (void)var;      // code used to avoid unused-but-set-variable warning

}
