
// Test14 


// user_includes.hpp is generated every test run and contains all header files
// specified in the configuration file for the segment under test
#include "user_includes.hpp"

// Used to catch assertions at compile time  
// Static assert magic - true exists but false does not (and should not!)
template<bool> struct FaceStaticAssert;
template<> struct FaceStaticAssert<true> {};


int main()
{

    // Enumeration Conformance Test 
    {
        /* Enumeration the same size as the enumeration under test */
        enum MESSAGE_TYPE_CONFORMANCE_TEST {
            COMMAND_CONFORMANCE_TEST,
            STATUS_CONFORMANCE_TEST,
            DATA_CONFORMANCE_TEST,
            USER_DEFINED_CONFORMANCE_TEST
        };



        // FACE::MESSAGE_TYPE size test (Enumeration)
        FaceStaticAssert< sizeof(FACE::MESSAGE_TYPE) == sizeof(MESSAGE_TYPE_CONFORMANCE_TEST) >();
    }

    // FACE::MESSAGE_TYPE test that all enumeration items exists 
    FACE::MESSAGE_TYPE var;

    var = FACE::COMMAND;
    var = FACE::STATUS;
    var = FACE::DATA;
    var = FACE::USER_DEFINED;

    (void)var;      // code used to avoid unused-but-set-variable warning

}
