
// Test18 


// user_includes.hpp is generated every test run and contains all header files
// specified in the configuration file for the segment under test
#include "user_includes.hpp"

// Used to catch assertions at compile time  
// Static assert magic - true exists but false does not (and should not!)
template<bool> struct FaceStaticAssert;
template<> struct FaceStaticAssert<true> {};


int main()
{

    // Enumeration Conformance Test 
    {
        /* Enumeration the same size as the enumeration under test */
        enum M1553_WORD_TYPE_CONFORMANCE_TEST {
            M1553_CMD_CONFORMANCE_TEST,
            M1553_STATUS_CONFORMANCE_TEST,
            M1553_DATA_CONFORMANCE_TEST
        };



        // FACE::M1553_WORD_TYPE size test (Enumeration)
        FaceStaticAssert< sizeof(FACE::M1553_WORD_TYPE) == sizeof(M1553_WORD_TYPE_CONFORMANCE_TEST) >();
    }

    // FACE::M1553_WORD_TYPE test that all enumeration items exists 
    FACE::M1553_WORD_TYPE var;

    var = FACE::M1553_CMD;
    var = FACE::M1553_STATUS;
    var = FACE::M1553_DATA;

    (void)var;      // code used to avoid unused-but-set-variable warning

}
