
// Test19 


// user_includes.hpp is generated every test run and contains all header files
// specified in the configuration file for the segment under test
#include "user_includes.hpp"

// Used to catch assertions at compile time  
// Static assert magic - true exists but false does not (and should not!)
template<bool> struct FaceStaticAssert;
template<> struct FaceStaticAssert<true> {};


int main()
{

    // Enumeration Conformance Test 
    {
        /* Enumeration the same size as the enumeration under test */
        enum SERIAL_STATUS_TYPE_CONFORMANCE_TEST {
            SERIAL_DEVICE_OPERATIONAL_CONFORMANCE_TEST,
            SERIAL_OVERRUN_ERROR_CONFORMANCE_TEST,
            SERIAL_PARITY_ERROR_CONFORMANCE_TEST,
            SERIAL_FRAMING_ERROR_CONFORMANCE_TEST,
            SERIAL_BREAK_ERROR_CONFORMANCE_TEST
        };



        // FACE::SERIAL_STATUS_TYPE size test (Enumeration)
        FaceStaticAssert< sizeof(FACE::SERIAL_STATUS_TYPE) == sizeof(SERIAL_STATUS_TYPE_CONFORMANCE_TEST) >();
    }

    // FACE::SERIAL_STATUS_TYPE test that all enumeration items exists 
    FACE::SERIAL_STATUS_TYPE var;

    var = FACE::SERIAL_DEVICE_OPERATIONAL;
    var = FACE::SERIAL_OVERRUN_ERROR;
    var = FACE::SERIAL_PARITY_ERROR;
    var = FACE::SERIAL_FRAMING_ERROR;
    var = FACE::SERIAL_BREAK_ERROR;

    (void)var;      // code used to avoid unused-but-set-variable warning

}
