
// Test9 


// user_includes.hpp is generated every test run and contains all header files
// specified in the configuration file for the segment under test
#include "user_includes.hpp"

// Used to catch assertions at compile time  
// Static assert magic - true exists but false does not (and should not!)
template<bool> struct FaceStaticAssert;
template<> struct FaceStaticAssert<true> {};


int main()
{

    // typedef sequence test 
    {
            // FACE::INTERFACE_NAME_TYPE size test (FACE::Char[30])
            FaceStaticAssert< sizeof(FACE::INTERFACE_NAME_TYPE) == 30 * sizeof(FACE::Char)>();
    }
    // Testing FACE::INTERFACE_NAME_TYPE type and size is conformant (FACE::Char[30])
    FACE::INTERFACE_NAME_TYPE var;
    FACE::Char cvar;
    var[0] = var[30-1] = 0;
    cvar = var[0];

    (void)cvar;     // code used to avoid unused-but-set-variable warning

}
