
// Test11 


// user_includes.hpp is generated every test run and contains all header files
// specified in the configuration file for the segment under test
#include "user_includes.hpp"

// Used to catch assertions at compile time  
// Static assert magic - true exists but false does not (and should not!)
template<bool> struct FaceStaticAssert;
template<> struct FaceStaticAssert<true> {};


int main()
{

    // typedef conformance test
    {
        // FACE::HMFM::THREAD_ID_TYPE size test (FACE::Long)
        FaceStaticAssert< sizeof(FACE::HMFM::THREAD_ID_TYPE) == sizeof(FACE::Long) >();
    }

    // FACE::HMFM::THREAD_ID_TYPE type test (FACE::Long)
    FACE::HMFM::THREAD_ID_TYPE var = 0;
    FACE::Long cvar;
    cvar = var;
    var = cvar;  // code used to avoid unused variable warning 

}
