
// Test12 


// user_includes.hpp is generated every test run and contains all header files
// specified in the configuration file for the segment under test
#include "user_includes.hpp"

// Used to catch assertions at compile time  
// Static assert magic - true exists but false does not (and should not!)
template<bool> struct FaceStaticAssert;
template<> struct FaceStaticAssert<true> {};


int main()
{

    // constant conformance test 
    {
        // FACE::HMFM::FAULT_MESSAGE_MAXIMUM_SIZE size test (FACE::HMFM::FAULT_MESSAGE_SIZE_TYPE)
        FaceStaticAssert< sizeof(FACE::HMFM::FAULT_MESSAGE_MAXIMUM_SIZE) == sizeof(FACE::HMFM::FAULT_MESSAGE_SIZE_TYPE) >();
    }
    {
        // Testing constant FACE::HMFM::FAULT_MESSAGE_MAXIMUM_SIZE value (128) is conformant 
        FaceStaticAssert< FACE::HMFM::FAULT_MESSAGE_MAXIMUM_SIZE ==128 >();
    }


}
