
// Test16 


// user_includes.hpp is generated every test run and contains all header files
// specified in the configuration file for the segment under test
#include "user_includes.hpp"

// Used to catch assertions at compile time  
// Static assert magic - true exists but false does not (and should not!)
template<bool> struct FaceStaticAssert;
template<> struct FaceStaticAssert<true> {};


int main()
{

    // typedef sequence test 
    {
            // FACE::WAITSET_TYPE size test (FACE::Boolean[32])
            FaceStaticAssert< sizeof(FACE::WAITSET_TYPE) == 32 * sizeof(FACE::Boolean)>();
    }
    // Testing FACE::WAITSET_TYPE type and size is conformant (FACE::Boolean[32])
    FACE::WAITSET_TYPE var;
    FACE::Boolean cvar;
    var[0] = var[32-1] = 0;
    cvar = var[0];

    (void)cvar;     // code used to avoid unused-but-set-variable warning

}
