
// Test19 


// user_includes.hpp is generated every test run and contains all header files
// specified in the configuration file for the segment under test
#include "user_includes.hpp"

// Used to catch assertions at compile time  
// Static assert magic - true exists but false does not (and should not!)
template<bool> struct FaceStaticAssert;
template<> struct FaceStaticAssert<true> {};


int main()
{

    // Enumeration Conformance Test 
    {
        /* Enumeration the same size as the enumeration under test */
        enum SOCKET_TYPE_CONFORMANCE_TEST {
            STREAM_CONFORMANCE_TEST,
            DGRAM_CONFORMANCE_TEST,
            SEQPACKET_CONFORMANCE_TEST,
            NOT_DEFINED_SOCKET_TYPE_CONFORMANCE_TEST
        };



        // FACE::SOCKET_TYPE size test (Enumeration)
        FaceStaticAssert< sizeof(FACE::SOCKET_TYPE) == sizeof(SOCKET_TYPE_CONFORMANCE_TEST) >();
    }

    // FACE::SOCKET_TYPE test that all enumeration items exists 
    FACE::SOCKET_TYPE var;

    var = FACE::STREAM;
    var = FACE::DGRAM;
    var = FACE::SEQPACKET;
    var = FACE::NOT_DEFINED_SOCKET_TYPE;

    (void)var;      // code used to avoid unused-but-set-variable warning

}
