
// Test22 


// user_includes.hpp is generated every test run and contains all header files
// specified in the configuration file for the segment under test
#include "user_includes.hpp"

// Used to catch assertions at compile time  
// Static assert magic - true exists but false does not (and should not!)
template<bool> struct FaceStaticAssert;
template<> struct FaceStaticAssert<true> {};


int main()
{

    // Enumeration Conformance Test 
    {
        /* Enumeration the same size as the enumeration under test */
        enum VALIDITY_TYPE_CONFORMANCE_TEST {
            INVALID_CONFORMANCE_TEST,
            VALID_CONFORMANCE_TEST
        };



        // FACE::VALIDITY_TYPE size test (Enumeration)
        FaceStaticAssert< sizeof(FACE::VALIDITY_TYPE) == sizeof(VALIDITY_TYPE_CONFORMANCE_TEST) >();
    }

    // FACE::VALIDITY_TYPE test that all enumeration items exists 
    FACE::VALIDITY_TYPE var;

    var = FACE::INVALID;
    var = FACE::VALID;

    (void)var;      // code used to avoid unused-but-set-variable warning

}
