
// Test23 


// user_includes.hpp is generated every test run and contains all header files
// specified in the configuration file for the segment under test
#include "user_includes.hpp"

// Used to catch assertions at compile time  
// Static assert magic - true exists but false does not (and should not!)
template<bool> struct FaceStaticAssert;
template<> struct FaceStaticAssert<true> {};


int main()
{

    // Enumeration Conformance Test 
    {
        /* Enumeration the same size as the enumeration under test */
        enum MESSAGING_PATTERN_TYPE_CONFORMANCE_TEST {
            PUB_SUB_CONFORMANCE_TEST,
            CLIENT_CONFORMANCE_TEST,
            SERVER_CONFORMANCE_TEST
        };



        // FACE::MESSAGING_PATTERN_TYPE size test (Enumeration)
        FaceStaticAssert< sizeof(FACE::MESSAGING_PATTERN_TYPE) == sizeof(MESSAGING_PATTERN_TYPE_CONFORMANCE_TEST) >();
    }

    // FACE::MESSAGING_PATTERN_TYPE test that all enumeration items exists 
    FACE::MESSAGING_PATTERN_TYPE var;

    var = FACE::PUB_SUB;
    var = FACE::CLIENT;
    var = FACE::SERVER;

    (void)var;      // code used to avoid unused-but-set-variable warning

}
