
// Test3 


// user_includes.hpp is generated every test run and contains all header files
// specified in the configuration file for the segment under test
#include "user_includes.hpp"

// Used to catch assertions at compile time  
// Static assert magic - true exists but false does not (and should not!)
template<bool> struct FaceStaticAssert;
template<> struct FaceStaticAssert<true> {};


int main()
{

    // constant conformance test 
    {
        // FACE::INF_TIME_VALUE size test (FACE::SYSTEM_TIME_TYPE)
        FaceStaticAssert< sizeof(FACE::INF_TIME_VALUE) == sizeof(FACE::SYSTEM_TIME_TYPE) >();
    }
    {
        // Testing constant FACE::INF_TIME_VALUE value (-1) is conformant 
        FaceStaticAssert< FACE::INF_TIME_VALUE ==-1 >();
    }


}
