
// Test7 


// user_includes.hpp is generated every test run and contains all header files
// specified in the configuration file for the segment under test
#include "user_includes.hpp"

// Used to catch assertions at compile time  
// Static assert magic - true exists but false does not (and should not!)
template<bool> struct FaceStaticAssert;
template<> struct FaceStaticAssert<true> {};


int main()
{

    // typedef conformance test
    {
        // FACE::TIMEOUT_TYPE size test (FACE::SYSTEM_TIME_TYPE)
        FaceStaticAssert< sizeof(FACE::TIMEOUT_TYPE) == sizeof(FACE::SYSTEM_TIME_TYPE) >();
    }

    // FACE::TIMEOUT_TYPE type test (FACE::SYSTEM_TIME_TYPE)
    FACE::TIMEOUT_TYPE var = 0;
    FACE::SYSTEM_TIME_TYPE cvar;
    cvar = var;
    var = cvar;  // code used to avoid unused variable warning 

}
