
// Test15 


// user_includes.hpp is generated every test run and contains all header files
// specified in the configuration file for the segment under test
#include "user_includes.hpp"

// Used to catch assertions at compile time  
// Static assert magic - true exists but false does not (and should not!)
template<bool> struct FaceStaticAssert;
template<> struct FaceStaticAssert<true> {};


int main()
{

    // Enumeration Conformance Test 
    {
        /* Enumeration the same size as the enumeration under test */
        enum CONNECTION_TYPE_CONFORMANCE_TEST {
            SAMPLING_PORT_CONFORMANCE_TEST,
            QUEUING_PORT_CONFORMANCE_TEST,
            SOCKET_CONFORMANCE_TEST,
            MQ_CONFORMANCE_TEST,
            SHM_CONFORMANCE_TEST,
            CORBA_CONFORMANCE_TEST,
            DDS_CONFORMANCE_TEST
        };



        // FACE::CONNECTION_TYPE size test (Enumeration)
        FaceStaticAssert< sizeof(FACE::CONNECTION_TYPE) == sizeof(CONNECTION_TYPE_CONFORMANCE_TEST) >();
    }

    // FACE::CONNECTION_TYPE test that all enumeration items exists 
    FACE::CONNECTION_TYPE var;

    var = FACE::SAMPLING_PORT;
    var = FACE::QUEUING_PORT;
    var = FACE::SOCKET;
    var = FACE::MQ;
    var = FACE::SHM;
    var = FACE::CORBA;
    var = FACE::DDS;

    (void)var;      // code used to avoid unused-but-set-variable warning

}
