
// Test18 


// user_includes.hpp is generated every test run and contains all header files
// specified in the configuration file for the segment under test
#include "user_includes.hpp"

// Used to catch assertions at compile time  
// Static assert magic - true exists but false does not (and should not!)
template<bool> struct FaceStaticAssert;
template<> struct FaceStaticAssert<true> {};


int main()
{

    // Enumeration Conformance Test 
    {
        /* Enumeration the same size as the enumeration under test */
        enum CONNECTION_DOMAIN_TYPE_CONFORMANCE_TEST {
            UNIX_CONFORMANCE_TEST,
            INET_CONFORMANCE_TEST,
            NOT_DEFINED_CONNECTION_DOMAIN_TYPE_CONFORMANCE_TEST
        };



        // FACE::CONNECTION_DOMAIN_TYPE size test (Enumeration)
        FaceStaticAssert< sizeof(FACE::CONNECTION_DOMAIN_TYPE) == sizeof(CONNECTION_DOMAIN_TYPE_CONFORMANCE_TEST) >();
    }

    // FACE::CONNECTION_DOMAIN_TYPE test that all enumeration items exists 
    FACE::CONNECTION_DOMAIN_TYPE var;

    var = FACE::UNIX;
    var = FACE::INET;
    var = FACE::NOT_DEFINED_CONNECTION_DOMAIN_TYPE;

    (void)var;      // code used to avoid unused-but-set-variable warning

}
