
// Test4 


// user_includes.hpp is generated every test run and contains all header files
// specified in the configuration file for the segment under test
#include "user_includes.hpp"

// Used to catch assertions at compile time  
// Static assert magic - true exists but false does not (and should not!)
template<bool> struct FaceStaticAssert;
template<> struct FaceStaticAssert<true> {};


int main()
{

    // typedef sequence test 
    {
            // FACE::CONFIGURATION_RESOURCE size test (FACE::Char[256])
            FaceStaticAssert< sizeof(FACE::CONFIGURATION_RESOURCE) == 256 * sizeof(FACE::Char)>();
    }
    // Testing FACE::CONFIGURATION_RESOURCE type and size is conformant (FACE::Char[256])
    FACE::CONFIGURATION_RESOURCE var;
    FACE::Char cvar;
    var[0] = var[256-1] = 0;
    cvar = var[0];

    (void)cvar;     // code used to avoid unused-but-set-variable warning

}
