
/* Test11 */


/* user_includes.h is generated every test run and contains all header files */
/* specified in the configuration file for the segment under test            */
#include "user_includes.h"

/* Used to catch assertions at compile time */
#define FACE_STATIC_ASSERT(e) char face_static_assert[ e ? 1 : -1 ]

int main()
{

    /* Enumeration Conformance Test */
    {
        /* Enumeration the same size as the enumeration under test */
        typedef enum {
            FACE_MIL_STD_1553_CONFORMANCE_TEST,
            FACE_ARINC_429_CONFORMANCE_TEST,
            FACE_SERIAL_CONFORMANCE_TEST,
            FACE_DISCRETE_CONFORMANCE_TEST,
            FACE_ANALOG_CONFORMANCE_TEST,
            FACE_SYNCHRO_CONFORMANCE_TEST,
            FACE_HIGH_PRECISION_SYNCHRO_CONFORMANCE_TEST,
            FACE_VME_CONFORMANCE_TEST,
            FACE_GENERIC_BUS_CONFORMANCE_TEST,
            FACE_USER_DEFINED_BUS_1_CONFORMANCE_TEST,
            FACE_USER_DEFINED_BUS_2_CONFORMANCE_TEST,
            FACE_USER_DEFINED_BUS_3_CONFORMANCE_TEST,
            FACE_USER_DEFINED_BUS_n_CONFORMANCE_TEST
        } FACE_BUS_TYPE_CONFORMANCE_TEST;



        /* FACE_BUS_TYPE size test (Enumeration)*/
        FACE_STATIC_ASSERT(sizeof(FACE_BUS_TYPE) == sizeof(FACE_BUS_TYPE_CONFORMANCE_TEST));
        face_static_assert[0] += 1; /* code used to avoid unused variable warning */
    }

    /* FACE_BUS_TYPE test that all enumeration items exists */
    FACE_BUS_TYPE var;

    var = FACE_MIL_STD_1553;
    var = FACE_ARINC_429;
    var = FACE_SERIAL;
    var = FACE_DISCRETE;
    var = FACE_ANALOG;
    var = FACE_SYNCHRO;
    var = FACE_HIGH_PRECISION_SYNCHRO;
    var = FACE_VME;
    var = FACE_GENERIC_BUS;
    var = FACE_USER_DEFINED_BUS_1;
    var = FACE_USER_DEFINED_BUS_2;
    var = FACE_USER_DEFINED_BUS_3;
    var = FACE_USER_DEFINED_BUS_n;

    (void)var;      /* code used to avoid unused variable warning */

}
