
/* Test16 */


/* user_includes.h is generated every test run and contains all header files */
/* specified in the configuration file for the segment under test            */
#include "user_includes.h"

/* Used to catch assertions at compile time */
#define FACE_STATIC_ASSERT(e) char face_static_assert[ e ? 1 : -1 ]

int main()
{

    /* Enumeration Conformance Test */
    {
        /* Enumeration the same size as the enumeration under test */
        typedef enum {
            FACE_A429_IO_HW_OPERATIONAL_CONFORMANCE_TEST,
            FACE_A429_IO_HW_FIFO_OVERFLOW_CONFORMANCE_TEST,
            FACE_A429_IO_SW_CIRCULAR_BUFF_OVERFLOW_CONFORMANCE_TEST,
            FACE_A429_IO_HW_ADDRESS_ERROR_CONFORMANCE_TEST,
            FACE_A429_IO_HW_SEQUENCE_ERROR_CONFORMANCE_TEST,
            FACE_A429_IO_HW_PARITY_ERROR_CONFORMANCE_TEST,
            FACE_A429_IO_CLOCK_LOSS_CONFORMANCE_TEST,
            FACE_A429_IO_UNKNOWN_ERROR_CONFORMANCE_TEST
        } FACE_A429_STATUS_TYPE_CONFORMANCE_TEST;



        /* FACE_A429_STATUS_TYPE size test (Enumeration)*/
        FACE_STATIC_ASSERT(sizeof(FACE_A429_STATUS_TYPE) == sizeof(FACE_A429_STATUS_TYPE_CONFORMANCE_TEST));
        face_static_assert[0] += 1; /* code used to avoid unused variable warning */
    }

    /* FACE_A429_STATUS_TYPE test that all enumeration items exists */
    FACE_A429_STATUS_TYPE var;

    var = FACE_A429_IO_HW_OPERATIONAL;
    var = FACE_A429_IO_HW_FIFO_OVERFLOW;
    var = FACE_A429_IO_SW_CIRCULAR_BUFF_OVERFLOW;
    var = FACE_A429_IO_HW_ADDRESS_ERROR;
    var = FACE_A429_IO_HW_SEQUENCE_ERROR;
    var = FACE_A429_IO_HW_PARITY_ERROR;
    var = FACE_A429_IO_CLOCK_LOSS;
    var = FACE_A429_IO_UNKNOWN_ERROR;

    (void)var;      /* code used to avoid unused variable warning */

}
