
/* Test21 */


/* user_includes.h is generated every test run and contains all header files */
/* specified in the configuration file for the segment under test            */
#include "user_includes.h"

/* Used to catch assertions at compile time */
#define FACE_STATIC_ASSERT(e) char face_static_assert[ e ? 1 : -1 ]

int main()
{

    /* Enumeration Conformance Test */
    {
        /* Enumeration the same size as the enumeration under test */
        typedef enum {
            FACE_EOR_CONFORMANCE_TEST,
            FACE_OOB_SEND_FLAG_TYPE_CONFORMANCE_TEST,
            FACE_NOSIGNAL_CONFORMANCE_TEST,
            FACE_NOT_DEFINED_SEND_FLAG_TYPE_CONFORMANCE_TEST
        } FACE_SEND_FLAG_TYPE_CONFORMANCE_TEST;



        /* FACE_SEND_FLAG_TYPE size test (Enumeration)*/
        FACE_STATIC_ASSERT(sizeof(FACE_SEND_FLAG_TYPE) == sizeof(FACE_SEND_FLAG_TYPE_CONFORMANCE_TEST));
        face_static_assert[0] += 1; /* code used to avoid unused variable warning */
    }

    /* FACE_SEND_FLAG_TYPE test that all enumeration items exists */
    FACE_SEND_FLAG_TYPE var;

    var = FACE_EOR;
    var = FACE_OOB_SEND_FLAG_TYPE;
    var = FACE_NOSIGNAL;
    var = FACE_NOT_DEFINED_SEND_FLAG_TYPE;

    (void)var;      /* code used to avoid unused variable warning */

}
