
/* Test5 */


/* user_includes.h is generated every test run and contains all header files */
/* specified in the configuration file for the segment under test            */
#include "user_includes.h"

/* Used to catch assertions at compile time */
#define FACE_STATIC_ASSERT(e) char face_static_assert[ e ? 1 : -1 ]

int main()
{

    /* Enumeration Conformance Test */
    {
        /* Enumeration the same size as the enumeration under test */
        typedef enum {
            FACE_NO_ERROR_CONFORMANCE_TEST,
            FACE_NO_ACTION_CONFORMANCE_TEST,
            FACE_NOT_AVAILABLE_CONFORMANCE_TEST,
            FACE_ADDR_IN_USE_CONFORMANCE_TEST,
            FACE_INVALID_PARAM_CONFORMANCE_TEST,
            FACE_INVALID_CONFIG_CONFORMANCE_TEST,
            FACE_PERMISSION_DENIED_CONFORMANCE_TEST,
            FACE_INVALID_MODE_CONFORMANCE_TEST,
            FACE_TIMED_OUT_CONFORMANCE_TEST,
            FACE_MESSAGE_STALE_CONFORMANCE_TEST,
            FACE_CONNECTION_IN_PROGRESS_CONFORMANCE_TEST,
            FACE_CONNECTION_CLOSED_CONFORMANCE_TEST,
            FACE_DATA_BUFFER_TOO_SMALL_CONFORMANCE_TEST
        } FACE_RETURN_CODE_TYPE_CONFORMANCE_TEST;



        /* FACE_RETURN_CODE_TYPE size test (Enumeration)*/
        FACE_STATIC_ASSERT(sizeof(FACE_RETURN_CODE_TYPE) == sizeof(FACE_RETURN_CODE_TYPE_CONFORMANCE_TEST));
        face_static_assert[0] += 1; /* code used to avoid unused variable warning */
    }

    /* FACE_RETURN_CODE_TYPE test that all enumeration items exists */
    FACE_RETURN_CODE_TYPE var;

    var = FACE_NO_ERROR;
    var = FACE_NO_ACTION;
    var = FACE_NOT_AVAILABLE;
    var = FACE_ADDR_IN_USE;
    var = FACE_INVALID_PARAM;
    var = FACE_INVALID_CONFIG;
    var = FACE_PERMISSION_DENIED;
    var = FACE_INVALID_MODE;
    var = FACE_TIMED_OUT;
    var = FACE_MESSAGE_STALE;
    var = FACE_CONNECTION_IN_PROGRESS;
    var = FACE_CONNECTION_CLOSED;
    var = FACE_DATA_BUFFER_TOO_SMALL;

    (void)var;      /* code used to avoid unused variable warning */

}
