
#include "tss_conformance_test.h"
#include "user_includes.h"



#define FACE_STATIC_ASSERT(e) char face_static_assert[ e ? 1 : -1 ]


int main(int argc, char *argv[])
{
    /* Using all non type specific function calls to test for fork use in TSS */

	 void (*InitializeConformanceTest)
	 (
		/* in */ FACE_CONFIGURATION_FILE_NAME configuration_file,
		/* out */ FACE_RETURN_CODE_TYPE *return_code
	 ) = FACE_TS_Initialize;

     void (*create_connectionConformanceTest)
	 (
		/* in */ FACE_CONNECTION_NAME_TYPE connection_name,
		/* in */ FACE_MESSAGING_PATTERN_TYPE pattern,
		/* out */ FACE_CONNECTION_ID_TYPE *connection_id,
		/* out */ FACE_CONNECTION_DIRECTION_TYPE *connection_direction,
		/* out */ FACE_MESSAGE_SIZE_TYPE *max_message_size,
		/* out */ FACE_RETURN_CODE_TYPE *return_code
	 ) = FACE_TS_create_connection;

	 void (*destroy_connectionConformanceTest)
	 (
		/* in */ FACE_CONNECTION_ID_TYPE connection_id,
		/* out */ FACE_RETURN_CODE_TYPE *return_code
	 ) = FACE_TS_destroy_connection;

	 void (*get_connection_parametersConformanceTest)
	 (
		/* inout */ FACE_CONNECTION_NAME_TYPE *connection_name,
		/* inout */ FACE_CONNECTION_ID_TYPE *connection_id,
		/* out */ FACE_TRANSPORT_CONNECTION_STATUS_TYPE *connection_status,
		/* out */ FACE_RETURN_CODE_TYPE *return_code
	 ) = FACE_TS_get_connection_parameters;


	return 0;
}
