
/* Test25 */


/* user_includes.h is generated every test run and contains all header files */
/* specified in the configuration file for the segment under test            */
#include "user_includes.h"

/* Used to catch assertions at compile time */
#define FACE_STATIC_ASSERT(e) char face_static_assert[ e ? 1 : -1 ]

int main()
{

    /* struct conformance test */
    {
        /* Creating struct the same size as the struct under test */
        typedef struct {
            FACE_MESSAGE_RANGE_TYPE MESSAGE;
            FACE_MESSAGE_RANGE_TYPE MAX_MESSAGE;
            FACE_MESSAGE_SIZE_TYPE MAX_MESSAGE_SIZE;
            FACE_CONNECTION_DIRECTION_TYPE CONNECTION_DIRECTION;
            FACE_WAITING_RANGE_TYPE WAITING_PROCESSES_OR_MESSAGES;
            FACE_SYSTEM_TIME_TYPE REFRESH_PERIOD;
            FACE_VALIDITY_TYPE LAST_MSG_VALIDITY;

        } FACE_TRANSPORT_CONNECTION_STATUS_TYPE_CONFORMANCE_TEST;



        /* FACE_TRANSPORT_CONNECTION_STATUS_TYPE size test (Struct)*/
        FACE_STATIC_ASSERT(sizeof(FACE_TRANSPORT_CONNECTION_STATUS_TYPE) == sizeof(FACE_TRANSPORT_CONNECTION_STATUS_TYPE_CONFORMANCE_TEST));
        face_static_assert[0] += 1; /* code used to avoid unused variable warning */
    }

    FACE_TRANSPORT_CONNECTION_STATUS_TYPE var;


    /* Testing FACE_TRANSPORT_CONNECTION_STATUS_TYPE.MESSAGE is conformant */
    {
        FACE_STATIC_ASSERT(sizeof(var.MESSAGE) == sizeof(FACE_MESSAGE_RANGE_TYPE));
        face_static_assert[0] += 1; /* code used to avoid unused variable warning */
    }
    {
        FACE_MESSAGE_RANGE_TYPE tvar = 0;
        var.MESSAGE = tvar;
    }

    /* Testing FACE_TRANSPORT_CONNECTION_STATUS_TYPE.MAX_MESSAGE is conformant */
    {
        FACE_STATIC_ASSERT(sizeof(var.MAX_MESSAGE) == sizeof(FACE_MESSAGE_RANGE_TYPE));
        face_static_assert[0] += 1; /* code used to avoid unused variable warning */
    }
    {
        FACE_MESSAGE_RANGE_TYPE tvar = 0;
        var.MAX_MESSAGE = tvar;
    }

    /* Testing FACE_TRANSPORT_CONNECTION_STATUS_TYPE.MAX_MESSAGE_SIZE is conformant */
    {
        FACE_STATIC_ASSERT(sizeof(var.MAX_MESSAGE_SIZE) == sizeof(FACE_MESSAGE_SIZE_TYPE));
        face_static_assert[0] += 1; /* code used to avoid unused variable warning */
    }
    {
        FACE_MESSAGE_SIZE_TYPE tvar = 0;
        var.MAX_MESSAGE_SIZE = tvar;
    }

    /* Testing FACE_TRANSPORT_CONNECTION_STATUS_TYPE.CONNECTION_DIRECTION is conformant */
    {
        FACE_STATIC_ASSERT(sizeof(var.CONNECTION_DIRECTION) == sizeof(FACE_CONNECTION_DIRECTION_TYPE));
        face_static_assert[0] += 1; /* code used to avoid unused variable warning */
    }
    {
        FACE_CONNECTION_DIRECTION_TYPE tvar = 0;
        var.CONNECTION_DIRECTION = tvar;
    }

    /* Testing FACE_TRANSPORT_CONNECTION_STATUS_TYPE.WAITING_PROCESSES_OR_MESSAGES is conformant */
    {
        FACE_STATIC_ASSERT(sizeof(var.WAITING_PROCESSES_OR_MESSAGES) == sizeof(FACE_WAITING_RANGE_TYPE));
        face_static_assert[0] += 1; /* code used to avoid unused variable warning */
    }
    {
        FACE_WAITING_RANGE_TYPE tvar = 0;
        var.WAITING_PROCESSES_OR_MESSAGES = tvar;
    }

    /* Testing FACE_TRANSPORT_CONNECTION_STATUS_TYPE.REFRESH_PERIOD is conformant */
    {
        FACE_STATIC_ASSERT(sizeof(var.REFRESH_PERIOD) == sizeof(FACE_SYSTEM_TIME_TYPE));
        face_static_assert[0] += 1; /* code used to avoid unused variable warning */
    }
    {
        FACE_SYSTEM_TIME_TYPE tvar = 0;
        var.REFRESH_PERIOD = tvar;
    }

    /* Testing FACE_TRANSPORT_CONNECTION_STATUS_TYPE.LAST_MSG_VALIDITY is conformant */
    {
        FACE_STATIC_ASSERT(sizeof(var.LAST_MSG_VALIDITY) == sizeof(FACE_VALIDITY_TYPE));
        face_static_assert[0] += 1; /* code used to avoid unused variable warning */
    }
    {
        FACE_VALIDITY_TYPE tvar = 0;
        var.LAST_MSG_VALIDITY = tvar;
    }


}
