
#include "common_conformance_test.h"
#include "user_includes.h"



#define FACE_STATIC_ASSERT(e) char face_static_assert[ e ? 1 : -1 ]


int main(int argc, char *argv[])
{
	/* Test in file: Test1.c */
	{

		{
			/* FACE_SYSTEM_TIME_TYPE size test (int64_t)*/
			FACE_STATIC_ASSERT(sizeof(FACE_SYSTEM_TIME_TYPE) == sizeof(CONFORMANCE_TEST_FACE_SYSTEM_TIME_TYPE));
			face_static_assert[0] += 1; /* code used to avoid unused variable warning */
		}
		/* FACE_SYSTEM_TIME_TYPE type test (int64_t)*/
		FACE_SYSTEM_TIME_TYPE var = 0;
		CONFORMANCE_TEST_FACE_SYSTEM_TIME_TYPE cvar;
		cvar = var;
		var = cvar;  /* code used to avoid unused variable warning */

	}

	/* Test in file: Test2.c */
	{

		{
			/* FACE_INF_TIME_VALUE size test (int64_t)*/
			FACE_STATIC_ASSERT(sizeof(FACE_INF_TIME_VALUE) == sizeof(CONFORMANCE_TEST_FACE_INF_TIME_VALUE));
			face_static_assert[0] += 1; /* code used to avoid unused variable warning */
		}
		{
			/* Testing constant FACE_INF_TIME_VALUE value (-1) is conformant */
			FACE_STATIC_ASSERT(FACE_INF_TIME_VALUE == CONFORMANCE_TEST_FACE_INF_TIME_VALUE);
			face_static_assert[0] += 1; /* code used to avoid unused variable warning */
		}
	}

	/* Test in file: Test3.c */
	{

		{
			/* FACE_RETURN_CODE_TYPE size test (Enumeration)*/
			FACE_STATIC_ASSERT(sizeof(FACE_RETURN_CODE_TYPE) == sizeof(CONFORMANCE_TEST_FACE_RETURN_CODE_TYPE));
			face_static_assert[0] += 1; /* code used to avoid unused variable warning */
		}
		/* FACE_RETURN_CODE_TYPE enumeration test */
		FACE_RETURN_CODE_TYPE var;

		var = FACE_NO_ERROR;
		var = FACE_NO_ACTION;
		var = FACE_NOT_AVAILABLE;
		var = FACE_ADDR_IN_USE;
		var = FACE_INVALID_PARAM;
		var = FACE_INVALID_CONFIG;
		var = FACE_PERMISSION_DENIED;
		var = FACE_INVALID_MODE;
		var = FACE_TIMED_OUT;
		var = FACE_MESSAGE_STALE;
		var = FACE_CONNECTION_IN_PROGRESS;
		var = FACE_CONNECTION_CLOSED;
		var = FACE_DATA_BUFFER_TOO_SMALL;
		if (var == 0) var = 0; /* code used to avoid unused variable warning */

	}

	/* Test in file: Test4.c */
	{

		{
			/* FACE_SYSTEM_ADDRESS_TYPE size test (void *)*/
			FACE_STATIC_ASSERT(sizeof(FACE_SYSTEM_ADDRESS_TYPE) == sizeof(CONFORMANCE_TEST_FACE_SYSTEM_ADDRESS_TYPE));
			face_static_assert[0] += 1; /* code used to avoid unused variable warning */
		}
		/* FACE_SYSTEM_ADDRESS_TYPE type test (void *)*/
		FACE_SYSTEM_ADDRESS_TYPE var = 0;
		CONFORMANCE_TEST_FACE_SYSTEM_ADDRESS_TYPE cvar;
		cvar = var;
		var = cvar;  /* code used to avoid unused variable warning */

	}

	/* Test in file: Test5.c */
	{

		{
			/* FACE_TIMEOUT_TYPE size test (FACE_SYSTEM_TIME_TYPE)*/
			FACE_STATIC_ASSERT(sizeof(FACE_TIMEOUT_TYPE) == sizeof(CONFORMANCE_TEST_FACE_TIMEOUT_TYPE));
			face_static_assert[0] += 1; /* code used to avoid unused variable warning */
		}
		/* FACE_TIMEOUT_TYPE type test (FACE_SYSTEM_TIME_TYPE)*/
		FACE_TIMEOUT_TYPE var = 0;
		CONFORMANCE_TEST_FACE_TIMEOUT_TYPE cvar;
		cvar = var;
		var = cvar;  /* code used to avoid unused variable warning */

	}

	/* Test in file: Test6.c */
	{

		{
			/* FACE_MESSAGE_RANGE_TYPE size test (int32_t)*/
			FACE_STATIC_ASSERT(sizeof(FACE_MESSAGE_RANGE_TYPE) == sizeof(CONFORMANCE_TEST_FACE_MESSAGE_RANGE_TYPE));
			face_static_assert[0] += 1; /* code used to avoid unused variable warning */
		}
		/* FACE_MESSAGE_RANGE_TYPE type test (int32_t)*/
		FACE_MESSAGE_RANGE_TYPE var = 0;
		CONFORMANCE_TEST_FACE_MESSAGE_RANGE_TYPE cvar;
		cvar = var;
		var = cvar;  /* code used to avoid unused variable warning */

	}

	/* Test in file: Test7.c */
	{

		{
			/* FACE_RELIABILITY_TYPE size test (Enumeration)*/
			FACE_STATIC_ASSERT(sizeof(FACE_RELIABILITY_TYPE) == sizeof(CONFORMANCE_TEST_FACE_RELIABILITY_TYPE));
			face_static_assert[0] += 1; /* code used to avoid unused variable warning */
		}
		/* FACE_RELIABILITY_TYPE enumeration test */
		FACE_RELIABILITY_TYPE var;

		var = FACE_RELIABLE;
		var = FACE_NON_RELIABLE;
		if (var == 0) var = 0; /* code used to avoid unused variable warning */

	}

	/* Test in file: Test8.c */
	{

		{
			/* FACE_READ_WRITE_BEHAVIOR_TYPE size test (Enumeration)*/
			FACE_STATIC_ASSERT(sizeof(FACE_READ_WRITE_BEHAVIOR_TYPE) == sizeof(CONFORMANCE_TEST_FACE_READ_WRITE_BEHAVIOR_TYPE));
			face_static_assert[0] += 1; /* code used to avoid unused variable warning */
		}
		/* FACE_READ_WRITE_BEHAVIOR_TYPE enumeration test */
		FACE_READ_WRITE_BEHAVIOR_TYPE var;

		var = FACE_QUEUING;
		var = FACE_SAMPLING;
		if (var == 0) var = 0; /* code used to avoid unused variable warning */

	}

	return 0;
}
