------------------------------------------------------------------------------------
-- DISTRIBUTION STATEMENT A. Approved for public release; distribution is unlimited.
--
-- Product produced under DoD SENSIAC contract HC104705D4000 under
-- the sponsorship of the Defense Technical Information Center,
-- ATTN: DTIC-AI, 8723 John J. Kingman Rd., Ste 0944, Fort Belvoir, VA
-- 22060-6218.  SENSIAC is a DoD Information Analysis Center Sponsored
-- by the Defense Technical Information Center.
--
-- HANDLING AND DESTRUCTION NOTICE - Comply with distribution statement
-- and destroy by any method that will prevent disclosure of
-- contents or reconstruction of the document.
------------------------------------------------------------------------------------

-- This Ada spec is defined in the FACE Technical Standard v2.0,
--  which references the OMG Ada Language Mapping v1.3.

package FACE.Sequences is

	Length_Error, Pattern_Error, Index_Error : exception;

	type Alignment  is (Left, Right, Center);
	type Truncation is (Left, Right, Error);
	type Membership is (Inside, Outside);
	type Direction  is (Forward, Backward);

	type Trim_End   is (Left, Right, Both);

end FACE.Sequences;
