package body APEX.File_System is

    
    --------------------------------------
    -- Open_New_File
    --------------------------------------
    procedure Open_New_File
    (
        File_Name : in File_Name_Type;
        File_Id : out File_Id_Type;
        Return_Code : out Return_Code_Type;
        Errno : in out File_Errno_Type
    
    )
    is
    begin
        --  Generated stub: Only used for conformance testing
        null;
    end Open_New_File;
    
    --------------------------------------
    -- Open_File
    --------------------------------------
    procedure Open_File
    (
        File_Name : in File_Name_Type;
        File_Mode : in File_Mode_Type;
        File_Id : out File_Id_Type;
        Return_Code : out Return_Code_Type;
        Errno : in out File_Errno_Type
    
    )
    is
    begin
        --  Generated stub: Only used for conformance testing
        null;
    end Open_File;
    
    --------------------------------------
    -- Close_File
    --------------------------------------
    procedure Close_File
    (
        File_Id : in File_Id_Type;
        Return_Code : out Return_Code_Type;
        Errno : in out File_Errno_Type
    
    )
    is
    begin
        --  Generated stub: Only used for conformance testing
        null;
    end Close_File;
    
    --------------------------------------
    -- Read_File
    --------------------------------------
    procedure Read_File
    (
        File_Id : in File_Id_Type;
        Message_Addr : in Message_Addr_Type;
        In_Length : in Message_Size_Type;
        Out_Length : out Message_Size_Type;
        Return_Code : out Return_Code_Type;
        Errno : in out File_Errno_Type
    
    )
    is
    begin
        --  Generated stub: Only used for conformance testing
        null;
    end Read_File;
    
    --------------------------------------
    -- Write_File
    --------------------------------------
    procedure Write_File
    (
        File_Id : in File_Id_Type;
        Message_Addr : in Message_Addr_Type;
        Length : in Message_Size_Type;
        Return_Code : out Return_Code_Type;
        Errno : in out File_Errno_Type
    
    )
    is
    begin
        --  Generated stub: Only used for conformance testing
        null;
    end Write_File;
    
    --------------------------------------
    -- Seek_File
    --------------------------------------
    procedure Seek_File
    (
        File_Id : in File_Id_Type;
        Offset : in File_Size_Type;
        Whence : in File_Seek_Type;
        Position : out File_Size_Type;
        Return_Code : out Return_Code_Type;
        Errno : in out File_Errno_Type
    
    )
    is
    begin
        --  Generated stub: Only used for conformance testing
        null;
    end Seek_File;
    
    --------------------------------------
    -- Resize_File
    --------------------------------------
    procedure Resize_File
    (
        File_Id : in File_Id_Type;
        New_Size : in File_Size_Type;
        Return_Code : out Return_Code_Type;
        Errno : in out File_Errno_Type
    
    )
    is
    begin
        --  Generated stub: Only used for conformance testing
        null;
    end Resize_File;
    
    --------------------------------------
    -- Sync_File
    --------------------------------------
    procedure Sync_File
    (
        File_Id : in File_Id_Type;
        Return_Code : out Return_Code_Type;
        Errno : in out File_Errno_Type
    
    )
    is
    begin
        --  Generated stub: Only used for conformance testing
        null;
    end Sync_File;
    
    --------------------------------------
    -- Remove_File
    --------------------------------------
    procedure Remove_File
    (
        File_Name : in File_Name_Type;
        Return_Code : out Return_Code_Type;
        Errno : in out File_Errno_Type
    
    )
    is
    begin
        --  Generated stub: Only used for conformance testing
        null;
    end Remove_File;
    
    --------------------------------------
    -- Rename_File
    --------------------------------------
    procedure Rename_File
    (
        Old_File_Name : in File_Name_Type;
        New_File_Name : in File_Name_Type;
        Return_Code : out Return_Code_Type;
        Errno : in out File_Errno_Type
    
    )
    is
    begin
        --  Generated stub: Only used for conformance testing
        null;
    end Rename_File;
    
    --------------------------------------
    -- Get_File_Status
    --------------------------------------
    procedure Get_File_Status
    (
        File_Id : in File_Id_Type;
        File_Status : out APEX.File_System.File_Status_Type;
        Return_Code : out Return_Code_Type;
        Errno : in out File_Errno_Type
    
    )
    is
    begin
        --  Generated stub: Only used for conformance testing
        null;
    end Get_File_Status;
    
    --------------------------------------
    -- Get_Volume_Status
    --------------------------------------
    procedure Get_Volume_Status
    (
        File_Name : in File_Name_Type;
        Volume_Status : out APEX.File_System.Volume_Status_Type;
        Return_Code : out Return_Code_Type;
        Errno : in out File_Errno_Type
    
    )
    is
    begin
        --  Generated stub: Only used for conformance testing
        null;
    end Get_Volume_Status;
    
    --------------------------------------
    -- Open_Directory
    --------------------------------------
    procedure Open_Directory
    (
        Directory_Name : in File_Name_Type;
        Directory_Id : out Directory_Id_Type;
        Return_Code : out Return_Code_Type;
        Errno : in out File_Errno_Type
    
    )
    is
    begin
        --  Generated stub: Only used for conformance testing
        null;
    end Open_Directory;
    
    --------------------------------------
    -- Close_Directory
    --------------------------------------
    procedure Close_Directory
    (
        Directory_Id : in Directory_Id_Type;
        Return_Code : out Return_Code_Type;
        Errno : in out File_Errno_Type
    
    )
    is
    begin
        --  Generated stub: Only used for conformance testing
        null;
    end Close_Directory;
    
    --------------------------------------
    -- Read_Directory
    --------------------------------------
    procedure Read_Directory
    (
        Directory_Id : in Directory_Id_Type;
        Entry_Name : out Directory_Entry_Type;
        Entry_Kind : out Entry_Kind_Type;
        Return_Code : out Return_Code_Type;
        Errno : in out File_Errno_Type
    
    )
    is
    begin
        --  Generated stub: Only used for conformance testing
        null;
    end Read_Directory;
    
    --------------------------------------
    -- Rewind_Directory
    --------------------------------------
    procedure Rewind_Directory
    (
        Directory_Id : in Directory_Id_Type;
        Return_Code : out Return_Code_Type;
        Errno : in out File_Errno_Type
    
    )
    is
    begin
        --  Generated stub: Only used for conformance testing
        null;
    end Rewind_Directory;
    
    --------------------------------------
    -- Make_Directory
    --------------------------------------
    procedure Make_Directory
    (
        Directory_Name : in File_Name_Type;
        Return_Code : out Return_Code_Type;
        Errno : in out File_Errno_Type
    
    )
    is
    begin
        --  Generated stub: Only used for conformance testing
        null;
    end Make_Directory;
    
    --------------------------------------
    -- Remove_Directory
    --------------------------------------
    procedure Remove_Directory
    (
        Directory_Name : in File_Name_Type;
        Return_Code : out Return_Code_Type;
        Errno : in out File_Errno_Type
    
    )
    is
    begin
        --  Generated stub: Only used for conformance testing
        null;
    end Remove_Directory;
    
    --------------------------------------
    -- Sync_Directory
    --------------------------------------
    procedure Sync_Directory
    (
        Directory_Id : in Directory_Id_Type;
        Return_Code : out Return_Code_Type;
        Errno : in out File_Errno_Type
    
    )
    is
    begin
        --  Generated stub: Only used for conformance testing
        null;
    end Sync_Directory;
    
    --------------------------------------
    -- Rename_Directory
    --------------------------------------
    procedure Rename_Directory
    (
        Old_Directory_Name : in File_Name_Type;
        New_Directory_Name : in File_Name_Type;
        Return_Code : out Return_Code_Type;
        Errno : in out File_Errno_Type
    
    )
    is
    begin
        --  Generated stub: Only used for conformance testing
        null;
    end Rename_Directory;


end APEX.File_System;
