/************************************************************************************
 * Copyright (c) Vanderbilt University, 2020                                        *
 *                                                                                  *
 * ALL RIGHTS RESERVED, UNLESS OTHERWISE STATED                                     *
 *                                                                                  *
 * This software, authored by Vanderbilt University under a contract awarded to and *
 * managed by Alion Science and Technology, was funded by the U.S. Government under *
 * Contract No. FA8075-14-D-0014 and the U.S. Government has unlimited rights in    *
 * this software.  An unlimited rights license means that the U.S. Government can   *
 * use, modify, reproduce, release or disclose computer software in whole or in     *
 * part, in any manner, and for any purpose whatsoever, and to have or authorize    *
 * others to do so.                                                                 *
 *                                                                                  *
 * Vanderbilt University disclaims all warranties with regard to this software,     *
 * including all implied warranties of merchantability and fitness. In no event     *
 * shall Vanderbilt University be liable for any special, indirect or consequential *
 * damages or any damages whatsoever resulting from loss of use, data or profits,   *
 * whether in an action of contract, negligence or other tortious action, arising   *
 * out of or in connection with the use or performance of this software.            *
 *                                                                                  *
 * May contain products produced under DoD SENSIAC contract HC104705D4000 under the *
 * sponsorship of the Defense Technical Information Center,                         *
 * ATTN: DTIC-AI, 8723 John J. Kingman Rd., Ste 0944, Fort Belvoir, VA 22060-6218.  *
 * SENSIAC is a DoD Information Analysis Center Sponsored by the Defense Technical  *
 * Information Center.                                                              *
 *                                                                                  *
 * Conformance Test Suite Version 2.1.1r9 supporting FACE Standard Version 2.1.1    *
 *                                                                                  *
 * This file is generated and may be overwritten.                                   *
 *                                                                                  *
 * Release Date: 29-Aug-2023                                                        *
 ************************************************************************************/

#include "unistd.h"

char ** environ = (char **) 0;
int access(const char * var0, int var1)
{
    int* __face_conform_abc = 0;
    return *__face_conform_abc;
}
int alarm(int var0)
{
    int* __face_conform_abc = 0;
    return *__face_conform_abc;
}
int chdir(const char * var0)
{
    int* __face_conform_abc = 0;
    return *__face_conform_abc;
}
int chown(const char * var0, uid_t var1, gid_t var2)
{
    int* __face_conform_abc = 0;
    return *__face_conform_abc;
}
int close(int var0)
{
    int* __face_conform_abc = 0;
    return *__face_conform_abc;
}
int dup2(int var0, int var1)
{
    int* __face_conform_abc = 0;
    return *__face_conform_abc;
}
void _exit(int var0)
{
    return;
}
int execl(const char * var0, const char * var1, ...)
{
    int* __face_conform_abc = 0;
    return *__face_conform_abc;
}
int execle(const char * var0, const char * var1, ...)
{
    int* __face_conform_abc = 0;
    return *__face_conform_abc;
}
int execv(const char * var0, char *const var1[])
{
    int* __face_conform_abc = 0;
    return *__face_conform_abc;
}
int execve(const char * var0, char *const var1[], char *const var2[])
{
    int* __face_conform_abc = 0;
    return *__face_conform_abc;
}
int fsync(int var0)
{
    int* __face_conform_abc = 0;
    return *__face_conform_abc;
}
int ftruncate(int var0, off_t var1)
{
    int* __face_conform_abc = 0;
    return *__face_conform_abc;
}
char* getcwd(char * var0, size_t var1)
{
    char* __face_conform_abc = 0;
    return __face_conform_abc;
}
gid_t getegid()
{
    gid_t* __face_conform_abc = 0;
    return *__face_conform_abc;
}
uid_t geteuid()
{
    uid_t* __face_conform_abc = 0;
    return *__face_conform_abc;
}
gid_t getgid()
{
    gid_t* __face_conform_abc = 0;
    return *__face_conform_abc;
}
int getgroups(int var0, gid_t var1[])
{
    int* __face_conform_abc = 0;
    return *__face_conform_abc;
}
int gethostname(char * var0, size_t var1)
{
    int* __face_conform_abc = 0;
    return *__face_conform_abc;
}
pid_t getpgrp()
{
    pid_t* __face_conform_abc = 0;
    return *__face_conform_abc;
}
pid_t getpid()
{
    pid_t* __face_conform_abc = 0;
    return *__face_conform_abc;
}
pid_t getppid()
{
    pid_t* __face_conform_abc = 0;
    return *__face_conform_abc;
}
uid_t getuid()
{
    uid_t* __face_conform_abc = 0;
    return *__face_conform_abc;
}
int link(const char * var0, const char * var1)
{
    int* __face_conform_abc = 0;
    return *__face_conform_abc;
}
off_t lseek(int var0, off_t var1, int var2)
{
    off_t* __face_conform_abc = 0;
    return *__face_conform_abc;
}
int pause()
{
    int* __face_conform_abc = 0;
    return *__face_conform_abc;
}
int pipe(int var0[2])
{
    int* __face_conform_abc = 0;
    return *__face_conform_abc;
}
ssize_t read(int var0, void * var1, size_t var2)
{
    ssize_t* __face_conform_abc = 0;
    return *__face_conform_abc;
}
int rmdir(const char * var0)
{
    int* __face_conform_abc = 0;
    return *__face_conform_abc;
}
int setegid(gid_t var0)
{
    int* __face_conform_abc = 0;
    return *__face_conform_abc;
}
int seteuid(uid_t var0)
{
    int* __face_conform_abc = 0;
    return *__face_conform_abc;
}
int setgid(gid_t var0)
{
    int* __face_conform_abc = 0;
    return *__face_conform_abc;
}
int setuid(uid_t var0)
{
    int* __face_conform_abc = 0;
    return *__face_conform_abc;
}
unsigned sleep(unsigned var0)
{
    unsigned* __face_conform_abc = 0;
    return *__face_conform_abc;
}
long sysconf(int var0)
{
    long* __face_conform_abc = 0;
    return *__face_conform_abc;
}
int unlink(const char * var0)
{
    int* __face_conform_abc = 0;
    return *__face_conform_abc;
}
ssize_t write(int var0, const void * var1, size_t var2)
{
    ssize_t* __face_conform_abc = 0;
    return *__face_conform_abc;
}
