/************************************************************************************
 * Copyright (c) Vanderbilt University, 2020                                        *
 *                                                                                  *
 * ALL RIGHTS RESERVED, UNLESS OTHERWISE STATED                                     *
 *                                                                                  *
 * This software, authored by Vanderbilt University under a contract awarded to and *
 * managed by Alion Science and Technology, was funded by the U.S. Government under *
 * Contract No. FA8075-14-D-0014 and the U.S. Government has unlimited rights in    *
 * this software.  An unlimited rights license means that the U.S. Government can   *
 * use, modify, reproduce, release or disclose computer software in whole or in     *
 * part, in any manner, and for any purpose whatsoever, and to have or authorize    *
 * others to do so.                                                                 *
 *                                                                                  *
 * Vanderbilt University disclaims all warranties with regard to this software,     *
 * including all implied warranties of merchantability and fitness. In no event     *
 * shall Vanderbilt University be liable for any special, indirect or consequential *
 * damages or any damages whatsoever resulting from loss of use, data or profits,   *
 * whether in an action of contract, negligence or other tortious action, arising   *
 * out of or in connection with the use or performance of this software.            *
 *                                                                                  *
 * May contain products produced under DoD SENSIAC contract HC104705D4000 under the *
 * sponsorship of the Defense Technical Information Center,                         *
 * ATTN: DTIC-AI, 8723 John J. Kingman Rd., Ste 0944, Fort Belvoir, VA 22060-6218.  *
 * SENSIAC is a DoD Information Analysis Center Sponsored by the Defense Technical  *
 * Information Center.                                                              *
 *                                                                                  *
 * Conformance Test Suite Version 2.1.1r9 supporting FACE Standard Version 2.1.1    *
 *                                                                                  *
 * This file is generated and may be overwritten.                                   *
 *                                                                                  *
 * Release Date: 29-Aug-2023                                                        *
 ************************************************************************************/

#include "math.h"

double acos(double var0)
{
    double* __face_conform_abc = 0;
    return *__face_conform_abc;
}
double acosh(double var0)
{
    double* __face_conform_abc = 0;
    return *__face_conform_abc;
}
double asin(double var0)
{
    double* __face_conform_abc = 0;
    return *__face_conform_abc;
}
double asinh(double var0)
{
    double* __face_conform_abc = 0;
    return *__face_conform_abc;
}
double atan(double var0)
{
    double* __face_conform_abc = 0;
    return *__face_conform_abc;
}
double atan2(double var0, double var1)
{
    double* __face_conform_abc = 0;
    return *__face_conform_abc;
}
double atanh(double var0)
{
    double* __face_conform_abc = 0;
    return *__face_conform_abc;
}
double ceil(double var0)
{
    double* __face_conform_abc = 0;
    return *__face_conform_abc;
}
double cos(double var0)
{
    double* __face_conform_abc = 0;
    return *__face_conform_abc;
}
double cosh(double var0)
{
    double* __face_conform_abc = 0;
    return *__face_conform_abc;
}
double exp(double var0)
{
    double* __face_conform_abc = 0;
    return *__face_conform_abc;
}
double fabs(double var0)
{
    double* __face_conform_abc = 0;
    return *__face_conform_abc;
}
double floor(double var0)
{
    double* __face_conform_abc = 0;
    return *__face_conform_abc;
}
double fmod(double var0, double var1)
{
    double* __face_conform_abc = 0;
    return *__face_conform_abc;
}
double frexp(double var0, int * var1)
{
    double* __face_conform_abc = 0;
    return *__face_conform_abc;
}
double ldexp(double var0, int var1)
{
    double* __face_conform_abc = 0;
    return *__face_conform_abc;
}
double log(double var0)
{
    double* __face_conform_abc = 0;
    return *__face_conform_abc;
}
double log10(double var0)
{
    double* __face_conform_abc = 0;
    return *__face_conform_abc;
}
double modf(double var0, double * var1)
{
    double* __face_conform_abc = 0;
    return *__face_conform_abc;
}
double pow(double var0, double var1)
{
    double* __face_conform_abc = 0;
    return *__face_conform_abc;
}
double sin(double var0)
{
    double* __face_conform_abc = 0;
    return *__face_conform_abc;
}
double sinh(double var0)
{
    double* __face_conform_abc = 0;
    return *__face_conform_abc;
}
double sqrt(double var0)
{
    double* __face_conform_abc = 0;
    return *__face_conform_abc;
}
double tan(double var0)
{
    double* __face_conform_abc = 0;
    return *__face_conform_abc;
}
double tanh(double var0)
{
    double* __face_conform_abc = 0;
    return *__face_conform_abc;
}
