/************************************************************************************
 * Copyright (c) Vanderbilt University, 2020                                        *
 *                                                                                  *
 * ALL RIGHTS RESERVED, UNLESS OTHERWISE STATED                                     *
 *                                                                                  *
 * This software, authored by Vanderbilt University under a contract awarded to and *
 * managed by Alion Science and Technology, was funded by the U.S. Government under *
 * Contract No. FA8075-14-D-0014 and the U.S. Government has unlimited rights in    *
 * this software.  An unlimited rights license means that the U.S. Government can   *
 * use, modify, reproduce, release or disclose computer software in whole or in     *
 * part, in any manner, and for any purpose whatsoever, and to have or authorize    *
 * others to do so.                                                                 *
 *                                                                                  *
 * Vanderbilt University disclaims all warranties with regard to this software,     *
 * including all implied warranties of merchantability and fitness. In no event     *
 * shall Vanderbilt University be liable for any special, indirect or consequential *
 * damages or any damages whatsoever resulting from loss of use, data or profits,   *
 * whether in an action of contract, negligence or other tortious action, arising   *
 * out of or in connection with the use or performance of this software.            *
 *                                                                                  *
 * May contain products produced under DoD SENSIAC contract HC104705D4000 under the *
 * sponsorship of the Defense Technical Information Center,                         *
 * ATTN: DTIC-AI, 8723 John J. Kingman Rd., Ste 0944, Fort Belvoir, VA 22060-6218.  *
 * SENSIAC is a DoD Information Analysis Center Sponsored by the Defense Technical  *
 * Information Center.                                                              *
 *                                                                                  *
 * Conformance Test Suite Version 2.1.1r9 supporting FACE Standard Version 2.1.1    *
 *                                                                                  *
 * This file is generated and may be overwritten.                                   *
 *                                                                                  *
 * Release Date: 29-Aug-2023                                                        *
 ************************************************************************************/

#include "cmath"

float std::abs(float var0)
{
    float* __face_conform_abc = 0;
    return *__face_conform_abc;
}
float std::acos(float var0)
{
    float* __face_conform_abc = 0;
    return *__face_conform_abc;
}
float std::asin(float var0)
{
    float* __face_conform_abc = 0;
    return *__face_conform_abc;
}
float std::atan(float var0)
{
    float* __face_conform_abc = 0;
    return *__face_conform_abc;
}
float std::atan2(float var0, float var1)
{
    float* __face_conform_abc = 0;
    return *__face_conform_abc;
}
float std::ceil(float var0)
{
    float* __face_conform_abc = 0;
    return *__face_conform_abc;
}
float std::cosh(float var0)
{
    float* __face_conform_abc = 0;
    return *__face_conform_abc;
}
float std::cos(float var0)
{
    float* __face_conform_abc = 0;
    return *__face_conform_abc;
}
float std::exp(float var0)
{
    float* __face_conform_abc = 0;
    return *__face_conform_abc;
}
float std::fabs(float var0)
{
    float* __face_conform_abc = 0;
    return *__face_conform_abc;
}
float std::floor(float var0)
{
    float* __face_conform_abc = 0;
    return *__face_conform_abc;
}
float std::fmod(float var0, float var1)
{
    float* __face_conform_abc = 0;
    return *__face_conform_abc;
}
float std::frexp(float var0, int* var1)
{
    float* __face_conform_abc = 0;
    return *__face_conform_abc;
}
float std::ldexp(float var0, int var1)
{
    float* __face_conform_abc = 0;
    return *__face_conform_abc;
}
float std::log(float var0)
{
    float* __face_conform_abc = 0;
    return *__face_conform_abc;
}
float std::log10(float var0)
{
    float* __face_conform_abc = 0;
    return *__face_conform_abc;
}
float std::modf(float var0, float* var1)
{
    float* __face_conform_abc = 0;
    return *__face_conform_abc;
}
float std::pow(float var0, float var1)
{
    float* __face_conform_abc = 0;
    return *__face_conform_abc;
}
float std::pow(float var0, int var1)
{
    float* __face_conform_abc = 0;
    return *__face_conform_abc;
}
float std::sin(float var0)
{
    float* __face_conform_abc = 0;
    return *__face_conform_abc;
}
float std::sinh(float var0)
{
    float* __face_conform_abc = 0;
    return *__face_conform_abc;
}
float std::sqrt(float var0)
{
    float* __face_conform_abc = 0;
    return *__face_conform_abc;
}
float std::tan(float var0)
{
    float* __face_conform_abc = 0;
    return *__face_conform_abc;
}
float std::tanh(float var0)
{
    float* __face_conform_abc = 0;
    return *__face_conform_abc;
}
double std::abs(double var0)
{
    double* __face_conform_abc = 0;
    return *__face_conform_abc;
}
double std::pow(double var0, int var1)
{
    double* __face_conform_abc = 0;
    return *__face_conform_abc;
}
long double std::abs(long double var0)
{
    long double* __face_conform_abc = 0;
    return *__face_conform_abc;
}
long double std::acos(long double var0)
{
    long double* __face_conform_abc = 0;
    return *__face_conform_abc;
}
long double std::asin(long double var0)
{
    long double* __face_conform_abc = 0;
    return *__face_conform_abc;
}
long double std::atan(long double var0)
{
    long double* __face_conform_abc = 0;
    return *__face_conform_abc;
}
long double std::atan2(long double var0, long double var1)
{
    long double* __face_conform_abc = 0;
    return *__face_conform_abc;
}
long double std::ceil(long double var0)
{
    long double* __face_conform_abc = 0;
    return *__face_conform_abc;
}
long double std::cos(long double var0)
{
    long double* __face_conform_abc = 0;
    return *__face_conform_abc;
}
long double std::cosh(long double var0)
{
    long double* __face_conform_abc = 0;
    return *__face_conform_abc;
}
long double std::exp(long double var0)
{
    long double* __face_conform_abc = 0;
    return *__face_conform_abc;
}
long double std::fabs(long double var0)
{
    long double* __face_conform_abc = 0;
    return *__face_conform_abc;
}
long double std::floor(long double var0)
{
    long double* __face_conform_abc = 0;
    return *__face_conform_abc;
}
long double std::fmod(long double var0, long double var1)
{
    long double* __face_conform_abc = 0;
    return *__face_conform_abc;
}
long double std::frexp(long double var0, int* var1)
{
    long double* __face_conform_abc = 0;
    return *__face_conform_abc;
}
long double std::ldexp(long double var0, int var1)
{
    long double* __face_conform_abc = 0;
    return *__face_conform_abc;
}
long double std::log(long double var0)
{
    long double* __face_conform_abc = 0;
    return *__face_conform_abc;
}
long double std::log10(long double var0)
{
    long double* __face_conform_abc = 0;
    return *__face_conform_abc;
}
long double std::modf(long double var0, long double* var1)
{
    long double* __face_conform_abc = 0;
    return *__face_conform_abc;
}
long double std::pow(long double var0, long double var1)
{
    long double* __face_conform_abc = 0;
    return *__face_conform_abc;
}
long double std::pow(long double var0, int var1)
{
    long double* __face_conform_abc = 0;
    return *__face_conform_abc;
}
long double std::sin(long double var0)
{
    long double* __face_conform_abc = 0;
    return *__face_conform_abc;
}
long double std::sinh(long double var0)
{
    long double* __face_conform_abc = 0;
    return *__face_conform_abc;
}
long double std::sqrt(long double var0)
{
    long double* __face_conform_abc = 0;
    return *__face_conform_abc;
}
long double std::tan(long double var0)
{
    long double* __face_conform_abc = 0;
    return *__face_conform_abc;
}
long double std::tanh(long double var0)
{
    long double* __face_conform_abc = 0;
    return *__face_conform_abc;
}
