/************************************************************************************
 * Copyright (c) Vanderbilt University, 2020                                        *
 *                                                                                  *
 * ALL RIGHTS RESERVED, UNLESS OTHERWISE STATED                                     *
 *                                                                                  *
 * This software, authored by Vanderbilt University under a contract awarded to and *
 * managed by Alion Science and Technology, was funded by the U.S. Government under *
 * Contract No. FA8075-14-D-0014 and the U.S. Government has unlimited rights in    *
 * this software.  An unlimited rights license means that the U.S. Government can   *
 * use, modify, reproduce, release or disclose computer software in whole or in     *
 * part, in any manner, and for any purpose whatsoever, and to have or authorize    *
 * others to do so.                                                                 *
 *                                                                                  *
 * Vanderbilt University disclaims all warranties with regard to this software,     *
 * including all implied warranties of merchantability and fitness. In no event     *
 * shall Vanderbilt University be liable for any special, indirect or consequential *
 * damages or any damages whatsoever resulting from loss of use, data or profits,   *
 * whether in an action of contract, negligence or other tortious action, arising   *
 * out of or in connection with the use or performance of this software.            *
 *                                                                                  *
 * May contain products produced under DoD SENSIAC contract HC104705D4000 under the *
 * sponsorship of the Defense Technical Information Center,                         *
 * ATTN: DTIC-AI, 8723 John J. Kingman Rd., Ste 0944, Fort Belvoir, VA 22060-6218.  *
 * SENSIAC is a DoD Information Analysis Center Sponsored by the Defense Technical  *
 * Information Center.                                                              *
 *                                                                                  *
 * Conformance Test Suite Version 2.1.1r9 supporting FACE Standard Version 2.1.1    *
 *                                                                                  *
 * This file is generated and may be overwritten.                                   *
 *                                                                                  *
 * Release Date: 29-Aug-2023                                                        *
 ************************************************************************************/

#include "strstream"

 std::strstreambuf::strstreambuf(std::streamsize)
{
    
}
 std::strstreambuf::strstreambuf(void* (*)(size_t), void (*)(void*))
{
    
}
 std::strstreambuf::strstreambuf(char*, std::streamsize, char*)
{
    
}
 std::strstreambuf::strstreambuf(const char*, std::streamsize)
{
    
}
 std::strstreambuf::strstreambuf(signed char*, std::streamsize, signed char*)
{
    
}
 std::strstreambuf::strstreambuf(const signed char*, std::streamsize)
{
    
}
 std::strstreambuf::strstreambuf(unsigned char*, std::streamsize, unsigned char*)
{
    
}
 std::strstreambuf::strstreambuf(const unsigned char*, std::streamsize)
{
    
}
 std::strstreambuf::~strstreambuf()
{
    
}
void std::strstreambuf::freeze(bool)
{
    return;
}
char* std::strstreambuf::str()
{
    char* __face_conform_abc = 0;
    return __face_conform_abc;
}
int std::strstreambuf::pcount() const
{
    int* __face_conform_abc = 0;
    return *__face_conform_abc;
}
std::strstreambuf::int_type std::strstreambuf::overflow(std::strstreambuf::int_type)
{
    std::strstreambuf::int_type* __face_conform_abc = 0;
    return *__face_conform_abc;
}
std::strstreambuf::int_type std::strstreambuf::pbackfail(std::strstreambuf::int_type)
{
    std::strstreambuf::int_type* __face_conform_abc = 0;
    return *__face_conform_abc;
}
std::strstreambuf::int_type std::strstreambuf::underflow()
{
    std::strstreambuf::int_type* __face_conform_abc = 0;
    return *__face_conform_abc;
}
std::strstreambuf::pos_type std::strstreambuf::seekoff(std::strstreambuf::off_type, ios_base::seekdir, ios_base::openmode)
{
    std::strstreambuf::pos_type* __face_conform_abc = 0;
    return *__face_conform_abc;
}
std::strstreambuf::pos_type std::strstreambuf::seekpos(std::strstreambuf::pos_type, ios_base::openmode)
{
    std::strstreambuf::pos_type* __face_conform_abc = 0;
    return *__face_conform_abc;
}
std::streambuf* std::strstreambuf::setbuf(char*, std::streamsize)
{
    std::streambuf* __face_conform_abc = 0;
    return __face_conform_abc;
}
 std::istrstream::istrstream(const char*) : std::basic_istream<char>(0)
{
    
}
 std::istrstream::istrstream(char*) : std::basic_istream<char>(0)
{
    
}
 std::istrstream::istrstream(const char*, std::streamsize) : std::basic_istream<char>(0)
{
    
}
 std::istrstream::istrstream(char*, std::streamsize) : std::basic_istream<char>(0)
{
    
}
 std::istrstream::~istrstream()
{
    
}
std::strstreambuf* std::istrstream::rdbuf() const
{
    std::strstreambuf* __face_conform_abc = 0;
    return __face_conform_abc;
}
char * std::istrstream::str()
{
    char * __face_conform_abc = 0;
    return __face_conform_abc;
}
 std::ostrstream::ostrstream() : std::basic_ostream<char>(0)
{
    
}
 std::ostrstream::ostrstream(char*, int, ios_base::openmode) : std::basic_ostream<char>(0)
{
    
}
 std::ostrstream::~ostrstream()
{
    
}
std::strstreambuf* std::ostrstream::rdbuf() const
{
    std::strstreambuf* __face_conform_abc = 0;
    return __face_conform_abc;
}
void std::ostrstream::freeze(bool)
{
    return;
}
char* std::ostrstream::str()
{
    char* __face_conform_abc = 0;
    return __face_conform_abc;
}
int std::ostrstream::pcount() const
{
    int* __face_conform_abc = 0;
    return *__face_conform_abc;
}
 std::strstream::strstream() : std::basic_iostream<char>(0)
{
    
}
 std::strstream::strstream(char*, int, ios_base::openmode) : std::basic_iostream<char>(0)
{
    
}
 std::strstream::~strstream()
{
    
}
std::strstreambuf* std::strstream::rdbuf() const
{
    std::strstreambuf* __face_conform_abc = 0;
    return __face_conform_abc;
}
void std::strstream::freeze(bool)
{
    return;
}
int std::strstream::pcount() const
{
    int* __face_conform_abc = 0;
    return *__face_conform_abc;
}
char* std::strstream::str()
{
    char* __face_conform_abc = 0;
    return __face_conform_abc;
}
