/************************************************************************************
 * Copyright (c) Vanderbilt University, 2020                                        *
 *                                                                                  *
 * ALL RIGHTS RESERVED, UNLESS OTHERWISE STATED                                     *
 *                                                                                  *
 * This software, authored by Vanderbilt University under a contract awarded to and *
 * managed by Alion Science and Technology, was funded by the U.S. Government under *
 * Contract No. FA8075-14-D-0014 and the U.S. Government has unlimited rights in    *
 * this software.  An unlimited rights license means that the U.S. Government can   *
 * use, modify, reproduce, release or disclose computer software in whole or in     *
 * part, in any manner, and for any purpose whatsoever, and to have or authorize    *
 * others to do so.                                                                 *
 *                                                                                  *
 * Vanderbilt University disclaims all warranties with regard to this software,     *
 * including all implied warranties of merchantability and fitness. In no event     *
 * shall Vanderbilt University be liable for any special, indirect or consequential *
 * damages or any damages whatsoever resulting from loss of use, data or profits,   *
 * whether in an action of contract, negligence or other tortious action, arising   *
 * out of or in connection with the use or performance of this software.            *
 *                                                                                  *
 * May contain products produced under DoD SENSIAC contract HC104705D4000 under the *
 * sponsorship of the Defense Technical Information Center,                         *
 * ATTN: DTIC-AI, 8723 John J. Kingman Rd., Ste 0944, Fort Belvoir, VA 22060-6218.  *
 * SENSIAC is a DoD Information Analysis Center Sponsored by the Defense Technical  *
 * Information Center.                                                              *
 *                                                                                  *
 * Conformance Test Suite Version 2.1.1r9 supporting FACE Standard Version 2.1.1    *
 *                                                                                  *
 * This file is generated and may be overwritten.                                   *
 *                                                                                  *
 * Release Date: 29-Aug-2023                                                        *
 ************************************************************************************/

#include "typeinfo"

 std::type_info::~type_info()
{
    
}
bool std::type_info::operator==(const std::type_info&) const
{
    bool* __face_conform_abc = 0;
    return *__face_conform_abc;
}
bool std::type_info::operator!=(const std::type_info&) const
{
    bool* __face_conform_abc = 0;
    return *__face_conform_abc;
}
bool std::type_info::before(const std::type_info&) const
{
    bool* __face_conform_abc = 0;
    return *__face_conform_abc;
}
const char* std::type_info::name() const
{
    const char* __face_conform_abc = 0;
    return __face_conform_abc;
}
 std::type_info::type_info(const std::type_info&)
{
    
}
std::type_info& std::type_info::operator=(const std::type_info&)
{
    std::type_info* __face_conform_abc = 0;
    return *__face_conform_abc;
}
 std::bad_cast::bad_cast() throw()
{
    
}
 std::bad_cast::bad_cast(const std::bad_cast&) throw()
{
    
}
std::bad_cast& std::bad_cast::operator=(const std::bad_cast&) throw()
{
    std::bad_cast* __face_conform_abc = 0;
    return *__face_conform_abc;
}
 std::bad_cast::~bad_cast() throw()
{
    
}
const char* std::bad_cast::what() const throw()
{
    const char* __face_conform_abc = 0;
    return __face_conform_abc;
}
 std::bad_typeid::bad_typeid() throw()
{
    
}
 std::bad_typeid::bad_typeid(const std::bad_typeid&) throw()
{
    
}
std::bad_typeid& std::bad_typeid::operator=(const std::bad_typeid&) throw()
{
    std::bad_typeid* __face_conform_abc = 0;
    return *__face_conform_abc;
}
 std::bad_typeid::~bad_typeid() throw()
{
    
}
const char* std::bad_typeid::what() const throw()
{
    const char* __face_conform_abc = 0;
    return __face_conform_abc;
}
