/************************************************************************************
 * Copyright (c) Vanderbilt University, 2020                                        *
 *                                                                                  *
 * ALL RIGHTS RESERVED, UNLESS OTHERWISE STATED                                     *
 *                                                                                  *
 * This software, authored by Vanderbilt University under a contract awarded to and *
 * managed by Alion Science and Technology, was funded by the U.S. Government under *
 * Contract No. FA8075-14-D-0014 and the U.S. Government has unlimited rights in    *
 * this software.  An unlimited rights license means that the U.S. Government can   *
 * use, modify, reproduce, release or disclose computer software in whole or in     *
 * part, in any manner, and for any purpose whatsoever, and to have or authorize    *
 * others to do so.                                                                 *
 *                                                                                  *
 * Vanderbilt University disclaims all warranties with regard to this software,     *
 * including all implied warranties of merchantability and fitness. In no event     *
 * shall Vanderbilt University be liable for any special, indirect or consequential *
 * damages or any damages whatsoever resulting from loss of use, data or profits,   *
 * whether in an action of contract, negligence or other tortious action, arising   *
 * out of or in connection with the use or performance of this software.            *
 *                                                                                  *
 * May contain products produced under DoD SENSIAC contract HC104705D4000 under the *
 * sponsorship of the Defense Technical Information Center,                         *
 * ATTN: DTIC-AI, 8723 John J. Kingman Rd., Ste 0944, Fort Belvoir, VA 22060-6218.  *
 * SENSIAC is a DoD Information Analysis Center Sponsored by the Defense Technical  *
 * Information Center.                                                              *
 *                                                                                  *
 * Filename: APEX_LOGBOOK_SYSTEM.c                                                  *
 *                                                                                  *
 * Conformance Test Suite Version 2.1.1r9 supporting FACE Standard Version 2.1.1    *
 *                                                                                  *
 * This file is generated and may be overwritten.                                   *
 *                                                                                  *
 * Release Date: 29-Aug-2023                                                        *
 ************************************************************************************/


#include "APEX_LOGBOOK_SYSTEM.h"



extern void CREATE_LOGBOOK (
        /* in */ LOGBOOK_NAME_TYPE LOGBOOK_NAME,
        /* in */ MESSAGE_SIZE_TYPE MAX_MESSAGE_SIZE,
        /* in */ MESSAGE_RANGE_TYPE MAX_NB_LOGGED_MESSAGES,
        /* in */ MESSAGE_RANGE_TYPE MAX_NB_IN_PROGRESS_MESSAGES,
        /* out */ LOGBOOK_ID_TYPE * LOGBOOK_ID,
        /* out */ RETURN_CODE_TYPE * RETURN_CODE
    )
    {
        /* Function Stub...used only for FACE conformance testing */
    }


extern void WRITE_LOGBOOK (
        /* in */ LOGBOOK_ID_TYPE LOGBOOK_ID,
        /* in */ MESSAGE_ADDR_TYPE MESSAGE_ADDR,
        /* in */ MESSAGE_SIZE_TYPE LENGTH,
        /* out */ RETURN_CODE_TYPE * RETURN_CODE
    )
    {
        /* Function Stub...used only for FACE conformance testing */
    }


extern void OVERWRITE_LOGBOOK (
        /* in */ LOGBOOK_ID_TYPE LOGBOOK_ID,
        /* in */ MESSAGE_ADDR_TYPE MESSAGE_ADDR,
        /* in */ MESSAGE_SIZE_TYPE LENGTH,
        /* out */ RETURN_CODE_TYPE * RETURN_CODE
    )
    {
        /* Function Stub...used only for FACE conformance testing */
    }


extern void READ_LOGBOOK (
        /* in */ LOGBOOK_ID_TYPE LOGBOOK_ID,
        /* in */ MESSAGE_RANGE_TYPE LOGBOOK_ENTRY,
        /* in */ MESSAGE_ADDR_TYPE MESSAGE_ADDR,
        /* out */ MESSAGE_SIZE_TYPE * LENGTH,
        /* out */ WRITE_STATUS_TYPE * WRITE_STATUS,
        /* out */ RETURN_CODE_TYPE * RETURN_CODE
    )
    {
        /* Function Stub...used only for FACE conformance testing */
    }


extern void CLEAR_LOGBOOK (
        /* in */ LOGBOOK_ID_TYPE LOGBOOK_ID,
        /* out */ RETURN_CODE_TYPE * RETURN_CODE
    )
    {
        /* Function Stub...used only for FACE conformance testing */
    }


extern void GET_LOGBOOK_ID (
        /* in */ LOGBOOK_NAME_TYPE LOGBOOK_NAME,
        /* out */ LOGBOOK_ID_TYPE * LOGBOOK_ID,
        /* out */ RETURN_CODE_TYPE * RETURN_CODE
    )
    {
        /* Function Stub...used only for FACE conformance testing */
    }


extern void GET_LOGBOOK_STATUS (
        /* in */ LOGBOOK_ID_TYPE LOGBOOK_ID,
        /* out */ LOGBOOK_STATUS_TYPE * LOGBOOK_STATUS,
        /* out */ RETURN_CODE_TYPE * RETURN_CODE
    )
    {
        /* Function Stub...used only for FACE conformance testing */
    }

