/*------------------------------------------------------------------*/
/*                                                                  */
/* Multiple Module Schedules constant and type definitions          */
/* and management services                                          */
/*                                                                  */
/*------------------------------------------------------------------*/
#ifndef APEX_MULTIPLE_MODULE_SCHEDULES
#define APEX_MULTIPLE_MODULE_SCHEDULES

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

#include "APEX_TYPES.h"

typedef APEX_INTEGER SCHEDULE_ID_TYPE;
typedef NAME_TYPE SCHEDULE_NAME_TYPE;
typedef
struct {
SYSTEM_TIME_TYPE TIME_OF_LAST_SCHEDULE_SWITCH;
SCHEDULE_ID_TYPE CURRENT_SCHEDULE;
SCHEDULE_ID_TYPE NEXT_SCHEDULE;
} SCHEDULE_STATUS_TYPE;
extern void SET_MODULE_SCHEDULE (
  /*in */ SCHEDULE_ID_TYPE SCHEDULE_ID,
  /*out*/ RETURN_CODE_TYPE *RETURN_CODE);
extern void GET_MODULE_SCHEDULE_STATUS (
  /*out*/ SCHEDULE_STATUS_TYPE *SCHEDULE_STATUS,
  /*out*/ RETURN_CODE_TYPE *RETURN_CODE);
extern void GET_MODULE_SCHEDULE_ID (
  /*in */ SCHEDULE_NAME_TYPE SCHEDULE_NAME,
  /*out*/ SCHEDULE_ID_TYPE *SCHEDULE_ID,
  /*out*/ RETURN_CODE_TYPE *RETURN_CODE);

#ifdef __cplusplus
}
#endif /* __cplusplus */

#endif
