/************************************************************************************
 * Copyright (c) Vanderbilt University, 2020                                        *
 *                                                                                  *
 * ALL RIGHTS RESERVED, UNLESS OTHERWISE STATED                                     *
 *                                                                                  *
 * This software, authored by Vanderbilt University under a contract awarded to and *
 * managed by Alion Science and Technology, was funded by the U.S. Government under *
 * Contract No. FA8075-14-D-0014 and the U.S. Government has unlimited rights in    *
 * this software.  An unlimited rights license means that the U.S. Government can   *
 * use, modify, reproduce, release or disclose computer software in whole or in     *
 * part, in any manner, and for any purpose whatsoever, and to have or authorize    *
 * others to do so.                                                                 *
 *                                                                                  *
 * Vanderbilt University disclaims all warranties with regard to this software,     *
 * including all implied warranties of merchantability and fitness. In no event     *
 * shall Vanderbilt University be liable for any special, indirect or consequential *
 * damages or any damages whatsoever resulting from loss of use, data or profits,   *
 * whether in an action of contract, negligence or other tortious action, arising   *
 * out of or in connection with the use or performance of this software.            *
 *                                                                                  *
 * May contain products produced under DoD SENSIAC contract HC104705D4000 under the *
 * sponsorship of the Defense Technical Information Center,                         *
 * ATTN: DTIC-AI, 8723 John J. Kingman Rd., Ste 0944, Fort Belvoir, VA 22060-6218.  *
 * SENSIAC is a DoD Information Analysis Center Sponsored by the Defense Technical  *
 * Information Center.                                                              *
 *                                                                                  *
 * Filename: goldStandardLibraries/C/src/OSS/HMFM/HMFM.c                            *
 *                                                                                  *
 * Conformance Test Suite Version 2.1.1r9 supporting FACE Standard Version 2.1.1    *
 *                                                                                  *
 * This file is generated and may be overwritten.                                   *
 *                                                                                  *
 * Release Date: 29-Aug-2023                                                        *
 ************************************************************************************/

#include <FACE/HMFM.h>


void FACE_HMFM_Initialize (
        /*    out */ FACE_RETURN_CODE_TYPE *return_code
    )
    {
        /* Function Stub...used only for FACE conformance testing */
    }

void FACE_HMFM_Create_Fault_Handler (
        /* in     */ FACE_HMFM_FAULT_HANDLER_ENTRY_TYPE entry_point,
        /* in     */ FACE_HMFM_STACK_SIZE_TYPE stack_size,
        /*    out */ FACE_RETURN_CODE_TYPE *return_code
    )
    {
        /* Function Stub...used only for FACE conformance testing */
    }

void FACE_HMFM_Report_Application_Message (
        /* in     */ FACE_HMFM_FAULT_MESSAGE_ADDRESS_TYPE fault,
        /* in     */ FACE_HMFM_FAULT_MESSAGE_SIZE_TYPE length,
        /*    out */ FACE_RETURN_CODE_TYPE *return_code
    )
    {
        /* Function Stub...used only for FACE conformance testing */
    }

void FACE_HMFM_Get_Fault_Status (
        /*    out */ FACE_HMFM_FAULT_STATUS_TYPE *fault,
        /*    out */ FACE_RETURN_CODE_TYPE *return_code
    )
    {
        /* Function Stub...used only for FACE conformance testing */
    }

void FACE_HMFM_Raise_Application_Fault (
        /* in     */ FACE_HMFM_FAULT_CODE_TYPE code,
        /* in     */ FACE_HMFM_FAULT_MESSAGE_ADDRESS_TYPE message,
        /* in     */ FACE_HMFM_FAULT_MESSAGE_SIZE_TYPE length,
        /*    out */ FACE_RETURN_CODE_TYPE *return_code
    )
    {
        /* Function Stub...used only for FACE conformance testing */
    }


