/************************************************************************************
 * Copyright (c) Vanderbilt University, 2020                                        *
 *                                                                                  *
 * ALL RIGHTS RESERVED, UNLESS OTHERWISE STATED                                     *
 *                                                                                  *
 * This software, authored by Vanderbilt University under a contract awarded to and *
 * managed by Alion Science and Technology, was funded by the U.S. Government under *
 * Contract No. FA8075-14-D-0014 and the U.S. Government has unlimited rights in    *
 * this software.  An unlimited rights license means that the U.S. Government can   *
 * use, modify, reproduce, release or disclose computer software in whole or in     *
 * part, in any manner, and for any purpose whatsoever, and to have or authorize    *
 * others to do so.                                                                 *
 *                                                                                  *
 * Vanderbilt University disclaims all warranties with regard to this software,     *
 * including all implied warranties of merchantability and fitness. In no event     *
 * shall Vanderbilt University be liable for any special, indirect or consequential *
 * damages or any damages whatsoever resulting from loss of use, data or profits,   *
 * whether in an action of contract, negligence or other tortious action, arising   *
 * out of or in connection with the use or performance of this software.            *
 *                                                                                  *
 * May contain products produced under DoD SENSIAC contract HC104705D4000 under the *
 * sponsorship of the Defense Technical Information Center,                         *
 * ATTN: DTIC-AI, 8723 John J. Kingman Rd., Ste 0944, Fort Belvoir, VA 22060-6218.  *
 * SENSIAC is a DoD Information Analysis Center Sponsored by the Defense Technical  *
 * Information Center.                                                              *
 *                                                                                  *
 * Conformance Test Suite Version 2.1.1r9 supporting FACE Standard Version 2.1.1    *
 *                                                                                  *
 * This file is generated and may be overwritten.                                   *
 *                                                                                  *
 * Release Date: 29-Aug-2023                                                        *
 ************************************************************************************/

#include "mqueue.h"

int mq_close(mqd_t var0)
{
    int* __face_conform_abc = 0;
    return *__face_conform_abc;
}
int mq_getattr(mqd_t var0, struct mq_attr * var1)
{
    int* __face_conform_abc = 0;
    return *__face_conform_abc;
}
int mq_notify(mqd_t var0, const struct sigevent * var1)
{
    int* __face_conform_abc = 0;
    return *__face_conform_abc;
}
int mq_open(const char * var0, int var1, ...)
{
    int* __face_conform_abc = 0;
    return *__face_conform_abc;
}
ssize_t mq_receive(mqd_t var0, char * var1, size_t var2, unsigned int * var3)
{
    ssize_t* __face_conform_abc = 0;
    return *__face_conform_abc;
}
int mq_send(mqd_t var0, const char * var1, size_t var2, unsigned int var3)
{
    int* __face_conform_abc = 0;
    return *__face_conform_abc;
}
int mq_setattr(mqd_t var0, const struct mq_attr *restrict var1, struct mq_attr *restrict var2)
{
    int* __face_conform_abc = 0;
    return *__face_conform_abc;
}
ssize_t mq_timedreceive(mqd_t var0, char *restrict var1, size_t var2, unsigned int *restrict var3, const struct timespec *restrict var4)
{
    ssize_t* __face_conform_abc = 0;
    return *__face_conform_abc;
}
int mq_timedsend(mqd_t var0, const char * var1, size_t var2, unsigned int var3, const struct timespec * var4)
{
    int* __face_conform_abc = 0;
    return *__face_conform_abc;
}
int mq_unlink(const char * var0)
{
    int* __face_conform_abc = 0;
    return *__face_conform_abc;
}
