/************************************************************************************
 * Copyright (c) Vanderbilt University, 2020                                        *
 *                                                                                  *
 * ALL RIGHTS RESERVED, UNLESS OTHERWISE STATED                                     *
 *                                                                                  *
 * This software, authored by Vanderbilt University under a contract awarded to and *
 * managed by Alion Science and Technology, was funded by the U.S. Government under *
 * Contract No. FA8075-14-D-0014 and the U.S. Government has unlimited rights in    *
 * this software.  An unlimited rights license means that the U.S. Government can   *
 * use, modify, reproduce, release or disclose computer software in whole or in     *
 * part, in any manner, and for any purpose whatsoever, and to have or authorize    *
 * others to do so.                                                                 *
 *                                                                                  *
 * Vanderbilt University disclaims all warranties with regard to this software,     *
 * including all implied warranties of merchantability and fitness. In no event     *
 * shall Vanderbilt University be liable for any special, indirect or consequential *
 * damages or any damages whatsoever resulting from loss of use, data or profits,   *
 * whether in an action of contract, negligence or other tortious action, arising   *
 * out of or in connection with the use or performance of this software.            *
 *                                                                                  *
 * May contain products produced under DoD SENSIAC contract HC104705D4000 under the *
 * sponsorship of the Defense Technical Information Center,                         *
 * ATTN: DTIC-AI, 8723 John J. Kingman Rd., Ste 0944, Fort Belvoir, VA 22060-6218.  *
 * SENSIAC is a DoD Information Analysis Center Sponsored by the Defense Technical  *
 * Information Center.                                                              *
 *                                                                                  *
 * Conformance Test Suite Version 2.1.1r9 supporting FACE Standard Version 2.1.1    *
 *                                                                                  *
 * This file is generated and may be overwritten.                                   *
 *                                                                                  *
 * Release Date: 29-Aug-2023                                                        *
 ************************************************************************************/

#include "stdio.h"

void clearerr(FILE * var0)
{
    return;
}
int fclose(FILE * var0)
{
    int* __face_conform_abc = 0;
    return *__face_conform_abc;
}
int feof(FILE * var0)
{
    int* __face_conform_abc = 0;
    return *__face_conform_abc;
}
int ferror(FILE* var0)
{
    int* __face_conform_abc = 0;
    return *__face_conform_abc;
}
int fflush(FILE * var0)
{
    int* __face_conform_abc = 0;
    return *__face_conform_abc;
}
int fgetc(FILE * var0)
{
    int* __face_conform_abc = 0;
    return *__face_conform_abc;
}
char* fgets(char *restrict var0, int var1, FILE *restrict var2)
{
    char* __face_conform_abc = 0;
    return __face_conform_abc;
}
int fileno(FILE * var0)
{
    int* __face_conform_abc = 0;
    return *__face_conform_abc;
}
FILE* fopen(const char *restrict var0, const char *restrict var1)
{
    FILE* __face_conform_abc = 0;
    return __face_conform_abc;
}
int fprintf(FILE *restrict var0, const char *restrict var1, ...)
{
    int* __face_conform_abc = 0;
    return *__face_conform_abc;
}
size_t fread(void *restrict var0, size_t var1, size_t var2, FILE *restrict var3)
{
    size_t* __face_conform_abc = 0;
    return *__face_conform_abc;
}
FILE* freopen(const char *restrict var0, const char *restrict var1, FILE *restrict var2)
{
    FILE* __face_conform_abc = 0;
    return __face_conform_abc;
}
int fseek(FILE * var0, long var1, int var2)
{
    int* __face_conform_abc = 0;
    return *__face_conform_abc;
}
int fseeko(FILE * var0, off_t var1, int var2)
{
    int* __face_conform_abc = 0;
    return *__face_conform_abc;
}
long ftell(FILE * var0)
{
    long* __face_conform_abc = 0;
    return *__face_conform_abc;
}
off_t ftello(FILE * var0)
{
    off_t* __face_conform_abc = 0;
    return *__face_conform_abc;
}
size_t fwrite(const void *restrict var0, size_t var1, size_t var2, FILE *restrict var3)
{
    size_t* __face_conform_abc = 0;
    return *__face_conform_abc;
}
int remove(const char * var0)
{
    int* __face_conform_abc = 0;
    return *__face_conform_abc;
}
int rename(const char * var0, const char * var1)
{
    int* __face_conform_abc = 0;
    return *__face_conform_abc;
}
int snprintf(char *restrict var0, size_t var1, const char *restrict var2, ...)
{
    int* __face_conform_abc = 0;
    return *__face_conform_abc;
}
