/************************************************************************************
 * Copyright (c) Vanderbilt University, 2020                                        *
 *                                                                                  *
 * ALL RIGHTS RESERVED, UNLESS OTHERWISE STATED                                     *
 *                                                                                  *
 * This software, authored by Vanderbilt University under a contract awarded to and *
 * managed by Alion Science and Technology, was funded by the U.S. Government under *
 * Contract No. FA8075-14-D-0014 and the U.S. Government has unlimited rights in    *
 * this software.  An unlimited rights license means that the U.S. Government can   *
 * use, modify, reproduce, release or disclose computer software in whole or in     *
 * part, in any manner, and for any purpose whatsoever, and to have or authorize    *
 * others to do so.                                                                 *
 *                                                                                  *
 * Vanderbilt University disclaims all warranties with regard to this software,     *
 * including all implied warranties of merchantability and fitness. In no event     *
 * shall Vanderbilt University be liable for any special, indirect or consequential *
 * damages or any damages whatsoever resulting from loss of use, data or profits,   *
 * whether in an action of contract, negligence or other tortious action, arising   *
 * out of or in connection with the use or performance of this software.            *
 *                                                                                  *
 * May contain products produced under DoD SENSIAC contract HC104705D4000 under the *
 * sponsorship of the Defense Technical Information Center,                         *
 * ATTN: DTIC-AI, 8723 John J. Kingman Rd., Ste 0944, Fort Belvoir, VA 22060-6218.  *
 * SENSIAC is a DoD Information Analysis Center Sponsored by the Defense Technical  *
 * Information Center.                                                              *
 *                                                                                  *
 * Conformance Test Suite Version 2.1.1r9 supporting FACE Standard Version 2.1.1    *
 *                                                                                  *
 * This file is generated and may be overwritten.                                   *
 *                                                                                  *
 * Release Date: 29-Aug-2023                                                        *
 ************************************************************************************/

#include "string.h"

void * memchr(const void * var0, int var1, size_t var2)
{
    void * __face_conform_abc = 0;
    return __face_conform_abc;
}
int memcmp(const void * var0, const void * var1, size_t var2)
{
    int* __face_conform_abc = 0;
    return *__face_conform_abc;
}
void * memcpy(void *restrict var0, const void *restrict var1, size_t var2)
{
    void * __face_conform_abc = 0;
    return __face_conform_abc;
}
void * memmove(void * var0, const void * var1, size_t var2)
{
    void * __face_conform_abc = 0;
    return __face_conform_abc;
}
void * memset(void * var0, int var1, size_t var2)
{
    void * __face_conform_abc = 0;
    return __face_conform_abc;
}
char * strcat(char *restrict var0, const char *restrict var1)
{
    char * __face_conform_abc = 0;
    return __face_conform_abc;
}
char * strchr(const char * var0, int var1)
{
    char * __face_conform_abc = 0;
    return __face_conform_abc;
}
int strcmp(const char * var0, const char * var1)
{
    int* __face_conform_abc = 0;
    return *__face_conform_abc;
}
char * strcpy(char *restrict var0, const char *restrict var1)
{
    char * __face_conform_abc = 0;
    return __face_conform_abc;
}
size_t strcspn(const char * var0, const char * var1)
{
    size_t* __face_conform_abc = 0;
    return *__face_conform_abc;
}
size_t strlen(const char * var0)
{
    size_t* __face_conform_abc = 0;
    return *__face_conform_abc;
}
char * strncat(char *restrict var0, const char *restrict var1, size_t var2)
{
    char * __face_conform_abc = 0;
    return __face_conform_abc;
}
int strncmp(const char * var0, const char * var1, size_t var2)
{
    int* __face_conform_abc = 0;
    return *__face_conform_abc;
}
char * strncpy(char *restrict var0, const char *restrict var1, size_t var2)
{
    char * __face_conform_abc = 0;
    return __face_conform_abc;
}
char * strpbrk(const char * var0, const char * var1)
{
    char * __face_conform_abc = 0;
    return __face_conform_abc;
}
char * strrchr(const char * var0, int var1)
{
    char * __face_conform_abc = 0;
    return __face_conform_abc;
}
size_t strspn(const char * var0, const char * var1)
{
    size_t* __face_conform_abc = 0;
    return *__face_conform_abc;
}
char * strstr(const char * var0, const char * var1)
{
    char * __face_conform_abc = 0;
    return __face_conform_abc;
}
char * strtok_r(char *restrict var0, const char *restrict var1, char **restrict var2)
{
    char * __face_conform_abc = 0;
    return __face_conform_abc;
}
