/************************************************************************************
 * Copyright (c) Vanderbilt University, 2020                                        *
 *                                                                                  *
 * ALL RIGHTS RESERVED, UNLESS OTHERWISE STATED                                     *
 *                                                                                  *
 * This software, authored by Vanderbilt University under a contract awarded to and *
 * managed by Alion Science and Technology, was funded by the U.S. Government under *
 * Contract No. FA8075-14-D-0014 and the U.S. Government has unlimited rights in    *
 * this software.  An unlimited rights license means that the U.S. Government can   *
 * use, modify, reproduce, release or disclose computer software in whole or in     *
 * part, in any manner, and for any purpose whatsoever, and to have or authorize    *
 * others to do so.                                                                 *
 *                                                                                  *
 * Vanderbilt University disclaims all warranties with regard to this software,     *
 * including all implied warranties of merchantability and fitness. In no event     *
 * shall Vanderbilt University be liable for any special, indirect or consequential *
 * damages or any damages whatsoever resulting from loss of use, data or profits,   *
 * whether in an action of contract, negligence or other tortious action, arising   *
 * out of or in connection with the use or performance of this software.            *
 *                                                                                  *
 * May contain products produced under DoD SENSIAC contract HC104705D4000 under the *
 * sponsorship of the Defense Technical Information Center,                         *
 * ATTN: DTIC-AI, 8723 John J. Kingman Rd., Ste 0944, Fort Belvoir, VA 22060-6218.  *
 * SENSIAC is a DoD Information Analysis Center Sponsored by the Defense Technical  *
 * Information Center.                                                              *
 *                                                                                  *
 * Conformance Test Suite Version 2.1.1r9 supporting FACE Standard Version 2.1.1    *
 *                                                                                  *
 * This file is generated and may be overwritten.                                   *
 *                                                                                  *
 * Release Date: 29-Aug-2023                                                        *
 ************************************************************************************/

#include "math.h"

double acos(double var0)
{
    double* __face_conform_abc = 0;
    return *__face_conform_abc;
}
float acosf(float var0)
{
    float* __face_conform_abc = 0;
    return *__face_conform_abc;
}
double acosh(double var0)
{
    double* __face_conform_abc = 0;
    return *__face_conform_abc;
}
float acoshf(float var0)
{
    float* __face_conform_abc = 0;
    return *__face_conform_abc;
}
long double acoshl(long double var0)
{
    long double* __face_conform_abc = 0;
    return *__face_conform_abc;
}
long double acosl(long double var0)
{
    long double* __face_conform_abc = 0;
    return *__face_conform_abc;
}
double asin(double var0)
{
    double* __face_conform_abc = 0;
    return *__face_conform_abc;
}
float asinf(float var0)
{
    float* __face_conform_abc = 0;
    return *__face_conform_abc;
}
double asinh(double var0)
{
    double* __face_conform_abc = 0;
    return *__face_conform_abc;
}
float asinhf(float var0)
{
    float* __face_conform_abc = 0;
    return *__face_conform_abc;
}
long double asinhl(long double var0)
{
    long double* __face_conform_abc = 0;
    return *__face_conform_abc;
}
long double asinl(long double var0)
{
    long double* __face_conform_abc = 0;
    return *__face_conform_abc;
}
double atan(double var0)
{
    double* __face_conform_abc = 0;
    return *__face_conform_abc;
}
double atan2(double var0, double var1)
{
    double* __face_conform_abc = 0;
    return *__face_conform_abc;
}
float atan2f(float var0, float var1)
{
    float* __face_conform_abc = 0;
    return *__face_conform_abc;
}
long double atan2l(long double var0, long double var1)
{
    long double* __face_conform_abc = 0;
    return *__face_conform_abc;
}
float atanf(float var0)
{
    float* __face_conform_abc = 0;
    return *__face_conform_abc;
}
double atanh(double var0)
{
    double* __face_conform_abc = 0;
    return *__face_conform_abc;
}
float atanhf(float var0)
{
    float* __face_conform_abc = 0;
    return *__face_conform_abc;
}
long double atanhl(long double var0)
{
    long double* __face_conform_abc = 0;
    return *__face_conform_abc;
}
long double atanl(long double var0)
{
    long double* __face_conform_abc = 0;
    return *__face_conform_abc;
}
double cbrt(double var0)
{
    double* __face_conform_abc = 0;
    return *__face_conform_abc;
}
float cbrtf(float var0)
{
    float* __face_conform_abc = 0;
    return *__face_conform_abc;
}
long double cbrtl(long double var0)
{
    long double* __face_conform_abc = 0;
    return *__face_conform_abc;
}
double ceil(double var0)
{
    double* __face_conform_abc = 0;
    return *__face_conform_abc;
}
float ceilf(float var0)
{
    float* __face_conform_abc = 0;
    return *__face_conform_abc;
}
long double ceill(long double var0)
{
    long double* __face_conform_abc = 0;
    return *__face_conform_abc;
}
double copysign(double var0, double var1)
{
    double* __face_conform_abc = 0;
    return *__face_conform_abc;
}
float copysignf(float var0, float var1)
{
    float* __face_conform_abc = 0;
    return *__face_conform_abc;
}
long double copysignl(long double var0, long double var1)
{
    long double* __face_conform_abc = 0;
    return *__face_conform_abc;
}
double cos(double var0)
{
    double* __face_conform_abc = 0;
    return *__face_conform_abc;
}
float cosf(float var0)
{
    float* __face_conform_abc = 0;
    return *__face_conform_abc;
}
double cosh(double var0)
{
    double* __face_conform_abc = 0;
    return *__face_conform_abc;
}
float coshf(float var0)
{
    float* __face_conform_abc = 0;
    return *__face_conform_abc;
}
long double coshl(long double var0)
{
    long double* __face_conform_abc = 0;
    return *__face_conform_abc;
}
long double cosl(long double var0)
{
    long double* __face_conform_abc = 0;
    return *__face_conform_abc;
}
double erf(double var0)
{
    double* __face_conform_abc = 0;
    return *__face_conform_abc;
}
double erfc(double var0)
{
    double* __face_conform_abc = 0;
    return *__face_conform_abc;
}
float erfcf(float var0)
{
    float* __face_conform_abc = 0;
    return *__face_conform_abc;
}
long double erfcl(long double var0)
{
    long double* __face_conform_abc = 0;
    return *__face_conform_abc;
}
float erff(float var0)
{
    float* __face_conform_abc = 0;
    return *__face_conform_abc;
}
long double erfl(long double var0)
{
    long double* __face_conform_abc = 0;
    return *__face_conform_abc;
}
double exp(double var0)
{
    double* __face_conform_abc = 0;
    return *__face_conform_abc;
}
double exp2(double var0)
{
    double* __face_conform_abc = 0;
    return *__face_conform_abc;
}
float exp2f(float var0)
{
    float* __face_conform_abc = 0;
    return *__face_conform_abc;
}
long double exp2l(long double var0)
{
    long double* __face_conform_abc = 0;
    return *__face_conform_abc;
}
float expf(float var0)
{
    float* __face_conform_abc = 0;
    return *__face_conform_abc;
}
long double expl(long double var0)
{
    long double* __face_conform_abc = 0;
    return *__face_conform_abc;
}
double expm1(double var0)
{
    double* __face_conform_abc = 0;
    return *__face_conform_abc;
}
float expm1f(float var0)
{
    float* __face_conform_abc = 0;
    return *__face_conform_abc;
}
long double expm1l(long double var0)
{
    long double* __face_conform_abc = 0;
    return *__face_conform_abc;
}
double fabs(double var0)
{
    double* __face_conform_abc = 0;
    return *__face_conform_abc;
}
float fabsf(float var0)
{
    float* __face_conform_abc = 0;
    return *__face_conform_abc;
}
long double fabsl(long double var0)
{
    long double* __face_conform_abc = 0;
    return *__face_conform_abc;
}
double fdim(double var0, double var1)
{
    double* __face_conform_abc = 0;
    return *__face_conform_abc;
}
float fdimf(float var0, float var1)
{
    float* __face_conform_abc = 0;
    return *__face_conform_abc;
}
long double fdiml(long double var0, long double var1)
{
    long double* __face_conform_abc = 0;
    return *__face_conform_abc;
}
double floor(double var0)
{
    double* __face_conform_abc = 0;
    return *__face_conform_abc;
}
float floorf(float var0)
{
    float* __face_conform_abc = 0;
    return *__face_conform_abc;
}
long double floorl(long double var0)
{
    long double* __face_conform_abc = 0;
    return *__face_conform_abc;
}
double fma(double var0, double var1, double var2)
{
    double* __face_conform_abc = 0;
    return *__face_conform_abc;
}
float fmaf(float var0, float var1, float var2)
{
    float* __face_conform_abc = 0;
    return *__face_conform_abc;
}
long double fmal(long double var0, long double var1, long double var2)
{
    long double* __face_conform_abc = 0;
    return *__face_conform_abc;
}
double fmax(double var0, double var1)
{
    double* __face_conform_abc = 0;
    return *__face_conform_abc;
}
float fmaxf(float var0, float var1)
{
    float* __face_conform_abc = 0;
    return *__face_conform_abc;
}
long double fmaxl(long double var0, long double var1)
{
    long double* __face_conform_abc = 0;
    return *__face_conform_abc;
}
double fmin(double var0, double var1)
{
    double* __face_conform_abc = 0;
    return *__face_conform_abc;
}
float fminf(float var0, float var1)
{
    float* __face_conform_abc = 0;
    return *__face_conform_abc;
}
long double fminl(long double var0, long double var1)
{
    long double* __face_conform_abc = 0;
    return *__face_conform_abc;
}
double fmod(double var0, double var1)
{
    double* __face_conform_abc = 0;
    return *__face_conform_abc;
}
float fmodf(float var0, float var1)
{
    float* __face_conform_abc = 0;
    return *__face_conform_abc;
}
long double fmodl(long double var0, long double var1)
{
    long double* __face_conform_abc = 0;
    return *__face_conform_abc;
}
double frexp(double var0, int * var1)
{
    double* __face_conform_abc = 0;
    return *__face_conform_abc;
}
float frexpf(float var0, int * var1)
{
    float* __face_conform_abc = 0;
    return *__face_conform_abc;
}
long double frexpl(long double var0, int * var1)
{
    long double* __face_conform_abc = 0;
    return *__face_conform_abc;
}
double hypot(double var0, double var1)
{
    double* __face_conform_abc = 0;
    return *__face_conform_abc;
}
float hypotf(float var0, float var1)
{
    float* __face_conform_abc = 0;
    return *__face_conform_abc;
}
long double hypotl(long double var0, long double var1)
{
    long double* __face_conform_abc = 0;
    return *__face_conform_abc;
}
int ilogb(double var0)
{
    int* __face_conform_abc = 0;
    return *__face_conform_abc;
}
int ilogbf(float var0)
{
    int* __face_conform_abc = 0;
    return *__face_conform_abc;
}
int ilogbl(long double var0)
{
    int* __face_conform_abc = 0;
    return *__face_conform_abc;
}
double ldexp(double var0, int var1)
{
    double* __face_conform_abc = 0;
    return *__face_conform_abc;
}
float ldexpf(float var0, int var1)
{
    float* __face_conform_abc = 0;
    return *__face_conform_abc;
}
long double ldexpl(long double var0, int var1)
{
    long double* __face_conform_abc = 0;
    return *__face_conform_abc;
}
double lgamma(double var0)
{
    double* __face_conform_abc = 0;
    return *__face_conform_abc;
}
float lgammaf(float var0)
{
    float* __face_conform_abc = 0;
    return *__face_conform_abc;
}
long double lgammal(long double var0)
{
    long double* __face_conform_abc = 0;
    return *__face_conform_abc;
}
double log(double var0)
{
    double* __face_conform_abc = 0;
    return *__face_conform_abc;
}
double log10(double var0)
{
    double* __face_conform_abc = 0;
    return *__face_conform_abc;
}
float log10f(float var0)
{
    float* __face_conform_abc = 0;
    return *__face_conform_abc;
}
long double log10l(long double var0)
{
    long double* __face_conform_abc = 0;
    return *__face_conform_abc;
}
double log1p(double var0)
{
    double* __face_conform_abc = 0;
    return *__face_conform_abc;
}
float log1pf(float var0)
{
    float* __face_conform_abc = 0;
    return *__face_conform_abc;
}
long double log1pl(long double var0)
{
    long double* __face_conform_abc = 0;
    return *__face_conform_abc;
}
double log2(double var0)
{
    double* __face_conform_abc = 0;
    return *__face_conform_abc;
}
float log2f(float var0)
{
    float* __face_conform_abc = 0;
    return *__face_conform_abc;
}
long double log2l(long double var0)
{
    long double* __face_conform_abc = 0;
    return *__face_conform_abc;
}
double logb(double var0)
{
    double* __face_conform_abc = 0;
    return *__face_conform_abc;
}
float logbf(float var0)
{
    float* __face_conform_abc = 0;
    return *__face_conform_abc;
}
long double logbl(long double var0)
{
    long double* __face_conform_abc = 0;
    return *__face_conform_abc;
}
float logf(float var0)
{
    float* __face_conform_abc = 0;
    return *__face_conform_abc;
}
long double logl(long double var0)
{
    long double* __face_conform_abc = 0;
    return *__face_conform_abc;
}
long lrint(double var0)
{
    long* __face_conform_abc = 0;
    return *__face_conform_abc;
}
long lrintf(float var0)
{
    long* __face_conform_abc = 0;
    return *__face_conform_abc;
}
long lrintl(long double var0)
{
    long* __face_conform_abc = 0;
    return *__face_conform_abc;
}
long lround(double var0)
{
    long* __face_conform_abc = 0;
    return *__face_conform_abc;
}
long lroundf(float var0)
{
    long* __face_conform_abc = 0;
    return *__face_conform_abc;
}
long lroundl(long double var0)
{
    long* __face_conform_abc = 0;
    return *__face_conform_abc;
}
double modf(double var0, double * var1)
{
    double* __face_conform_abc = 0;
    return *__face_conform_abc;
}
float modff(float var0, float * var1)
{
    float* __face_conform_abc = 0;
    return *__face_conform_abc;
}
long double modfl(long double var0, long double * var1)
{
    long double* __face_conform_abc = 0;
    return *__face_conform_abc;
}
double nan(const char * var0)
{
    double* __face_conform_abc = 0;
    return *__face_conform_abc;
}
float nanf(const char * var0)
{
    float* __face_conform_abc = 0;
    return *__face_conform_abc;
}
long double nanl(const char * var0)
{
    long double* __face_conform_abc = 0;
    return *__face_conform_abc;
}
double nearbyint(double var0)
{
    double* __face_conform_abc = 0;
    return *__face_conform_abc;
}
float nearbyintf(float var0)
{
    float* __face_conform_abc = 0;
    return *__face_conform_abc;
}
long double nearbyintl(long double var0)
{
    long double* __face_conform_abc = 0;
    return *__face_conform_abc;
}
double nextafter(double var0, double var1)
{
    double* __face_conform_abc = 0;
    return *__face_conform_abc;
}
float nextafterf(float var0, float var1)
{
    float* __face_conform_abc = 0;
    return *__face_conform_abc;
}
long double nextafterl(long double var0, long double var1)
{
    long double* __face_conform_abc = 0;
    return *__face_conform_abc;
}
double nexttoward(double var0, long double var1)
{
    double* __face_conform_abc = 0;
    return *__face_conform_abc;
}
float nexttowardf(float var0, long double var1)
{
    float* __face_conform_abc = 0;
    return *__face_conform_abc;
}
long double nexttowardl(long double var0, long double var1)
{
    long double* __face_conform_abc = 0;
    return *__face_conform_abc;
}
double pow(double var0, double var1)
{
    double* __face_conform_abc = 0;
    return *__face_conform_abc;
}
float powf(float var0, float var1)
{
    float* __face_conform_abc = 0;
    return *__face_conform_abc;
}
long double powl(long double var0, long double var1)
{
    long double* __face_conform_abc = 0;
    return *__face_conform_abc;
}
double remainder(double var0, double var1)
{
    double* __face_conform_abc = 0;
    return *__face_conform_abc;
}
float remainderf(float var0, float var1)
{
    float* __face_conform_abc = 0;
    return *__face_conform_abc;
}
long double remainderl(long double var0, long double var1)
{
    long double* __face_conform_abc = 0;
    return *__face_conform_abc;
}
double remquo(double var0, double var1, int * var2)
{
    double* __face_conform_abc = 0;
    return *__face_conform_abc;
}
float remquof(float var0, float var1, int * var2)
{
    float* __face_conform_abc = 0;
    return *__face_conform_abc;
}
long double remquol(long double var0, long double var1, int * var2)
{
    long double* __face_conform_abc = 0;
    return *__face_conform_abc;
}
double rint(double var0)
{
    double* __face_conform_abc = 0;
    return *__face_conform_abc;
}
float rintf(float var0)
{
    float* __face_conform_abc = 0;
    return *__face_conform_abc;
}
long double rintl(long double var0)
{
    long double* __face_conform_abc = 0;
    return *__face_conform_abc;
}
double round(double var0)
{
    double* __face_conform_abc = 0;
    return *__face_conform_abc;
}
float roundf(float var0)
{
    float* __face_conform_abc = 0;
    return *__face_conform_abc;
}
long double roundl(long double var0)
{
    long double* __face_conform_abc = 0;
    return *__face_conform_abc;
}
double scalbln(double var0, long var1)
{
    double* __face_conform_abc = 0;
    return *__face_conform_abc;
}
float scalblnf(float var0, long var1)
{
    float* __face_conform_abc = 0;
    return *__face_conform_abc;
}
long double scalblnl(long double var0, long var1)
{
    long double* __face_conform_abc = 0;
    return *__face_conform_abc;
}
double scalbn(double var0, int var1)
{
    double* __face_conform_abc = 0;
    return *__face_conform_abc;
}
float scalbnf(float var0, int var1)
{
    float* __face_conform_abc = 0;
    return *__face_conform_abc;
}
long double scalbnl(long double var0, int var1)
{
    long double* __face_conform_abc = 0;
    return *__face_conform_abc;
}
double sin(double var0)
{
    double* __face_conform_abc = 0;
    return *__face_conform_abc;
}
float sinf(float var0)
{
    float* __face_conform_abc = 0;
    return *__face_conform_abc;
}
double sinh(double var0)
{
    double* __face_conform_abc = 0;
    return *__face_conform_abc;
}
float sinhf(float var0)
{
    float* __face_conform_abc = 0;
    return *__face_conform_abc;
}
long double sinhl(long double var0)
{
    long double* __face_conform_abc = 0;
    return *__face_conform_abc;
}
long double sinl(long double var0)
{
    long double* __face_conform_abc = 0;
    return *__face_conform_abc;
}
double sqrt(double var0)
{
    double* __face_conform_abc = 0;
    return *__face_conform_abc;
}
float sqrtf(float var0)
{
    float* __face_conform_abc = 0;
    return *__face_conform_abc;
}
long double sqrtl(long double var0)
{
    long double* __face_conform_abc = 0;
    return *__face_conform_abc;
}
double tan(double var0)
{
    double* __face_conform_abc = 0;
    return *__face_conform_abc;
}
float tanf(float var0)
{
    float* __face_conform_abc = 0;
    return *__face_conform_abc;
}
double tanh(double var0)
{
    double* __face_conform_abc = 0;
    return *__face_conform_abc;
}
float tanhf(float var0)
{
    float* __face_conform_abc = 0;
    return *__face_conform_abc;
}
long double tanhl(long double var0)
{
    long double* __face_conform_abc = 0;
    return *__face_conform_abc;
}
long double tanl(long double var0)
{
    long double* __face_conform_abc = 0;
    return *__face_conform_abc;
}
double tgamma(double var0)
{
    double* __face_conform_abc = 0;
    return *__face_conform_abc;
}
float tgammaf(float var0)
{
    float* __face_conform_abc = 0;
    return *__face_conform_abc;
}
long double tgammal(long double var0)
{
    long double* __face_conform_abc = 0;
    return *__face_conform_abc;
}
double trunc(double var0)
{
    double* __face_conform_abc = 0;
    return *__face_conform_abc;
}
float truncf(float var0)
{
    float* __face_conform_abc = 0;
    return *__face_conform_abc;
}
long double truncl(long double var0)
{
    long double* __face_conform_abc = 0;
    return *__face_conform_abc;
}
