/*************************************************************************************
 * DISTRIBUTION STATEMENT A. Approved for public release; distribution is unlimited. *
 *                                                                                   *
 * Product produced under DoD SENSIAC contract HC104705D4000 under the sponsorship   *
 * of the Defense Technical Information Center,                                      *
 * ATTN: DTIC-AI, 8723 John J. Kingman Rd., Ste 0944, Fort Belvoir, VA 22060-6218.   *
 * SENSIAC is a DoD Information Analysis Center Sponsored by the Defense Technical   *
 * Information Center.                                                               *
 *                                                                                   *
 * HANDLING AND DESTRUCTION NOTICE - Comply with distribution statement and destroy  *
 * by any method that will prevent disclosure of the contents or reconstruction of   *
 * the document.                                                                     *
 *                                                                                   *
 * Copyright (c) Vanderbilt University, 2014                                         *
 *                                                                                   *
 * ALL RIGHTS RESERVED, UNLESS OTHERWISE STATED                                      *
 *                                                                                   *
 * Developed under contract for the U.S. Department of Defense                       *
 * by the Institute for Software Integrated Systems (ISIS), Vanderbilt University    *
 *                                                                                   *
 * The FACE Consortium will not currently accept any results from this release for   *
 * certifying software components as FACE Conformant                                 *
 *                                                                                   *
 * Vanderbilt University disclaims all warranties with regard to this software,      *
 * including all implied warranties of merchantability and fitness.  In no event     *
 * shall Vanderbilt University be liable for any special, indirect or                *
 * consequential damages or any damages whatsoever resulting from loss of use,       *
 * data or profits, whether in an action of contract, negligence or other tortious   *
 * action, arising out of or in connection with the use or performance of this       *
 * software.                                                                         *
 *                                                                                   *
 *                                                                                   *
 * This file is generated and will be overwritten.  Do not modify by hand.           *
 * Filename: goldStandardLibraries/C++/src/TSS/TypeAbstraction_TS.cpp                *
 * Date Created: 2014-10-21 20:36:30.114671                                          *
 *************************************************************************************/

#include <FACE/TypeAbstraction_TS.hpp>


void FACE::TypeAbstractionTS::Initialize (
        /* in     */ const FACE::CONFIGURATION_RESOURCE configuration,
        /*    out */ FACE::RETURN_CODE_TYPE &return_code
    )
    {
        /* Function Stub...used only for FACE conformance testing */
    }

void FACE::TypeAbstractionTS::Create_Connection (
        /* in     */ const FACE::CONNECTION_NAME_TYPE connection_name,
        /* in     */ FACE::MESSAGING_PATTERN_TYPE pattern,
        /*    out */ FACE::CONNECTION_ID_TYPE &connection_id,
        /*    out */ FACE::CONNECTION_DIRECTION_TYPE &connection_direction,
        /*    out */ FACE::MESSAGE_SIZE_TYPE &max_message_size,
        /* in     */ FACE::TIMEOUT_TYPE timeout,
        /*    out */ FACE::RETURN_CODE_TYPE &return_code
    )
    {
        /* Function Stub...used only for FACE conformance testing */
    }

void FACE::TypeAbstractionTS::Destroy_Connection (
        /* in     */ FACE::CONNECTION_ID_TYPE connection_id,
        /*    out */ FACE::RETURN_CODE_TYPE &return_code
    )
    {
        /* Function Stub...used only for FACE conformance testing */
    }

void FACE::TypeAbstractionTS::Receive_Message (
        /* in     */ FACE::CONNECTION_ID_TYPE connection_id,
        /* in     */ FACE::TIMEOUT_TYPE timeout,
        /* in out */ FACE::TRANSACTION_ID_TYPE &transaction_id,
        /* in out */ void  *message,
        /* in out */ FACE::MESSAGE_TYPE_GUID &message_type_id,
        /* in out */ FACE::MESSAGE_SIZE_TYPE &message_size,
        /*    out */ FACE::RETURN_CODE_TYPE &return_code
    )
    {
        /* Function Stub...used only for FACE conformance testing */
    }

void FACE::TypeAbstractionTS::Send_Message (
        /* in     */ FACE::CONNECTION_ID_TYPE connection_id,
        /* in     */ FACE::TIMEOUT_TYPE timeout,
        /* in out */ FACE::TRANSACTION_ID_TYPE &transaction_id,
        /* in out */ void  *message,
        /* in     */ FACE::MESSAGE_TYPE_GUID message_type_id,
        /* in     */ FACE::MESSAGE_SIZE_TYPE message_size,
        /*    out */ FACE::RETURN_CODE_TYPE &return_code
    )
    {
        /* Function Stub...used only for FACE conformance testing */
    }

void FACE::TypeAbstractionTS::Register_Callback (
        /* in     */ FACE::CONNECTION_ID_TYPE connection_id,
        /* in     */ const FACE::WAITSET_TYPE waitset,
        /* in out */ FACE::Read_Callback::send_event_Ptr data_callback,
        /* in     */ FACE::MESSAGE_SIZE_TYPE max_message_size,
        /*    out */ FACE::RETURN_CODE_TYPE &return_code
    )
    {
        /* Function Stub...used only for FACE conformance testing */
    }

void FACE::TypeAbstractionTS::Unregister_Callback (
        /* in     */ FACE::CONNECTION_ID_TYPE connection_id,
        /*    out */ FACE::RETURN_CODE_TYPE &return_code
    )
    {
        /* Function Stub...used only for FACE conformance testing */
    }

void FACE::TypeAbstractionTS::Get_Connection_Parameters (
        /* in out */ FACE::CONNECTION_NAME_TYPE &connection_name,
        /* in out */ FACE::CONNECTION_ID_TYPE &connection_id,
        /*    out */ FACE::TRANSPORT_CONNECTION_STATUS_TYPE &connection_status,
        /*    out */ FACE::RETURN_CODE_TYPE &return_code
    )
    {
        /* Function Stub...used only for FACE conformance testing */
    }


