// Product produced under DoD SENSIAC contract HC104705D4000 under
// the sponsorship of the Defense Technical Information Center,
// ATTN: DTIC-AI, 8723 John J. Kingman Rd., Ste 0944, Fort Belvoir, VA
// 22060-6218.  SENSIAC is a DoD Information Analysis Center Sponsored
// by the Defense Technical Information Center.
//
// HANDLING AND DESTRUCTION NOTICE - Comply with distribution statement
// and destroy by any method that will prevent disclosure of
// contents or reconstruction of the document.

#ifndef _ATTITUDEDEGREE_H
#define _ATTITUDEDEGREE_H

#include "PitchDegree.h"
#include "HeadingDegree.h"
#include "RollDegree.h"


typedef struct
{
    FACE_DM_RollDegree roll;
    FACE_DM_PitchDegree pitch;
    FACE_DM_HeadingDegree yaw;

} FACE_DM_AttitudeDegree;

#endif	/* _ATTITUDEDEGREE_H*/	