// Product produced under DoD SENSIAC contract HC104705D4000 under
// the sponsorship of the Defense Technical Information Center,
// ATTN: DTIC-AI, 8723 John J. Kingman Rd., Ste 0944, Fort Belvoir, VA
// 22060-6218.  SENSIAC is a DoD Information Analysis Center Sponsored
// by the Defense Technical Information Center.
//
// HANDLING AND DESTRUCTION NOTICE - Comply with distribution statement
// and destroy by any method that will prevent disclosure of
// contents or reconstruction of the document.

#ifndef _ATTITUDERADIAN_H
#define _ATTITUDERADIAN_H

#include "HeadingRadian.h"
#include "PitchRadian.h"
#include "RollRadian.h"


typedef struct
{
    FACE_DM_RollRadian roll;
    FACE_DM_PitchRadian pitch;
    FACE_DM_HeadingRadian yaw;

} FACE_DM_AttitudeRadian;

#endif	/* _ATTITUDERADIAN_H*/	