#ifndef GOLDSTANDARDLIBRARIES_C_INCLUDE_FACE_TYPESPECIFIC_TS_H
#define GOLDSTANDARDLIBRARIES_C_INCLUDE_FACE_TYPESPECIFIC_TS_H

#include "FACE/TS_common.h"
#include "DM/EGI_Data.h"


#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */



/*--- EGI_Data Function Prototypes ---*/
void FACE_TS_Receive_Message_FACE_DM_EGI_Data
(
	/* in    */ FACE_CONNECTION_ID_TYPE connection_id,
	/* in    */ FACE_TIMEOUT_TYPE timeout,
	/* inout */ FACE_TRANSACTION_ID_TYPE *transaction_id,
	/* inout */ FACE_DM_EGI_Data *message,
	/* in    */ FACE_MESSAGE_SIZE_TYPE message_size,
	/*   out */ FACE_RETURN_CODE_TYPE *return_code
);

void FACE_TS_Send_Message_FACE_DM_EGI_Data
(
	/* in    */ FACE_CONNECTION_ID_TYPE connection_id,
	/* in    */ FACE_TIMEOUT_TYPE timeout,
	/* inout */ FACE_TRANSACTION_ID_TYPE *transaction_id,
	/* inout */ FACE_DM_EGI_Data *message,
	/* inout */ FACE_MESSAGE_SIZE_TYPE *message_size,
	/*   out */ FACE_RETURN_CODE_TYPE *return_code
);

typedef void (*FACE_Read_Callback_send_event_FACE_DM_EGI_Data_Ptr) (
	/* in */ FACE_TRANSACTION_ID_TYPE transaction_id,
	/* inout */ FACE_DM_EGI_Data *message,
	/* in */ FACE_MESSAGE_TYPE_GUID  message_type_id,
	/* in */ FACE_MESSAGE_SIZE_TYPE message_size,
	/* in */ FACE_WAITSET_TYPE waitset,
	/* out */ FACE_RETURN_CODE_TYPE *return_code
);;

void FACE_TS_Register_Callback_FACE_DM_EGI_Data
(
	/* in    */ FACE_CONNECTION_ID_TYPE connection_id,
	/* in    */ FACE_WAITSET_TYPE waitset,
	/* in    */ FACE_Read_Callback_send_event_FACE_DM_EGI_Data_Ptr data_callback,
	/* in    */ FACE_MESSAGE_SIZE_TYPE max_message_size,
	/*   out */ FACE_RETURN_CODE_TYPE *return_code
);


#ifdef __cplusplus
}
#endif /* __cplusplus */

#endif /* GOLDSTANDARDLIBRARIES_C_INCLUDE_FACE_TYPESPECIFIC_TS_H */
