// Product produced under Contract No. FA8075-14-D-0014 and the U.S. Government
// has unlimited rights in this software.
//
// Vanderbilt University disclaims all warranties with regard to this
// software, including all implied warranties of merchantability and fitness.
// In no event shall Vanderbilt University be liable for any special,
// indirect or consequential damages or any damages whatsoever resulting
// from loss of use, data or profits, whether in an action of contract,
// negligence or other tortious action, arising out of or in connection
// with the use or performance of this software.
//
// May contain products produced under DoD SENSIAC contract HC104705D4000 under
// the sponsorship of the Defense Technical Information Center,
// ATTN: DTIC-AI, 8723 John J. Kingman Rd., Ste 0944, Fort Belvoir, VA
// 22060-6218.  SENSIAC is a DoD Information Analysis Center Sponsored
// by the Defense Technical Information Center.


package FACE;



public enum M1553_STATUS_TYPE
  {
    M1553_BC_IO_NO_RESPONSE,
    M1553_BC_IO_LOOP_TEST_FAIL,
    M1553_BC_IO_MSG_RETRIED,
    M1553_BC_IO_BAD_DATA_BLOCK,
    M1553_BC_IO_ADDRESS_ERROR,
    M1553_BC_IO_WORD_COUNT_ERROR,
    M1553_BC_IO_SYNC_ERROR,
    M1553_BC_IO_INVALID_WORD,
    M1553_RT_IO_TERMINAL_FLAG,
    M1553_RT_IO_SUBSYSTEM_FLAG,
    M1553_RT_IO_SERVICE_REQUEST,
    M1553_RT_IO_BUSY,
    M1553_RT_IO_DYNAMIC_BC,
    M1553_RT_IO_NO_RESPONSE,
    M1553_RT_IO_LOOP_TEST_FAIL,
    M1553_RT_IO_ILLEGAL_COMMAND_WORD,
    M1553_RT_IO_WORD_COUNT_ERROR,
    M1553_RT_IO_SYNC_ERROR,
    M1553_RT_IO_INVALID_WORD,
    M1553_RT_IO_RT_RT_GAP_SYNC_ADDR_ERROR,
    M1553_RT_IO_RT_RT_2ND_CMD_ERROR,
    M1553_RT_IO_COMMAND_WORD_ERROR,
    M1553_BM_IO_NO_RESPONSE,
    M1553_BM_IO_WORD_COUNT_ERROR,
    M1553_BM_IO_SYNC_ERROR,
    M1553_BM_IO_INVALID_WORD,
    M1553_BM_IO_RT_RT_GAP_SYNC_ADDR_ERROR,
    M1553_BM_IO_RT_RT_2ND_CMD_ERROR,
    M1553_BM_IO_COMMAND_WORD_ERROR,
    M1553_BM_IO_BAD_DATA_BLOCK,
    M1553_BM_IO_MESSAGE_ERROR,
    M1553_BM_IO_INSTRUMENTATION,
    M1553_BM_IO_SERVICE_REQUEST,
    M1553_BM_IO_RESERVED_BITS,
    M1553_BM_IO_BROADCAST_RCVD,
    M1553_BM_IO_BUSY,
    M1553_BM_IO_SF,
    M1553_BM_IO_DYNAMIC_BC,
    M1553_BM_IO_TF,
    M1553_DRIVER_READY,
    M1553_DRIVER_ERROR,
    M1553_UNKNOWN_ERROR,
    M1553_RX_SUCCESS,
    M1553_TX_SUCCESS,
    M1553_RXMODE_SUCCESS,
    M1553_TXMODE_SUCCESS,
    M1553_RT_TO_RT_SUCCESS,
    M1553_BC_IO_GO,
    M1553_BC_IO_NOGO_A,
    M1553_BC_IO_NOGO_B,
    M1553_BC_IO_NOGO_T
  }

