// Product produced under Contract No. FA8075-14-D-0014 and the U.S. Government
// has unlimited rights in this software.
//
// Vanderbilt University disclaims all warranties with regard to this
// software, including all implied warranties of merchantability and fitness.
// In no event shall Vanderbilt University be liable for any special,
// indirect or consequential damages or any damages whatsoever resulting
// from loss of use, data or profits, whether in an action of contract,
// negligence or other tortious action, arising out of or in connection
// with the use or performance of this software.
//
// May contain products produced under DoD SENSIAC contract HC104705D4000 under
// the sponsorship of the Defense Technical Information Center,
// ATTN: DTIC-AI, 8723 John J. Kingman Rd., Ste 0944, Fort Belvoir, VA
// 22060-6218.  SENSIAC is a DoD Information Analysis Center Sponsored
// by the Defense Technical Information Center.


// This is an example of a TS Interface API that uses a datatype "FACE.DM.MyType".
// FACE_SPECIFIED_TYPE has been replaced with the datatype where appropriate.

package FACE;

public class TS
{
  public static void Initialize (
    /* in */ String configuration,
    /* out */ FACE.RETURN_CODE_TYPEHolder return_code)
  {
    // Implementation here.
  }
  
  public static void Create_Connection (
    /* in */ String connection_name,
    /* in */ FACE.MESSAGING_PATTERN_TYPE pattern,
    /* out */ us.opengroup.FACE.LongHolder connection_id,
    /* out */ FACE.CONNECTION_DIRECTION_TYPEHolder connection_direction,
    /* out */ us.opengroup.FACE.IntHolder max_message_size,
    /* in */ long timeout,
    /* out */ FACE.RETURN_CODE_TYPEHolder return_code)
  {
    // Implementation here.
  }
  
  public static void Destroy_Connection (
    /* in */ long connection_id,
    /* out */ FACE.RETURN_CODE_TYPEHolder return_code)
  {
    // Implementation here.
  }
  
  public static void Receive_Message (
    /* in */ long connection_id,
    /* in */ long timeout,
    /* inout */ us.opengroup.FACE.LongHolder transaction_id,
    /* inout */ FACE.DM.EGI_DataHolder message,
    /* in */ int message_size,
    /* out */ FACE.RETURN_CODE_TYPEHolder return_code)
  {
    // Implementation here.


  }
  
  
  public static void Send_Message (
    /* in */ long connection_id,
    /* in */ long timeout,
    /* inout */ us.opengroup.FACE.LongHolder transaction_id,
    /* inout */ FACE.DM.EGI_DataHolder message,
    /* inout */ us.opengroup.FACE.IntHolder message_size,
    /* out */ FACE.RETURN_CODE_TYPEHolder return_code)
  {
    // Implementation here.
  }
  
  
  public static void Register_Callback (
    /* in */ long connection_id,
    /* in */ boolean[] waitset,
    /* inout */ Read_Callback_FACE_DM_EGI_DataHolder data_callback,
    /* in */ int max_message_size,
    /* out */ FACE.RETURN_CODE_TYPEHolder return_code)
  {
    // Implementation here.
  }
  
  
  public static void Unregister_Callback (
    /* in */ long connection_id,
    /* out */ FACE.RETURN_CODE_TYPEHolder return_code)
  {
    // Implementation here.
  }
  
  public static void Get_Connection_Parameters (
    /* inout */ us.opengroup.FACE.StringHolder connection_name,
    /* inout */ us.opengroup.FACE.LongHolder connection_id,
    /* out */ FACE.TRANSPORT_CONNECTION_STATUS_TYPEHolder connection_status,
    /* out */ FACE.RETURN_CODE_TYPEHolder return_code)
  {
    // Implementation here.
  }
}
