// Product produced under Contract No. FA8075-14-D-0014 and the U.S. Government
// has unlimited rights in this software.
//
// Vanderbilt University disclaims all warranties with regard to this
// software, including all implied warranties of merchantability and fitness.
// In no event shall Vanderbilt University be liable for any special,
// indirect or consequential damages or any damages whatsoever resulting
// from loss of use, data or profits, whether in an action of contract,
// negligence or other tortious action, arising out of or in connection
// with the use or performance of this software.
//
// May contain products produced under DoD SENSIAC contract HC104705D4000 under
// the sponsorship of the Defense Technical Information Center,
// ATTN: DTIC-AI, 8723 John J. Kingman Rd., Ste 0944, Fort Belvoir, VA
// 22060-6218.  SENSIAC is a DoD Information Analysis Center Sponsored
// by the Defense Technical Information Center.


package FACE;

final public class TRANSPORT_CONNECTION_STATUS_TYPE
{
  public int MESSAGE;
  public int MAX_MESSAGE;
  public int MAX_MESSAGE_SIZE;
  public FACE.CONNECTION_DIRECTION_TYPE CONNECTION_DIRECTION;
  public int WAITING_PROCESSES_OR_MESSAGES;
  public long REFRESH_PERIOD;
  public FACE.VALIDITY_TYPE LAST_MSG_VALIDITY;

  public TRANSPORT_CONNECTION_STATUS_TYPE () {}

  public TRANSPORT_CONNECTION_STATUS_TYPE (
    int _MESSAGE,
    int _MAX_MESSAGE,
    int _MAX_MESSAGE_SIZE,
    FACE.CONNECTION_DIRECTION_TYPE _CONNECTION_DIRECTION,
    int _WAITING_PROCESSES_OR_MESSAGES,
    long _REFRESH_PERIOD,
    FACE.VALIDITY_TYPE _LAST_MSG_VALIDITY)
  {
    MESSAGE = _MESSAGE;
    MAX_MESSAGE = _MAX_MESSAGE;
    MAX_MESSAGE_SIZE = _MAX_MESSAGE_SIZE;
    CONNECTION_DIRECTION = _CONNECTION_DIRECTION;
    WAITING_PROCESSES_OR_MESSAGES = _WAITING_PROCESSES_OR_MESSAGES;
    REFRESH_PERIOD = _REFRESH_PERIOD;
    LAST_MSG_VALIDITY = _LAST_MSG_VALIDITY;
  }
}
