// Product produced under Contract No. FA8075-14-D-0014 and the U.S. Government
// has unlimited rights in this software.
//
// Vanderbilt University disclaims all warranties with regard to this
// software, including all implied warranties of merchantability and fitness.
// In no event shall Vanderbilt University be liable for any special,
// indirect or consequential damages or any damages whatsoever resulting
// from loss of use, data or profits, whether in an action of contract,
// negligence or other tortious action, arising out of or in connection
// with the use or performance of this software.
//
// May contain products produced under DoD SENSIAC contract HC104705D4000 under
// the sponsorship of the Defense Technical Information Center,
// ATTN: DTIC-AI, 8723 John J. Kingman Rd., Ste 0944, Fort Belvoir, VA
// 22060-6218.  SENSIAC is a DoD Information Analysis Center Sponsored
// by the Defense Technical Information Center.


package us.opengroup.FACE;

public abstract class Any implements us.opengroup.FACE.portable.IDLEntity {

    abstract public boolean equal(us.opengroup.FACE.Any a);

    abstract public us.opengroup.FACE.TypeCode type();
    abstract public void type(us.opengroup.FACE.TypeCode type);

    abstract public void read_value(us.opengroup.FACE.portable.InputStream is, 
                    us.opengroup.FACE.TypeCode type);
    abstract public void write_value(us.opengroup.FACE.portable.OutputStream os);

    abstract public us.opengroup.FACE.portable.OutputStream create_output_stream();
    abstract public us.opengroup.FACE.portable.InputStream create_input_stream();

    abstract public short extract_short();
    abstract public void insert_short(short s);

    abstract public int extract_long();
    abstract public void insert_long(int i);

    abstract public long extract_longlong();
    abstract public void insert_longlong(long l);

    abstract public short extract_ushort();
    abstract public void insert_ushort(short s);

    abstract public int extract_ulong();
    abstract public void insert_ulong(int i);

    abstract public long extract_ulonglong();
    abstract public void insert_ulonglong(long l);

    abstract public float extract_float();
    abstract public void insert_float(float f);

    abstract public double extract_double();
    abstract public void insert_double(double d);

    abstract public boolean extract_boolean();
    abstract public void insert_boolean(boolean b);

    abstract public char extract_char();
    abstract public void insert_char(char c);

    abstract public char extract_wchar();
    abstract public void insert_wchar(char c);

    abstract public byte extract_octet();
    abstract public void insert_octet(byte b);

    abstract public us.opengroup.FACE.Any extract_any();
    abstract public void insert_any(us.opengroup.FACE.Any a);

//    abstract public us.opengroup.FACE.Object extract_Object();
//    abstract public void insert_Object(us.opengroup.FACE.Object obj);

    abstract public java.io.Serializable extract_Value();
    abstract public void insert_Value(java.io.Serializable v);
    abstract public void insert_Value(java.io.Serializable v, 
                        us.opengroup.FACE.TypeCode t);

//    abstract public void insert_Object(us.opengroup.FACE.Object obj,
//                        us.opengroup.FACE.TypeCode type);

    abstract public String extract_string();
    abstract public void insert_string(String s);

    abstract public String extract_wstring();
    abstract public void insert_wstring(String value);

    abstract public TypeCode extract_TypeCode();
    abstract public void insert_TypeCode(TypeCode value);

 //   /**
 //   *@ deprecated
 //   */
 //   public Principal extract_Principal() {
 //       throw new us.opengroup.FACE.NO_IMPLEMENT();
 //   }
 //   /**
 //   *@ deprecated
 //   */
 //   public void insert_Principal(Principal p) {
 //       throw new us.opengroup.FACE.NO_IMPLEMENT();
 //   }

    public us.opengroup.FACE.portable.Streamable extract_Streamable() {
        throw new us.opengroup.FACE.NO_IMPLEMENT();
    }
    public void insert_Streamable(us.opengroup.FACE.portable.Streamable s) {
        throw new us.opengroup.FACE.NO_IMPLEMENT();
    }

    public java.math.BigDecimal extract_fixed() {
        throw new us.opengroup.FACE.NO_IMPLEMENT();
    }
    public void insert_fixed(java.math.BigDecimal f,
                us.opengroup.FACE.TypeCode t) {
        throw new us.opengroup.FACE.NO_IMPLEMENT();
    }

}
