// Product produced under Contract No. FA8075-14-D-0014 and the U.S. Government
// has unlimited rights in this software.
//
// Vanderbilt University disclaims all warranties with regard to this
// software, including all implied warranties of merchantability and fitness.
// In no event shall Vanderbilt University be liable for any special,
// indirect or consequential damages or any damages whatsoever resulting
// from loss of use, data or profits, whether in an action of contract,
// negligence or other tortious action, arising out of or in connection
// with the use or performance of this software.
//
// May contain products produced under DoD SENSIAC contract HC104705D4000 under
// the sponsorship of the Defense Technical Information Center,
// ATTN: DTIC-AI, 8723 John J. Kingman Rd., Ste 0944, Fort Belvoir, VA
// 22060-6218.  SENSIAC is a DoD Information Analysis Center Sponsored
// by the Defense Technical Information Center.



package FACE;

import us.opengroup.FACE.IntHolder;
import us.opengroup.FACE.LongHolder;
import us.opengroup.FACE.StringHolder;


public class TS
{
  public static void Initialize (
    /* in */ String configuration_file,
    /* out */ FACE.RETURN_CODE_TYPEHolder return_code){}
  
  public static void create_connection (
    /* in */ String connection_name,
    /* in */ FACE.MESSAGING_PATTERN_TYPE pattern,
    /* out */ us.opengroup.FACE.LongHolder connection_id,
    /* out */ FACE.CONNECTION_DIRECTION_TYPEHolder connection_direction,
    /* out */ us.opengroup.FACE.IntHolder max_message_size,
    /* out */ FACE.RETURN_CODE_TYPEHolder return_code){}
  
  public static void destroy_connection (
    /* in */ long connection_id,
    /* out */ FACE.RETURN_CODE_TYPEHolder return_code){}
  
  public static void get_connection_parameters (
    /* inout */ us.opengroup.FACE.StringHolder connection_name,
    /* inout */ us.opengroup.FACE.LongHolder connection_id,
    /* out */ FACE.TRANSPORT_CONNECTION_STATUS_TYPEHolder connection_status,
    /* out */ FACE.RETURN_CODE_TYPEHolder return_code){}
};
