REM This file last updated: 5/20/2021
REM The propose of this file is to show examples of how to invoke the ModelReport Tool.
REM Edit the following "set" fields based on your machine setup.
set Version=v2021.05.2
set ModelReport_Install_Path=D:\FACE
set Input_Model=FACE_21_SDM_2134_BALSA_UoP_From_GME.face
set UoP_Names=ADSB,ATCManager,AirConfig,EGI 
set Out_UoP_Names_File=UoPNames.txt


REM just help
REM java -jar %ModelReport_Install_Path%\FACE21ModelReport-%Version%\FACE21ModelReport-%Version%\FACE21ModelReport-%Version%.jar -h

REM 1) with description fields populated 2) output pdf 3) output UoP names to a file 4) include in report just -uops
REM java -jar %ModelReport_Install_Path%\FACE21ModelReport-%Version%\FACE21ModelReport-%Version%\FACE21ModelReport-%Version%.jar -in %Input_Model% -out Model_Report_Generated.adoc -report_format pdf  -uops %UoP_Names% -out_uop_names %Out_UoP_Names_File% 

REM 1) description fields NOT populated 2) output pdf 3) output UoP names to a file 4) include in report just -uops
REM java -jar %ModelReport_Install_Path%\FACE21ModelReport-%Version%\FACE21ModelReport-%Version%\FACE21ModelReport-%Version%.jar -in %Input_Model% -out Model_Report_Generated.adoc -report_format pdf  -uops %UoP_Names% -out_uop_names %Out_UoP_Names_File% -do_not_populate_description_fields

REM 1) with description fields populated 2) output pdf 3) output UoP names to a file 4) include in report just -uops 5) -do_not_replace_unsupported_characters
REM java -jar %ModelReport_Install_Path%\FACE21ModelReport-%Version%\FACE21ModelReport-%Version%\FACE21ModelReport-%Version%.jar -in %Input_Model% -out Model_Report_Generated.adoc -report_format pdf  -uops %UoP_Names% -out_uop_names %Out_UoP_Names_File% -do_not_replace_unsupported_characters


REM 1) description fields NOT populated 2) output pdf 3) output all UoPs
java -jar %ModelReport_Install_Path%\FACE21ModelReport-%Version%\FACE21ModelReport-%Version%\FACE21ModelReport-%Version%.jar -in %Input_Model% -out Model_Report_Generated.adoc -report_format pdf  -do_not_populate_description_fields