/*
DISTRIBUTION STATEMENT D. Distribution authorized to the Department of Defense and U.S. DoD contractors only.

Product produced under DoD SENSIAC contract HC104705D4000 under the sponsorship of the Defense Technical Information Center, 
ATTN: DTIC-AI, 8723 John J. Kingman Rd., Ste 0944, Fort Belvoir, VA 22060-6218.  
SENSIAC is a DoD Information Analysis Center Sponsored by the Defense Technical Information Center.

HANDLING AND DESTRUCTION NOTICE - Comply with distribution statement and destroy by any method that will prevent disclosure 
of the contents or reconstruction of the document.

Copyright (c) Vanderbilt University, 2013

ALL RIGHTS RESERVED, UNLESS OTHERWISE STATED

Developed under contract for the U.S. Department of Defense
by the Institute for Software Integrated Systems (ISIS), Vanderbilt University

Vanderbilt University disclaims all warranties with regard to this software, 
including all implied warranties of merchantability and fitness.  In no event 
shall Vanderbilt University be liable for any special, indirect or 
consequential damages or any damages whatsoever resulting from loss of use, 
data or profits, whether in an action of contract, negligence or other tortious
action, arising out of or in connection with the use or performance of this 
software.
 */
package edu.vanderbilt.isis.face.v21.datamodel.common;

import org.eclipse.ui.plugin.AbstractUIPlugin;
import org.osgi.framework.BundleContext;

/**
 * The activator class controls the plug-in life cycle
 */
public class Activator extends AbstractUIPlugin {

	// The plug-in ID
	public static final String PLUGIN_ID = "edu.vanderbilt.isis.face.v21.datamodel.common"; //$NON-NLS-1$

	// The shared instance
	private static Activator plugin;
	
	/**
	 * The constructor
	 */
	public Activator() {
	}

	/*
	 * (non-Javadoc)
	 * @see org.eclipse.ui.plugin.AbstractUIPlugin#start(org.osgi.framework.BundleContext)
	 */
	public void start(BundleContext context) throws Exception {
		super.start(context);
		plugin = this;
	}

	/*
	 * (non-Javadoc)
	 * @see org.eclipse.ui.plugin.AbstractUIPlugin#stop(org.osgi.framework.BundleContext)
	 */
	public void stop(BundleContext context) throws Exception {
		plugin = null;
		super.stop(context);
	}

	/**
	 * Returns the shared instance
	 *
	 * @return the shared instance
	 */
	public static Activator getDefault() {
		return plugin;
	}

}
