
-- pragma Assertion_Policy (Check);  -- Check assertions that follow:
pragma Optimize(Off); -- turn off optional optimizations

with FACE_Basic_Types; 
with FACE; 
with FACE.IO; 
with Interfaces.C; 
with System; 


procedure forkconformancetest is

procedure forkconformancetest_helper is

    -- Using all non type specific function calls to test for fork use 
    configuration : FACE.CONFIGURATION_RESOURCE := (others => 'X');
    return_code : FACE.RETURN_CODE_TYPE := FACE.RETURN_CODE_TYPE'First;
    name : FACE.IO.INTERFACE_NAME_TYPE := (others => 'X');
    timeout : FACE.TIMEOUT_TYPE := FACE.TIMEOUT_TYPE'First;
    handle : FACE.IO.INTERFACE_HANDLE_TYPE := FACE.IO.INTERFACE_HANDLE_TYPE(System.Null_Address);
    callback_address : FACE.IO.CALLBACK_ADDRESS_TYPE := NULL;
    message_length : FACE.IO.MESSAGE_LENGTH_TYPE := FACE.IO.MESSAGE_LENGTH_TYPE'First;
    data_buffer_address : FACE.IO.MESSAGE_ADDR_TYPE := FACE.IO.MESSAGE_ADDR_TYPE(System.Null_Address);
    status : FACE.IO.STATUS_TYPE;


begin


    -- Call interface
    FACE.IO.Initialize(
        configuration => configuration,
        return_code => return_code
        );
    -- Call interface
    FACE.IO.Open(
        name => name,
        timeout => timeout,
        handle => handle,
        return_code => return_code
        );
    -- Call interface
    FACE.IO.Register(
        handle => handle,
        callback_address => callback_address,
        return_code => return_code
        );
    -- Call interface
    FACE.IO.Unregister(
        handle => handle,
        return_code => return_code
        );
    -- Call interface
    FACE.IO.Read(
        handle => handle,
        timeout => timeout,
        message_length => message_length,
        data_buffer_address => data_buffer_address,
        return_code => return_code
        );
    -- Call interface
    FACE.IO.Write(
        handle => handle,
        timeout => timeout,
        message_length => message_length,
        data_buffer_address => data_buffer_address,
        return_code => return_code
        );
    -- Call interface
    FACE.IO.Get_Status(
        handle => handle,
        status => status,
        return_code => return_code
        );
    -- Call interface
    FACE.IO.Close(
        handle => handle,
        return_code => return_code
        );

end forkconformancetest_helper;

begin
   NULL;
end;
