
-- pragma Assertion_Policy (Check);  -- Check assertions that follow:
pragma Optimize(Off); -- turn off optional optimizations

with FACE_Basic_Types; 
with FACE; 
with FACE.IO; 
with Interfaces.C; 
with System; 


procedure test13 is

procedure test13_helper is

    type STATUS_TYPE_CONFORMANCE_TEST is
        record
             last_message_time : FACE.SYSTEM_TIME_TYPE := FACE.SYSTEM_TIME_TYPE'First;
             message_available : FACE_Basic_Types.Boolean := FACE_Basic_Types.Boolean'First;
             connection_status : FACE.IO.IO_CONNECTION_STATUS_TYPE := FACE.IO.IO_CONNECTION_STATUS_TYPE'First;
    
        end record;
    pragma Convention (C, STATUS_TYPE_CONFORMANCE_TEST);
    
    
    -- Declare type and variable for Testing FACE.IO.STATUS_TYPE size is conformant (Struct)
    subtype STATUS_TYPE_SizeType is Integer range STATUS_TYPE_CONFORMANCE_TEST'Size .. STATUS_TYPE_CONFORMANCE_TEST'Size;
    VarStructSize : STATUS_TYPE_SizeType;
    
    -- FACE.IO.STATUS_TYPE struct element test
    Var  : FACE.IO.STATUS_TYPE;
    VarC : STATUS_TYPE_CONFORMANCE_TEST;



begin

    -- Assign Size of FULLY_SPECIFIED_NAME to a type with range of expected Size
    -- Note:  The assignment on the following line will produce a warning if not conformant; will not throw error
    VarStructSize := FACE.IO.STATUS_TYPE'Size;
    
    -- Testing FACE.IO.STATUS_TYPE has all data members
    Var.last_message_time := VarC.last_message_time;
    Var.message_available := VarC.message_available;
    Var.connection_status := VarC.connection_status;


end test13_helper;

begin
   NULL;
end;
