
-- pragma Assertion_Policy (Check);  -- Check assertions that follow:
pragma Optimize(Off); -- turn off optional optimizations

with FACE_Basic_Types; 
with FACE; 
with FACE.IO; 
with Interfaces.C; 
with System; 


procedure test15 is

procedure test15_helper is


    -- Enums have the size of a C int for interoperability
    subtype EnumSizeTestType is Integer range Face_Basic_Types.Enum_Size .. Face_Basic_Types.Enum_Size;
    
    VarEnumSize : EnumSizeTestType;
    Var : FACE.IO.COMMAND_TYPE;



begin

    
    -- Testing FACE.IO.COMMAND_TYPE has all enumerations
    Var := FACE.IO.OPEN;
    Var := FACE.IO.REGISTER;
    Var := FACE.IO.READ;
    Var := FACE.IO.WRITE;
    Var := FACE.IO.CLOSE;
    Var := FACE.IO.GET_STATUS;
    Var := FACE.IO.UNREGISTER;
    
    VarEnumSize := FACE.IO.COMMAND_TYPE'Size;

end test15_helper;

begin
   NULL;
end;
