
-- pragma Assertion_Policy (Check);  -- Check assertions that follow:
pragma Optimize(Off); -- turn off optional optimizations

with FACE_Basic_Types; 
with FACE; 
with FACE.TS; 
with FACE.TS.TYPEABSTRACTION_TS; 
with Interfaces.C; 
with System; 


procedure test29 is

procedure test29_helper is

    connection_id    : FACE.TS.CONNECTION_ID_TYPE := FACE.TS.CONNECTION_ID_TYPE'First;
    timeout          : FACE.TIMEOUT_TYPE := FACE.TIMEOUT_TYPE'First;
    transaction_id   : FACE.TS.TRANSACTION_ID_TYPE := FACE.TS.TRANSACTION_ID_TYPE'First;
    message          : System.Address := System.Address(System.Null_Address);
    message_type_id  : FACE.TS.MESSAGE_TYPE_GUID := FACE.TS.MESSAGE_TYPE_GUID'First;
    message_size     : FACE.TS.MESSAGE_SIZE_TYPE := FACE.TS.MESSAGE_SIZE_TYPE'First;
    return_code      : FACE.RETURN_CODE_TYPE := FACE.RETURN_CODE_TYPE'First;


begin

    -- Call interface
    FACE.TS.TYPEABSTRACTION_TS.Receive_Message(
        connection_id => connection_id,
        timeout => timeout,
        transaction_id => transaction_id,
        message => message,
        message_type_id => message_type_id,
        message_size => message_size,
        return_code => return_code
        );

end test29_helper;

begin
   NULL;
end;
