
// Test11 


// user_includes.hpp is generated every test run and contains all header files
// specified in the configuration file for the segment under test
#include "user_includes.hpp"

// Used to catch assertions at compile time  
// Static assert magic - true exists but false does not (and should not!)
template<bool> struct FaceStaticAssert;
template<> struct FaceStaticAssert<true> {};


int main()
{

    // Enumeration Conformance Test 
    {
        /* Enumeration the same size as the enumeration under test */
        enum BUS_TYPE_CONFORMANCE_TEST {
            MIL_STD_1553_CONFORMANCE_TEST,
            ARINC_429_CONFORMANCE_TEST,
            SERIAL_CONFORMANCE_TEST,
            DISCRETE_CONFORMANCE_TEST,
            ANALOG_CONFORMANCE_TEST,
            SYNCHRO_CONFORMANCE_TEST,
            HIGH_PRECISION_SYNCHRO_CONFORMANCE_TEST,
            VME_CONFORMANCE_TEST,
            GENERIC_BUS_CONFORMANCE_TEST,
            USER_DEFINED_BUS_1_CONFORMANCE_TEST,
            USER_DEFINED_BUS_2_CONFORMANCE_TEST,
            USER_DEFINED_BUS_3_CONFORMANCE_TEST,
            USER_DEFINED_BUS_n_CONFORMANCE_TEST
        };



        // FACE::BUS_TYPE size test (Enumeration)
        FaceStaticAssert< sizeof(FACE::BUS_TYPE) == sizeof(BUS_TYPE_CONFORMANCE_TEST) >();
    }

    // FACE::BUS_TYPE test that all enumeration items exists 
    FACE::BUS_TYPE var;

    var = FACE::MIL_STD_1553;
    var = FACE::ARINC_429;
    var = FACE::SERIAL;
    var = FACE::DISCRETE;
    var = FACE::ANALOG;
    var = FACE::SYNCHRO;
    var = FACE::HIGH_PRECISION_SYNCHRO;
    var = FACE::VME;
    var = FACE::GENERIC_BUS;
    var = FACE::USER_DEFINED_BUS_1;
    var = FACE::USER_DEFINED_BUS_2;
    var = FACE::USER_DEFINED_BUS_3;
    var = FACE::USER_DEFINED_BUS_n;

    (void)var;      // code used to avoid unused-but-set-variable warning

}
