
// Test20 


// user_includes.hpp is generated every test run and contains all header files
// specified in the configuration file for the segment under test
#include "user_includes.hpp"

// Used to catch assertions at compile time  
// Static assert magic - true exists but false does not (and should not!)
template<bool> struct FaceStaticAssert;
template<> struct FaceStaticAssert<true> {};


int main()
{

    // constant conformance test 
    {
        // FACE::DISCRETE_ERROR size test (FACE::Short)
        FaceStaticAssert< sizeof(FACE::DISCRETE_ERROR) == sizeof(FACE::Short) >();
    }
    {
        // Testing constant FACE::DISCRETE_ERROR value (1) is conformant 
        FaceStaticAssert< FACE::DISCRETE_ERROR ==1 >();
    }


}
