
// Test29 


// user_includes.hpp is generated every test run and contains all header files
// specified in the configuration file for the segment under test
#include "user_includes.hpp"

// Used to catch assertions at compile time  
// Static assert magic - true exists but false does not (and should not!)
template<bool> struct FaceStaticAssert;
template<> struct FaceStaticAssert<true> {};


int main()
{

    // Function Signature Conformance Test
    // Setting function ptr with correct signature to function under test
    void (*FUNCTION_TEST_PTR) (
        /* in     */ FACE::INTERFACE_HANDLE_TYPE handle,
        /* in     */ FACE::TIMEOUT_TYPE timeout,
        /* in     */ FACE::MESSAGE_LENGTH_TYPE message_length,
        /* in     */ FACE::MESSAGE_ADDR_TYPE data_buffer_address,
        /*    out */ FACE::RETURN_CODE_TYPE &return_code
        ) = FACE::IO::Write;


}
