
// Test14 


// user_includes.hpp is generated every test run and contains all header files
// specified in the configuration file for the segment under test
#include "user_includes.hpp"

// Used to catch assertions at compile time  
// Static assert magic - true exists but false does not (and should not!)
template<bool> struct FaceStaticAssert;
template<> struct FaceStaticAssert<true> {};


int main()
{

    // typedef sequence test 
    {
            // FACE::HMFM::FAULT_MESSAGE_TYPE size test (FACE::Char[FACE::HMFM::FAULT_MESSAGE_MAXIMUM_SIZE])
            FaceStaticAssert< sizeof(FACE::HMFM::FAULT_MESSAGE_TYPE) == FACE::HMFM::FAULT_MESSAGE_MAXIMUM_SIZE * sizeof(FACE::Char)>();
    }
    // Testing FACE::HMFM::FAULT_MESSAGE_TYPE type and size is conformant (FACE::Char[FACE::HMFM::FAULT_MESSAGE_MAXIMUM_SIZE])
    FACE::HMFM::FAULT_MESSAGE_TYPE var;
    FACE::Char cvar;
    var[0] = var[FACE::HMFM::FAULT_MESSAGE_MAXIMUM_SIZE-1] = 0;
    cvar = var[0];

    (void)cvar;     // code used to avoid unused-but-set-variable warning

}
