
// Test18 


// user_includes.hpp is generated every test run and contains all header files
// specified in the configuration file for the segment under test
#include "user_includes.hpp"

// Used to catch assertions at compile time  
// Static assert magic - true exists but false does not (and should not!)
template<bool> struct FaceStaticAssert;
template<> struct FaceStaticAssert<true> {};


int main()
{

    // Function Signature Conformance Test

    FACE::HMFM::FAULT_HANDLER_ENTRY_TYPE *entry_point = {0};
    FACE::HMFM::STACK_SIZE_TYPE *stack_size = {0};
    FACE::RETURN_CODE_TYPE *return_code = {0};

    FACE::HMFM::Create_Fault_Handler (
        /* in     */ *entry_point,
        /* in     */ *stack_size,
        /*    out */ *return_code
    );


}
