
// Test6 


// user_includes.hpp is generated every test run and contains all header files
// specified in the configuration file for the segment under test
#include "user_includes.hpp"

// Used to catch assertions at compile time  
// Static assert magic - true exists but false does not (and should not!)
template<bool> struct FaceStaticAssert;
template<> struct FaceStaticAssert<true> {};


int main()
{

    // typedef conformance test
    {
        // FACE::SYSTEM_ADDRESS_TYPE size test (void *)
        FaceStaticAssert< sizeof(FACE::SYSTEM_ADDRESS_TYPE) == sizeof(void *) >();
    }

    // FACE::SYSTEM_ADDRESS_TYPE type test (void *)
    FACE::SYSTEM_ADDRESS_TYPE var = 0;
    void * cvar;
    cvar = var;
    var = cvar;  // code used to avoid unused variable warning 

}
