
// Test11 


// user_includes.hpp is generated every test run and contains all header files
// specified in the configuration file for the segment under test
#include "user_includes.hpp"

// Used to catch assertions at compile time  
// Static assert magic - true exists but false does not (and should not!)
template<bool> struct FaceStaticAssert;
template<> struct FaceStaticAssert<true> {};


int main()
{

    // typedef conformance test
    {
        // FACE::MESSAGE_TYPE_GUID size test (FACE::LongLong)
        FaceStaticAssert< sizeof(FACE::MESSAGE_TYPE_GUID) == sizeof(FACE::LongLong) >();
    }

    // FACE::MESSAGE_TYPE_GUID type test (FACE::LongLong)
    FACE::MESSAGE_TYPE_GUID var = 0;
    FACE::LongLong cvar;
    cvar = var;
    var = cvar;  // code used to avoid unused variable warning 

}
