
// Test20 


// user_includes.hpp is generated every test run and contains all header files
// specified in the configuration file for the segment under test
#include "user_includes.hpp"

// Used to catch assertions at compile time  
// Static assert magic - true exists but false does not (and should not!)
template<bool> struct FaceStaticAssert;
template<> struct FaceStaticAssert<true> {};


int main()
{

    // Enumeration Conformance Test 
    {
        /* Enumeration the same size as the enumeration under test */
        enum RECEIVE_FLAG_TYPE_CONFORMANCE_TEST {
            PEEK_CONFORMANCE_TEST,
            OOB_RECEIVE_FLAG_TYPE_CONFORMANCE_TEST,
            WAITALL_CONFORMANCE_TEST,
            NOT_DEFINED_RECEIVE_FLAG_TYPE_CONFORMANCE_TEST
        };



        // FACE::RECEIVE_FLAG_TYPE size test (Enumeration)
        FaceStaticAssert< sizeof(FACE::RECEIVE_FLAG_TYPE) == sizeof(RECEIVE_FLAG_TYPE_CONFORMANCE_TEST) >();
    }

    // FACE::RECEIVE_FLAG_TYPE test that all enumeration items exists 
    FACE::RECEIVE_FLAG_TYPE var;

    var = FACE::PEEK;
    var = FACE::OOB_RECEIVE_FLAG_TYPE;
    var = FACE::WAITALL;
    var = FACE::NOT_DEFINED_RECEIVE_FLAG_TYPE;

    (void)var;      // code used to avoid unused-but-set-variable warning

}
