
// Test21 


// user_includes.hpp is generated every test run and contains all header files
// specified in the configuration file for the segment under test
#include "user_includes.hpp"

// Used to catch assertions at compile time  
// Static assert magic - true exists but false does not (and should not!)
template<bool> struct FaceStaticAssert;
template<> struct FaceStaticAssert<true> {};


int main()
{

    // Enumeration Conformance Test 
    {
        /* Enumeration the same size as the enumeration under test */
        enum SEND_FLAG_TYPE_CONFORMANCE_TEST {
            EOR_CONFORMANCE_TEST,
            OOB_SEND_FLAG_TYPE_CONFORMANCE_TEST,
            NOSIGNAL_CONFORMANCE_TEST,
            NOT_DEFINED_SEND_FLAG_TYPE_CONFORMANCE_TEST
        };



        // FACE::SEND_FLAG_TYPE size test (Enumeration)
        FaceStaticAssert< sizeof(FACE::SEND_FLAG_TYPE) == sizeof(SEND_FLAG_TYPE_CONFORMANCE_TEST) >();
    }

    // FACE::SEND_FLAG_TYPE test that all enumeration items exists 
    FACE::SEND_FLAG_TYPE var;

    var = FACE::EOR;
    var = FACE::OOB_SEND_FLAG_TYPE;
    var = FACE::NOSIGNAL;
    var = FACE::NOT_DEFINED_SEND_FLAG_TYPE;

    (void)var;      // code used to avoid unused-but-set-variable warning

}
