
// Test17 


// user_includes.hpp is generated every test run and contains all header files
// specified in the configuration file for the segment under test
#include "user_includes.hpp"

// Used to catch assertions at compile time  
// Static assert magic - true exists but false does not (and should not!)
template<bool> struct FaceStaticAssert;
template<> struct FaceStaticAssert<true> {};


int main()
{

    // Enumeration Conformance Test 
    {
        /* Enumeration the same size as the enumeration under test */
        enum QUEUING_DISCIPLINE_TYPE_CONFORMANCE_TEST {
            FIFO_CONFORMANCE_TEST,
            PRIORITY_CONFORMANCE_TEST,
            NOT_DEFINED_QUEUING_DISCIPLINE_TYPE_CONFORMANCE_TEST
        };



        // FACE::QUEUING_DISCIPLINE_TYPE size test (Enumeration)
        FaceStaticAssert< sizeof(FACE::QUEUING_DISCIPLINE_TYPE) == sizeof(QUEUING_DISCIPLINE_TYPE_CONFORMANCE_TEST) >();
    }

    // FACE::QUEUING_DISCIPLINE_TYPE test that all enumeration items exists 
    FACE::QUEUING_DISCIPLINE_TYPE var;

    var = FACE::FIFO;
    var = FACE::PRIORITY;
    var = FACE::NOT_DEFINED_QUEUING_DISCIPLINE_TYPE;

    (void)var;      // code used to avoid unused-but-set-variable warning

}
