
// Test31 


// user_includes.hpp is generated every test run and contains all header files
// specified in the configuration file for the segment under test
#include "user_includes.hpp"

// Used to catch assertions at compile time  
// Static assert magic - true exists but false does not (and should not!)
template<bool> struct FaceStaticAssert;
template<> struct FaceStaticAssert<true> {};


int main()
{

    typedef void (*CONFORMANCE_TEST_send_event_ptr) (
            /* in     */ FACE::TRANSACTION_ID_TYPE transaction_id,
            /* in out */ void  *message,
            /* in     */ FACE::MESSAGE_TYPE_GUID message_type_id,
            /* in     */ FACE::MESSAGE_SIZE_TYPE message_size,
            /* in     */ const FACE::WAITSET_TYPE waitset,
            /*    out */ FACE::RETURN_CODE_TYPE &return_code
        );


    // Function Signature Conformance Test
    // Setting function ptr with correct signature to function under test
    void (*FUNCTION_TEST_PTR) (
        /* in     */ FACE::CONNECTION_ID_TYPE connection_id,
        /* in     */ const FACE::WAITSET_TYPE waitset,
        /* in out */ CONFORMANCE_TEST_send_event_ptr data_callback,
        /* in     */ FACE::MESSAGE_SIZE_TYPE max_message_size,
        /*    out */ FACE::RETURN_CODE_TYPE &return_code
        ) = FACE::TypeAbstractionTS::Register_Callback;


}
