
#include "common_conformance_test.hpp"
#include "user_includes.hpp"

// Static assert magic - true exists but false does not (and should not!)
template<bool> struct FaceStaticAssert;
template<> struct FaceStaticAssert<true> {};

int main(int argc, char *argv[])
{	// This type is used to represent 64-bit signed integer with a
	// 1 nanosecond resolution.
	// Testing FACE::SYSTEM_TIME_TYPE size is conformant (int64_t)
	{
		FaceStaticAssert< sizeof(FACE::SYSTEM_TIME_TYPE) == sizeof(CONFORMANCE_TEST::FACE::SYSTEM_TIME_TYPE) >();
	}
	
	// This type is used to represent 64-bit signed integer with a
	// 1 nanosecond resolution.
	// Testing FACE::SYSTEM_TIME_TYPE type is conformant (int64_t)
	FACE::SYSTEM_TIME_TYPE var = 0;
	CONFORMANCE_TEST::FACE::SYSTEM_TIME_TYPE cvar;
	cvar = var;
	
	return 0;
}
