
#include "common_conformance_test.hpp"
#include "user_includes.hpp"

// Static assert magic - true exists but false does not (and should not!)
template<bool> struct FaceStaticAssert;
template<> struct FaceStaticAssert<true> {};

int main(int argc, char *argv[])
{	// This type is used to represent a system address.
	// 
	// Note: This is expected to be a pointer type such as (void *) in C.
	// Testing FACE::SYSTEM_ADDRESS_TYPE size is conformant (void *)
	{
		FaceStaticAssert< sizeof(FACE::SYSTEM_ADDRESS_TYPE) == sizeof(CONFORMANCE_TEST::FACE::SYSTEM_ADDRESS_TYPE) >();
	}
	
	// This type is used to represent a system address.
	// 
	// Note: This is expected to be a pointer type such as (void *) in C.
	// Testing FACE::SYSTEM_ADDRESS_TYPE type is conformant (void *)
	FACE::SYSTEM_ADDRESS_TYPE var = 0;
	CONFORMANCE_TEST::FACE::SYSTEM_ADDRESS_TYPE cvar;
	cvar = var;
	
	return 0;
}
