
#include "common_conformance_test.hpp"
#include "user_includes.hpp"

// Static assert magic - true exists but false does not (and should not!)
template<bool> struct FaceStaticAssert;
template<> struct FaceStaticAssert<true> {};

int main(int argc, char *argv[])
{	// This type has a one nanosecond resolution.
	// Testing FACE::TIMEOUT_TYPE size is conformant (FACE::SYSTEM_TIME_TYPE)
	{
		FaceStaticAssert< sizeof(FACE::TIMEOUT_TYPE) == sizeof(CONFORMANCE_TEST::FACE::TIMEOUT_TYPE) >();
	}
	
	// This type has a one nanosecond resolution.
	// Testing FACE::TIMEOUT_TYPE type is conformant (FACE::SYSTEM_TIME_TYPE)
	FACE::TIMEOUT_TYPE var = 0;
	CONFORMANCE_TEST::FACE::TIMEOUT_TYPE cvar;
	cvar = var;
	
	return 0;
}
