
#include "common_conformance_test.hpp"
#include "user_includes.hpp"

// Static assert magic - true exists but false does not (and should not!)
template<bool> struct FaceStaticAssert;
template<> struct FaceStaticAssert<true> {};

int main(int argc, char *argv[])
{	// This type is used to represent the message range, number of messages,
	// and message type in the I/O and Transport APIs.
	// Testing FACE::MESSAGE_RANGE_TYPE size is conformant (int32_t)
	{
		FaceStaticAssert< sizeof(FACE::MESSAGE_RANGE_TYPE) == sizeof(CONFORMANCE_TEST::FACE::MESSAGE_RANGE_TYPE) >();
	}
	
	// This type is used to represent the message range, number of messages,
	// and message type in the I/O and Transport APIs.
	// Testing FACE::MESSAGE_RANGE_TYPE type is conformant (int32_t)
	FACE::MESSAGE_RANGE_TYPE var = 0;
	CONFORMANCE_TEST::FACE::MESSAGE_RANGE_TYPE cvar;
	cvar = var;
	
	return 0;
}
