
#include "common_conformance_test.hpp"
#include "user_includes.hpp"

// Static assert magic - true exists but false does not (and should not!)
template<bool> struct FaceStaticAssert;
template<> struct FaceStaticAssert<true> {};

int main(int argc, char *argv[])
{	// Testing FACE::RELIABILITY_TYPE size is conformant (enumeration)
	{
		FaceStaticAssert< sizeof(FACE::RELIABILITY_TYPE) == sizeof(CONFORMANCE_TEST::FACE::RELIABILITY_TYPE) >();
	}
	
	// FACE::RELIABILITY_TYPE enumeration test 
	FACE::RELIABILITY_TYPE var;
	
	var = FACE::RELIABLE;
	var = FACE::NON_RELIABLE;
	return 0;
}
