
#include "common_conformance_test.hpp"
#include "user_includes.hpp"

// Static assert magic - true exists but false does not (and should not!)
template<bool> struct FaceStaticAssert;
template<> struct FaceStaticAssert<true> {};

int main(int argc, char *argv[])
{	// Testing FACE::READ_WRITE_BEHAVIOR_TYPE size is conformant (enumeration)
	{
		FaceStaticAssert< sizeof(FACE::READ_WRITE_BEHAVIOR_TYPE) == sizeof(CONFORMANCE_TEST::FACE::READ_WRITE_BEHAVIOR_TYPE) >();
	}
	
	// FACE::READ_WRITE_BEHAVIOR_TYPE enumeration test 
	FACE::READ_WRITE_BEHAVIOR_TYPE var;
	
	var = FACE::QUEUING;
	var = FACE::SAMPLING;
	return 0;
}
