
/* Test12 */


/* user_includes.h is generated every test run and contains all header files */
/* specified in the configuration file for the segment under test            */
#include "user_includes.h"

/* Used to catch assertions at compile time */
#define FACE_STATIC_ASSERT(e) char face_static_assert[ e ? 1 : -1 ]

int main()
{

    /* Enumeration Conformance Test */
    {
        /* Enumeration the same size as the enumeration under test */
        typedef enum {
            FACE_GO_CONFORMANCE_TEST,
            FACE_NOGO_CONFORMANCE_TEST,
            FACE_IDLE_CONFORMANCE_TEST,
            FACE_DEGRADED_CONFORMANCE_TEST
        } FACE_IO_CONNECTION_STATUS_TYPE_CONFORMANCE_TEST;



        /* FACE_IO_CONNECTION_STATUS_TYPE size test (Enumeration)*/
        FACE_STATIC_ASSERT(sizeof(FACE_IO_CONNECTION_STATUS_TYPE) == sizeof(FACE_IO_CONNECTION_STATUS_TYPE_CONFORMANCE_TEST));
        face_static_assert[0] += 1; /* code used to avoid unused variable warning */
    }

    /* FACE_IO_CONNECTION_STATUS_TYPE test that all enumeration items exists */
    FACE_IO_CONNECTION_STATUS_TYPE var;

    var = FACE_GO;
    var = FACE_NOGO;
    var = FACE_IDLE;
    var = FACE_DEGRADED;

    (void)var;      /* code used to avoid unused variable warning */

}
