
/* Test13 */


/* user_includes.h is generated every test run and contains all header files */
/* specified in the configuration file for the segment under test            */
#include "user_includes.h"

/* Used to catch assertions at compile time */
#define FACE_STATIC_ASSERT(e) char face_static_assert[ e ? 1 : -1 ]

int main()
{

    /* struct conformance test */
    {
        /* Creating struct the same size as the struct under test */
        typedef struct {
            FACE_SYSTEM_TIME_TYPE last_message_time;
            FACE_boolean message_available;
            FACE_IO_CONNECTION_STATUS_TYPE connection_status;

        } FACE_STATUS_TYPE_CONFORMANCE_TEST;



        /* FACE_STATUS_TYPE size test (Struct)*/
        FACE_STATIC_ASSERT(sizeof(FACE_STATUS_TYPE) == sizeof(FACE_STATUS_TYPE_CONFORMANCE_TEST));
        face_static_assert[0] += 1; /* code used to avoid unused variable warning */
    }

    FACE_STATUS_TYPE var;


    /* Testing FACE_STATUS_TYPE.last_message_time is conformant */
    {
        FACE_STATIC_ASSERT(sizeof(var.last_message_time) == sizeof(FACE_SYSTEM_TIME_TYPE));
        face_static_assert[0] += 1; /* code used to avoid unused variable warning */
    }
    {
        FACE_SYSTEM_TIME_TYPE tvar = 0;
        var.last_message_time = tvar;
    }

    /* Testing FACE_STATUS_TYPE.message_available is conformant */
    {
        FACE_STATIC_ASSERT(sizeof(var.message_available) == sizeof(FACE_boolean));
        face_static_assert[0] += 1; /* code used to avoid unused variable warning */
    }
    {
        FACE_boolean tvar = 0;
        var.message_available = tvar;
    }

    /* Testing FACE_STATUS_TYPE.connection_status is conformant */
    {
        FACE_STATIC_ASSERT(sizeof(var.connection_status) == sizeof(FACE_IO_CONNECTION_STATUS_TYPE));
        face_static_assert[0] += 1; /* code used to avoid unused variable warning */
    }
    {
        FACE_IO_CONNECTION_STATUS_TYPE tvar = 0;
        var.connection_status = tvar;
    }


}
