
/* Test15 */


/* user_includes.h is generated every test run and contains all header files */
/* specified in the configuration file for the segment under test            */
#include "user_includes.h"

/* Used to catch assertions at compile time */
#define FACE_STATIC_ASSERT(e) char face_static_assert[ e ? 1 : -1 ]

int main()
{

    /* Enumeration Conformance Test */
    {
        /* Enumeration the same size as the enumeration under test */
        typedef enum {
            FACE_OPEN_CONFORMANCE_TEST,
            FACE_REGISTER_CONFORMANCE_TEST,
            FACE_READ_CONFORMANCE_TEST,
            FACE_WRITE_CONFORMANCE_TEST,
            FACE_CLOSE_CONFORMANCE_TEST,
            FACE_GET_STATUS_CONFORMANCE_TEST,
            FACE_UNREGISTER_CONFORMANCE_TEST
        } FACE_COMMAND_TYPE_CONFORMANCE_TEST;



        /* FACE_COMMAND_TYPE size test (Enumeration)*/
        FACE_STATIC_ASSERT(sizeof(FACE_COMMAND_TYPE) == sizeof(FACE_COMMAND_TYPE_CONFORMANCE_TEST));
        face_static_assert[0] += 1; /* code used to avoid unused variable warning */
    }

    /* FACE_COMMAND_TYPE test that all enumeration items exists */
    FACE_COMMAND_TYPE var;

    var = FACE_OPEN;
    var = FACE_REGISTER;
    var = FACE_READ;
    var = FACE_WRITE;
    var = FACE_CLOSE;
    var = FACE_GET_STATUS;
    var = FACE_UNREGISTER;

    (void)var;      /* code used to avoid unused variable warning */

}
