
/* Test18 */


/* user_includes.h is generated every test run and contains all header files */
/* specified in the configuration file for the segment under test            */
#include "user_includes.h"

/* Used to catch assertions at compile time */
#define FACE_STATIC_ASSERT(e) char face_static_assert[ e ? 1 : -1 ]

int main()
{

    /* Enumeration Conformance Test */
    {
        /* Enumeration the same size as the enumeration under test */
        typedef enum {
            FACE_M1553_CMD_CONFORMANCE_TEST,
            FACE_M1553_STATUS_CONFORMANCE_TEST,
            FACE_M1553_DATA_CONFORMANCE_TEST
        } FACE_M1553_WORD_TYPE_CONFORMANCE_TEST;



        /* FACE_M1553_WORD_TYPE size test (Enumeration)*/
        FACE_STATIC_ASSERT(sizeof(FACE_M1553_WORD_TYPE) == sizeof(FACE_M1553_WORD_TYPE_CONFORMANCE_TEST));
        face_static_assert[0] += 1; /* code used to avoid unused variable warning */
    }

    /* FACE_M1553_WORD_TYPE test that all enumeration items exists */
    FACE_M1553_WORD_TYPE var;

    var = FACE_M1553_CMD;
    var = FACE_M1553_STATUS;
    var = FACE_M1553_DATA;

    (void)var;      /* code used to avoid unused variable warning */

}
