
/* Test19 */


/* user_includes.h is generated every test run and contains all header files */
/* specified in the configuration file for the segment under test            */
#include "user_includes.h"

/* Used to catch assertions at compile time */
#define FACE_STATIC_ASSERT(e) char face_static_assert[ e ? 1 : -1 ]

int main()
{

    /* Enumeration Conformance Test */
    {
        /* Enumeration the same size as the enumeration under test */
        typedef enum {
            FACE_SERIAL_DEVICE_OPERATIONAL_CONFORMANCE_TEST,
            FACE_SERIAL_OVERRUN_ERROR_CONFORMANCE_TEST,
            FACE_SERIAL_PARITY_ERROR_CONFORMANCE_TEST,
            FACE_SERIAL_FRAMING_ERROR_CONFORMANCE_TEST,
            FACE_SERIAL_BREAK_ERROR_CONFORMANCE_TEST
        } FACE_SERIAL_STATUS_TYPE_CONFORMANCE_TEST;



        /* FACE_SERIAL_STATUS_TYPE size test (Enumeration)*/
        FACE_STATIC_ASSERT(sizeof(FACE_SERIAL_STATUS_TYPE) == sizeof(FACE_SERIAL_STATUS_TYPE_CONFORMANCE_TEST));
        face_static_assert[0] += 1; /* code used to avoid unused variable warning */
    }

    /* FACE_SERIAL_STATUS_TYPE test that all enumeration items exists */
    FACE_SERIAL_STATUS_TYPE var;

    var = FACE_SERIAL_DEVICE_OPERATIONAL;
    var = FACE_SERIAL_OVERRUN_ERROR;
    var = FACE_SERIAL_PARITY_ERROR;
    var = FACE_SERIAL_FRAMING_ERROR;
    var = FACE_SERIAL_BREAK_ERROR;

    (void)var;      /* code used to avoid unused variable warning */

}
