
/* Test15 */


/* user_includes.h is generated every test run and contains all header files */
/* specified in the configuration file for the segment under test            */
#include "user_includes.h"

/* Used to catch assertions at compile time */
#define FACE_STATIC_ASSERT(e) char face_static_assert[ e ? 1 : -1 ]

int main()
{

    /* Enumeration Conformance Test */
    {
        /* Enumeration the same size as the enumeration under test */
        typedef enum {
            FACE_HMFM_DEADLINE_MISSED_CONFORMANCE_TEST,
            FACE_HMFM_APPLICATION_ERROR_CONFORMANCE_TEST,
            FACE_HMFM_NUMERIC_ERROR_CONFORMANCE_TEST,
            FACE_HMFM_ILLEGAL_REQUEST_CONFORMANCE_TEST,
            FACE_HMFM_STACK_OVERFLOW_CONFORMANCE_TEST,
            FACE_HMFM_MEMORY_VIOLATION_CONFORMANCE_TEST,
            FACE_HMFM_HARDWARE_FAULT_CONFORMANCE_TEST,
            FACE_HMFM_POWER_FAIL_CONFORMANCE_TEST
        } FACE_HMFM_FAULT_CODE_TYPE_CONFORMANCE_TEST;



        /* FACE_HMFM_FAULT_CODE_TYPE size test (Enumeration)*/
        FACE_STATIC_ASSERT(sizeof(FACE_HMFM_FAULT_CODE_TYPE) == sizeof(FACE_HMFM_FAULT_CODE_TYPE_CONFORMANCE_TEST));
        face_static_assert[0] += 1; /* code used to avoid unused variable warning */
    }

    /* FACE_HMFM_FAULT_CODE_TYPE test that all enumeration items exists */
    FACE_HMFM_FAULT_CODE_TYPE var;

    var = FACE_HMFM_DEADLINE_MISSED;
    var = FACE_HMFM_APPLICATION_ERROR;
    var = FACE_HMFM_NUMERIC_ERROR;
    var = FACE_HMFM_ILLEGAL_REQUEST;
    var = FACE_HMFM_STACK_OVERFLOW;
    var = FACE_HMFM_MEMORY_VIOLATION;
    var = FACE_HMFM_HARDWARE_FAULT;
    var = FACE_HMFM_POWER_FAIL;

    (void)var;      /* code used to avoid unused variable warning */

}
