
/* Test16 */


/* user_includes.h is generated every test run and contains all header files */
/* specified in the configuration file for the segment under test            */
#include "user_includes.h"

/* Used to catch assertions at compile time */
#define FACE_STATIC_ASSERT(e) char face_static_assert[ e ? 1 : -1 ]

int main()
{

    /* struct conformance test */
    {
        /* Creating struct the same size as the struct under test */
        typedef struct {
            FACE_HMFM_FAULT_CODE_TYPE CODE;
            FACE_HMFM_FAULT_MESSAGE_TYPE MESSAGE;
            FACE_HMFM_FAULT_MESSAGE_SIZE_TYPE LENGTH;
            FACE_HMFM_THREAD_ID_TYPE FAILED_THREAD_ID;
            FACE_SYSTEM_ADDRESS_TYPE FAILED_ADDRESS;

        } FACE_HMFM_FAULT_STATUS_TYPE_CONFORMANCE_TEST;



        /* FACE_HMFM_FAULT_STATUS_TYPE size test (Struct)*/
        FACE_STATIC_ASSERT(sizeof(FACE_HMFM_FAULT_STATUS_TYPE) == sizeof(FACE_HMFM_FAULT_STATUS_TYPE_CONFORMANCE_TEST));
        face_static_assert[0] += 1; /* code used to avoid unused variable warning */
    }

    FACE_HMFM_FAULT_STATUS_TYPE var;


    /* Testing FACE_HMFM_FAULT_STATUS_TYPE.CODE is conformant */
    {
        FACE_STATIC_ASSERT(sizeof(var.CODE) == sizeof(FACE_HMFM_FAULT_CODE_TYPE));
        face_static_assert[0] += 1; /* code used to avoid unused variable warning */
    }
    {
        FACE_HMFM_FAULT_CODE_TYPE tvar = 0;
        var.CODE = tvar;
    }

    /* Testing FACE_HMFM_FAULT_STATUS_TYPE.MESSAGE is conformant */
    {
        FACE_STATIC_ASSERT(sizeof(var.MESSAGE) == sizeof(FACE_HMFM_FAULT_MESSAGE_TYPE));
        face_static_assert[0] += 1; /* code used to avoid unused variable warning */
    }


    /* Testing FACE_HMFM_FAULT_STATUS_TYPE.LENGTH is conformant */
    {
        FACE_STATIC_ASSERT(sizeof(var.LENGTH) == sizeof(FACE_HMFM_FAULT_MESSAGE_SIZE_TYPE));
        face_static_assert[0] += 1; /* code used to avoid unused variable warning */
    }
    {
        FACE_HMFM_FAULT_MESSAGE_SIZE_TYPE tvar = 0;
        var.LENGTH = tvar;
    }

    /* Testing FACE_HMFM_FAULT_STATUS_TYPE.FAILED_THREAD_ID is conformant */
    {
        FACE_STATIC_ASSERT(sizeof(var.FAILED_THREAD_ID) == sizeof(FACE_HMFM_THREAD_ID_TYPE));
        face_static_assert[0] += 1; /* code used to avoid unused variable warning */
    }
    {
        FACE_HMFM_THREAD_ID_TYPE tvar = 0;
        var.FAILED_THREAD_ID = tvar;
    }

    /* Testing FACE_HMFM_FAULT_STATUS_TYPE.FAILED_ADDRESS is conformant */
    {
        FACE_STATIC_ASSERT(sizeof(var.FAILED_ADDRESS) == sizeof(FACE_SYSTEM_ADDRESS_TYPE));
        face_static_assert[0] += 1; /* code used to avoid unused variable warning */
    }
    {
        FACE_SYSTEM_ADDRESS_TYPE tvar = 0;
        var.FAILED_ADDRESS = tvar;
    }


}
