
/* Test12 */


/* user_includes.h is generated every test run and contains all header files */
/* specified in the configuration file for the segment under test            */
#include "user_includes.h"

/* Used to catch assertions at compile time */
#define FACE_STATIC_ASSERT(e) char face_static_assert[ e ? 1 : -1 ]

int main()
{

    /* Enumeration Conformance Test */
    {
        /* Enumeration the same size as the enumeration under test */
        typedef enum {
            FACE_SOURCE_CONFORMANCE_TEST,
            FACE_DESTINATION_CONFORMANCE_TEST,
            FACE_BI_DIRECTIONAL_CONFORMANCE_TEST,
            FACE_ONE_WAY_REQUEST_SOURCE_CONFORMANCE_TEST,
            FACE_ONE_WAY_REQUEST_DESTINATION_CONFORMANCE_TEST,
            FACE_TWO_WAY_REQUEST_SYNCHRONOUS_SOURCE_CONFORMANCE_TEST,
            FACE_TWO_WAY_REQUEST_SYNCHRONOUS_DESTINATION_CONFORMANCE_TEST,
            FACE_TWO_WAY_REQUEST_REPLY_ASYNCHRONOUS_SOURCE_CONFORMANCE_TEST,
            FACE_TWO_WAY_REQUEST_REPLY_ASYNCHRONOUS_DESTINATION_CONFORMANCE_TEST,
            FACE_NOT_DEFINED_CONNECTION_DIRECTION_TYPE_CONFORMANCE_TEST
        } FACE_CONNECTION_DIRECTION_TYPE_CONFORMANCE_TEST;



        /* FACE_CONNECTION_DIRECTION_TYPE size test (Enumeration)*/
        FACE_STATIC_ASSERT(sizeof(FACE_CONNECTION_DIRECTION_TYPE) == sizeof(FACE_CONNECTION_DIRECTION_TYPE_CONFORMANCE_TEST));
        face_static_assert[0] += 1; /* code used to avoid unused variable warning */
    }

    /* FACE_CONNECTION_DIRECTION_TYPE test that all enumeration items exists */
    FACE_CONNECTION_DIRECTION_TYPE var;

    var = FACE_SOURCE;
    var = FACE_DESTINATION;
    var = FACE_BI_DIRECTIONAL;
    var = FACE_ONE_WAY_REQUEST_SOURCE;
    var = FACE_ONE_WAY_REQUEST_DESTINATION;
    var = FACE_TWO_WAY_REQUEST_SYNCHRONOUS_SOURCE;
    var = FACE_TWO_WAY_REQUEST_SYNCHRONOUS_DESTINATION;
    var = FACE_TWO_WAY_REQUEST_REPLY_ASYNCHRONOUS_SOURCE;
    var = FACE_TWO_WAY_REQUEST_REPLY_ASYNCHRONOUS_DESTINATION;
    var = FACE_NOT_DEFINED_CONNECTION_DIRECTION_TYPE;

    (void)var;      /* code used to avoid unused variable warning */

}
