
/* Test15 */


/* user_includes.h is generated every test run and contains all header files */
/* specified in the configuration file for the segment under test            */
#include "user_includes.h"

/* Used to catch assertions at compile time */
#define FACE_STATIC_ASSERT(e) char face_static_assert[ e ? 1 : -1 ]

int main()
{

    /* Enumeration Conformance Test */
    {
        /* Enumeration the same size as the enumeration under test */
        typedef enum {
            FACE_SAMPLING_PORT_CONFORMANCE_TEST,
            FACE_QUEUING_PORT_CONFORMANCE_TEST,
            FACE_SOCKET_CONFORMANCE_TEST,
            FACE_MQ_CONFORMANCE_TEST,
            FACE_SHM_CONFORMANCE_TEST,
            FACE_CORBA_CONFORMANCE_TEST,
            FACE_DDS_CONFORMANCE_TEST
        } FACE_CONNECTION_TYPE_CONFORMANCE_TEST;



        /* FACE_CONNECTION_TYPE size test (Enumeration)*/
        FACE_STATIC_ASSERT(sizeof(FACE_CONNECTION_TYPE) == sizeof(FACE_CONNECTION_TYPE_CONFORMANCE_TEST));
        face_static_assert[0] += 1; /* code used to avoid unused variable warning */
    }

    /* FACE_CONNECTION_TYPE test that all enumeration items exists */
    FACE_CONNECTION_TYPE var;

    var = FACE_SAMPLING_PORT;
    var = FACE_QUEUING_PORT;
    var = FACE_SOCKET;
    var = FACE_MQ;
    var = FACE_SHM;
    var = FACE_CORBA;
    var = FACE_DDS;

    (void)var;      /* code used to avoid unused variable warning */

}
