
/* Test22 */


/* user_includes.h is generated every test run and contains all header files */
/* specified in the configuration file for the segment under test            */
#include "user_includes.h"

/* Used to catch assertions at compile time */
#define FACE_STATIC_ASSERT(e) char face_static_assert[ e ? 1 : -1 ]

int main()
{

    /* Enumeration Conformance Test */
    {
        /* Enumeration the same size as the enumeration under test */
        typedef enum {
            FACE_INVALID_CONFORMANCE_TEST,
            FACE_VALID_CONFORMANCE_TEST
        } FACE_VALIDITY_TYPE_CONFORMANCE_TEST;



        /* FACE_VALIDITY_TYPE size test (Enumeration)*/
        FACE_STATIC_ASSERT(sizeof(FACE_VALIDITY_TYPE) == sizeof(FACE_VALIDITY_TYPE_CONFORMANCE_TEST));
        face_static_assert[0] += 1; /* code used to avoid unused variable warning */
    }

    /* FACE_VALIDITY_TYPE test that all enumeration items exists */
    FACE_VALIDITY_TYPE var;

    var = FACE_INVALID;
    var = FACE_VALID;

    (void)var;      /* code used to avoid unused variable warning */

}
