
/* Test23 */


/* user_includes.h is generated every test run and contains all header files */
/* specified in the configuration file for the segment under test            */
#include "user_includes.h"

/* Used to catch assertions at compile time */
#define FACE_STATIC_ASSERT(e) char face_static_assert[ e ? 1 : -1 ]

int main()
{

    /* Enumeration Conformance Test */
    {
        /* Enumeration the same size as the enumeration under test */
        typedef enum {
            FACE_PUB_SUB_CONFORMANCE_TEST,
            FACE_CLIENT_CONFORMANCE_TEST,
            FACE_SERVER_CONFORMANCE_TEST
        } FACE_MESSAGING_PATTERN_TYPE_CONFORMANCE_TEST;



        /* FACE_MESSAGING_PATTERN_TYPE size test (Enumeration)*/
        FACE_STATIC_ASSERT(sizeof(FACE_MESSAGING_PATTERN_TYPE) == sizeof(FACE_MESSAGING_PATTERN_TYPE_CONFORMANCE_TEST));
        face_static_assert[0] += 1; /* code used to avoid unused variable warning */
    }

    /* FACE_MESSAGING_PATTERN_TYPE test that all enumeration items exists */
    FACE_MESSAGING_PATTERN_TYPE var;

    var = FACE_PUB_SUB;
    var = FACE_CLIENT;
    var = FACE_SERVER;

    (void)var;      /* code used to avoid unused variable warning */

}
