
/* Test31 */


/* user_includes.h is generated every test run and contains all header files */
/* specified in the configuration file for the segment under test            */
#include "user_includes.h"

/* Used to catch assertions at compile time */
#define FACE_STATIC_ASSERT(e) char face_static_assert[ e ? 1 : -1 ]

int main()
{

    typedef void (*CONFORMANCE_TEST_send_event_ptr) (
            /* in     */ FACE_TRANSACTION_ID_TYPE transaction_id,
            /* in out */ void  *message,
            /* in     */ FACE_MESSAGE_TYPE_GUID message_type_id,
            /* in     */ FACE_MESSAGE_SIZE_TYPE message_size,
            /* in     */ FACE_WAITSET_TYPE waitset,
            /*    out */ FACE_RETURN_CODE_TYPE *return_code
        );


    /* Function Signature Conformance Test */
    void (*FACE_TypeAbstractionTS_Register_Callback_TEST_PTR) (
        /* in     */ FACE_CONNECTION_ID_TYPE connection_id,
        /* in     */ FACE_WAITSET_TYPE waitset,
        /* in out */ CONFORMANCE_TEST_send_event_ptr data_callback,
        /* in     */ FACE_MESSAGE_SIZE_TYPE max_message_size,
        /*    out */ FACE_RETURN_CODE_TYPE *return_code
        ) = FACE_TypeAbstractionTS_Register_Callback;


}
