-- ---------------------------------------------------------------------------
-- --
-- TIME constant and type definitions and management services --
-- --
-- ---------------------------------------------------------------------------
package Apex.Timing is
   procedure Timed_Wait
     (Delay_Time : in System_Time_Type;
      Return_Code : out Return_Code_Type);
   procedure Periodic_Wait (Return_Code : out Return_Code_Type);
   procedure Get_Time
     (System_Time : out System_Time_Type;
      Return_Code : out Return_Code_Type);
   procedure Replenish
     (Budget_Time : in System_Time_Type;
      Return_Code : out Return_Code_Type);
end Apex.Timing;
