/************************************************************************************
 * Copyright (c) Vanderbilt University, 2020                                        *
 *                                                                                  *
 * ALL RIGHTS RESERVED, UNLESS OTHERWISE STATED                                     *
 *                                                                                  *
 * This software, authored by Vanderbilt University under a contract awarded to and *
 * managed by Alion Science and Technology, was funded by the U.S. Government under *
 * Contract No. FA8075-14-D-0014 and the U.S. Government has unlimited rights in    *
 * this software.  An unlimited rights license means that the U.S. Government can   *
 * use, modify, reproduce, release or disclose computer software in whole or in     *
 * part, in any manner, and for any purpose whatsoever, and to have or authorize    *
 * others to do so.                                                                 *
 *                                                                                  *
 * Vanderbilt University disclaims all warranties with regard to this software,     *
 * including all implied warranties of merchantability and fitness. In no event     *
 * shall Vanderbilt University be liable for any special, indirect or consequential *
 * damages or any damages whatsoever resulting from loss of use, data or profits,   *
 * whether in an action of contract, negligence or other tortious action, arising   *
 * out of or in connection with the use or performance of this software.            *
 *                                                                                  *
 * May contain products produced under DoD SENSIAC contract HC104705D4000 under the *
 * sponsorship of the Defense Technical Information Center,                         *
 * ATTN: DTIC-AI, 8723 John J. Kingman Rd., Ste 0944, Fort Belvoir, VA 22060-6218.  *
 * SENSIAC is a DoD Information Analysis Center Sponsored by the Defense Technical  *
 * Information Center.                                                              *
 *                                                                                  *
 * Conformance Test Suite Version 2.1.1r9 supporting FACE Standard Version 2.1.1    *
 *                                                                                  *
 * This file is generated and may be overwritten.                                   *
 *                                                                                  *
 * Release Date: 29-Aug-2023                                                        *
 ************************************************************************************/

#include "GLES2/gl2.h"

void glActiveTexture(GLenum var0)
{
    return;
}
void glAttachShader(GLuint var0, GLuint var1)
{
    return;
}
void glBindAttribLocation(GLuint var0, GLuint var1, const GLchar* var2)
{
    return;
}
void glBindBuffer(GLenum var0, GLuint var1)
{
    return;
}
void glBindFramebuffer(GLenum var0, GLuint var1)
{
    return;
}
void glBindRenderbuffer(GLenum var0, GLuint var1)
{
    return;
}
void glBindTexture(GLenum var0, GLuint var1)
{
    return;
}
void glBlendColor(GLfloat var0, GLfloat var1, GLfloat var2, GLfloat var3)
{
    return;
}
void glBlendEquation(GLenum var0)
{
    return;
}
void glBlendEquationSeparate(GLenum var0, GLenum var1)
{
    return;
}
void glBlendFunc(GLenum var0, GLenum var1)
{
    return;
}
void glBlendFuncSeparate(GLenum var0, GLenum var1, GLenum var2, GLenum var3)
{
    return;
}
void glBufferData(GLenum var0, GLsizeiptr var1, const void* var2, GLenum var3)
{
    return;
}
void glBufferSubData(GLenum var0, GLintptr var1, GLsizeiptr var2, const void* var3)
{
    return;
}
GLenum glCheckFramebufferStatus(GLenum var0)
{
    GLenum* __face_conform_abc = 0;
    return *__face_conform_abc;
}
void glClear(GLbitfield var0)
{
    return;
}
void glClearColor(GLfloat var0, GLfloat var1, GLfloat var2, GLfloat var3)
{
    return;
}
void glClearDepthf(GLfloat var0)
{
    return;
}
void glClearStencil(GLint var0)
{
    return;
}
void glColorMask(GLboolean var0, GLboolean var1, GLboolean var2, GLboolean var3)
{
    return;
}
void glCompileShader(GLuint var0)
{
    return;
}
void glCompressedTexImage2D(GLenum var0, GLint var1, GLenum var2, GLsizei var3, GLsizei var4, GLint var5, GLsizei var6, const void* var7)
{
    return;
}
void glCompressedTexSubImage2D(GLenum var0, GLint var1, GLint var2, GLint var3, GLsizei var4, GLsizei var5, GLenum var6, GLsizei var7, const void* var8)
{
    return;
}
void glCopyTexImage2D(GLenum var0, GLint var1, GLenum var2, GLint var3, GLint var4, GLsizei var5, GLsizei var6, GLint var7)
{
    return;
}
void glCopyTexSubImage2D(GLenum var0, GLint var1, GLint var2, GLint var3, GLint var4, GLint var5, GLsizei var6, GLsizei var7)
{
    return;
}
GLuint glCreateProgram()
{
    GLuint* __face_conform_abc = 0;
    return *__face_conform_abc;
}
GLuint glCreateShader(GLenum var0)
{
    GLuint* __face_conform_abc = 0;
    return *__face_conform_abc;
}
void glCullFace(GLenum var0)
{
    return;
}
void glDeleteBuffers(GLsizei var0, const GLuint* var1)
{
    return;
}
void glDeleteFramebuffers(GLsizei var0, const GLuint* var1)
{
    return;
}
void glDeleteProgram(GLuint var0)
{
    return;
}
void glDeleteRenderbuffers(GLsizei var0, const GLuint* var1)
{
    return;
}
void glDeleteShader(GLuint var0)
{
    return;
}
void glDeleteTextures(GLsizei var0, const GLuint* var1)
{
    return;
}
void glDepthFunc(GLenum var0)
{
    return;
}
void glDepthMask(GLboolean var0)
{
    return;
}
void glDepthRangef(GLfloat var0, GLfloat var1)
{
    return;
}
void glDetachShader(GLuint var0, GLuint var1)
{
    return;
}
void glDisable(GLenum var0)
{
    return;
}
void glDisableVertexAttribArray(GLuint var0)
{
    return;
}
void glDrawArrays(GLenum var0, GLint var1, GLsizei var2)
{
    return;
}
void glDrawElements(GLenum var0, GLsizei var1, GLenum var2, const void* var3)
{
    return;
}
void glEnable(GLenum var0)
{
    return;
}
void glEnableVertexAttribArray(GLuint var0)
{
    return;
}
void glFinish()
{
    return;
}
void glFlush()
{
    return;
}
void glFramebufferRenderbuffer(GLenum var0, GLenum var1, GLenum var2, GLuint var3)
{
    return;
}
void glFramebufferTexture2D(GLenum var0, GLenum var1, GLenum var2, GLuint var3, GLint var4)
{
    return;
}
void glFrontFace(GLenum var0)
{
    return;
}
void glGenBuffers(GLsizei var0, GLuint* var1)
{
    return;
}
void glGenerateMipmap(GLenum var0)
{
    return;
}
void glGenFramebuffers(GLsizei var0, GLuint* var1)
{
    return;
}
void glGenRenderbuffers(GLsizei var0, GLuint* var1)
{
    return;
}
void glGenTextures(GLsizei var0, GLuint* var1)
{
    return;
}
void glGetActiveAttrib(GLuint var0, GLuint var1, GLsizei var2, GLsizei* var3, GLint* var4, GLenum* var5, GLchar var6)
{
    return;
}
void glGetActiveUniform(GLuint var0, GLuint var1, GLsizei var2, GLsizei* var3, GLint* var4, GLenum* var5, GLchar var6)
{
    return;
}
void glGetAttachedShaders(GLuint var0, GLsizei var1, GLsizei  * var2, GLuint * var3)
{
    return;
}
void glGetAttribLocation(GLuint var0, const GLchar* var1)
{
    return;
}
void glGetBooleanv(GLenum var0, GLboolean* var1)
{
    return;
}
void glGetBufferParameteriv(GLenum var0, GLenum var1, GLint* var2)
{
    return;
}
GLenum glGetError()
{
    GLenum* __face_conform_abc = 0;
    return *__face_conform_abc;
}
void glGetFloatv(GLenum var0, GLfloat* var1)
{
    return;
}
void glGetFramebufferAttachmentParameteriv(GLenum var0, GLenum var1, GLenum var2, GLint* var3)
{
    return;
}
void glGetIntegerv(GLenum var0, GLint* var1)
{
    return;
}
void glGetProgramiv(GLuint var0, GLenum var1, GLint* var2)
{
    return;
}
void glGetProgramInfoLog(GLuint var0, GLsizei var1, GLsizei* var2, GLchar* var3)
{
    return;
}
void glGetRenderbufferParameteriv(GLenum var0, GLenum var1, GLint* var2)
{
    return;
}
void glGetShaderiv(GLuint var0, GLenum var1, GLint* var2)
{
    return;
}
void glGetShaderInfoLog(GLuint var0, GLsizei var1, GLsizei* var2, GLchar* var3)
{
    return;
}
void glGetShaderPrecisionFormat(GLenum var0, GLenum var1, GLint* var2, GLint* var3)
{
    return;
}
void glGetShaderSource(GLuint var0, GLsizei var1, GLsizei* var2, GLchar* var3)
{
    return;
}
const GLubyte* glGetString(GLenum var0)
{
    const GLubyte* __face_conform_abc = 0;
    return __face_conform_abc;
}
void glGetTexParameterfv(GLenum var0, GLenum var1, GLfloat* var2)
{
    return;
}
void glGetTexParameteriv(GLenum var0, GLenum var1, GLint* var2)
{
    return;
}
void glGetUniformfv(GLuint var0, GLint var1, GLfloat* var2)
{
    return;
}
void glGetUniformiv(GLuint var0, GLint var1, GLint* var2)
{
    return;
}
GLint glGetUniformLocation(GLuint var0, const GLchar* var1)
{
    GLint* __face_conform_abc = 0;
    return *__face_conform_abc;
}
void glGetVertexAttribfv(GLuint var0, GLenum var1, GLfloat* var2)
{
    return;
}
void glGetVertexAttribiv(GLuint var0, GLenum var1, GLint* var2)
{
    return;
}
void glGetVertexAttribPointerv(GLuint var0, GLenum var1, void** var2)
{
    return;
}
void glHint(GLenum var0, GLenum var1)
{
    return;
}
GLboolean glIsBuffer(GLuint var0)
{
    GLboolean* __face_conform_abc = 0;
    return *__face_conform_abc;
}
GLboolean glIsEnabled(GLenum var0)
{
    GLboolean* __face_conform_abc = 0;
    return *__face_conform_abc;
}
GLboolean glIsFramebuffer(GLuint var0)
{
    GLboolean* __face_conform_abc = 0;
    return *__face_conform_abc;
}
GLboolean glIsProgram(GLuint var0)
{
    GLboolean* __face_conform_abc = 0;
    return *__face_conform_abc;
}
GLboolean glIsRenderbuffer(GLuint var0)
{
    GLboolean* __face_conform_abc = 0;
    return *__face_conform_abc;
}
GLboolean glIsShader(GLuint var0)
{
    GLboolean* __face_conform_abc = 0;
    return *__face_conform_abc;
}
GLboolean glIsTexture(GLuint var0)
{
    GLboolean* __face_conform_abc = 0;
    return *__face_conform_abc;
}
void glLineWidth(GLfloat var0)
{
    return;
}
void glLinkProgram(GLuint var0)
{
    return;
}
void glPixelStorei(GLenum var0, GLint var1)
{
    return;
}
void glPolygonOffset(GLfloat var0, GLfloat var1)
{
    return;
}
void glReadPixels(GLint var0, GLint var1, GLsizei var2, GLsizei var3, GLenum var4, GLenum var5, void* var6)
{
    return;
}
void glReleaseShaderCompiler()
{
    return;
}
void glRenderbufferStorage(GLenum var0, GLenum var1, GLsizei var2, GLsizei var3)
{
    return;
}
void glSampleCoverage(GLfloat var0, GLboolean var1)
{
    return;
}
void glScissor(GLint var0, GLint var1, GLsizei var2, GLsizei var3)
{
    return;
}
void glShaderBinary(GLsizei var0, const GLuint* var1, GLenum var2, const void* var3, GLsizei var4)
{
    return;
}
void glShaderSource(GLuint var0, GLsizei var1, const GLchar*const* var2, const GLint* var3)
{
    return;
}
void glStencilFunc(GLenum var0, GLint var1, GLuint var2)
{
    return;
}
void glStencilFuncSeparate(GLenum var0, GLenum var1, GLint var2, GLuint var3)
{
    return;
}
void glStencilMask(GLuint var0)
{
    return;
}
void glStencilMaskSeparate(GLenum var0, GLuint var1)
{
    return;
}
void glStencilOp(GLenum var0, GLenum var1, GLenum var2)
{
    return;
}
void glStencilOpSeparate(GLenum var0, GLenum var1, GLenum var2, GLenum var3)
{
    return;
}
void glTexImage2D(GLenum var0, GLint var1, GLsizei var2, GLsizei var3, GLsizei var4, GLint var5, GLenum var6, GLenum var7, const void* var8)
{
    return;
}
void glTexParameterf(GLenum var0, GLenum var1, GLfloat var2)
{
    return;
}
void glTexParameterfv(GLenum var0, GLenum var1, const GLfloat* var2)
{
    return;
}
void glTexParameteri(GLenum var0, GLenum var1, GLint var2)
{
    return;
}
void glTexParameteriv(GLenum var0, GLenum var1, const GLint* var2)
{
    return;
}
void glTexSubImage2D(GLenum var0, GLint var1, GLint var2, GLint var3, GLsizei var4, GLsizei var5, GLenum var6, GLenum var7, const void* var8)
{
    return;
}
void glUniform1f(GLint var0, GLfloat var1)
{
    return;
}
void glUniform1fv(GLint var0, GLsizei var1, const GLfloat* var2)
{
    return;
}
void glUniform1i(GLint var0, GLint var1)
{
    return;
}
void glUniform1iv(GLint var0, GLsizei var1, const GLint* var2)
{
    return;
}
void glUniform2f(GLint var0, GLfloat var1, GLfloat var2)
{
    return;
}
void glUniform2fv(GLint var0, GLsizei var1, const GLfloat* var2)
{
    return;
}
void glUniform2i(GLint var0, GLint var1, GLint var2)
{
    return;
}
void glUniform2iv(GLint var0, GLsizei var1, const GLint* var2)
{
    return;
}
void glUniform3f(GLint var0, GLfloat var1, GLfloat var2, GLfloat var3)
{
    return;
}
void glUniform3fv(GLint var0, GLsizei var1, const GLfloat* var2)
{
    return;
}
void glUniform3i(GLint var0, GLint var1, GLint var2, GLint var3)
{
    return;
}
void glUniform3iv(GLint var0, GLsizei var1, const GLint* var2)
{
    return;
}
void glUniform4f(GLint var0, GLfloat var1, GLfloat var2, GLfloat var3, GLfloat var4)
{
    return;
}
void glUniform4fv(GLint var0, GLsizei var1, const GLfloat* var2)
{
    return;
}
void glUniform4i(GLint var0, GLint var1, GLint var2, GLint var3, GLint var4)
{
    return;
}
void glUniform4iv(GLint var0, GLsizei var1, const GLint* var2)
{
    return;
}
void glUniformMatrix2fv(GLint var0, GLsizei var1, GLboolean var2, const GLfloat* var3)
{
    return;
}
void glUniformMatrix3fv(GLint var0, GLsizei var1, GLboolean var2, const GLfloat* var3)
{
    return;
}
void glUniformMatrix4fv(GLint var0, GLsizei var1, GLboolean var2, const GLfloat* var3)
{
    return;
}
void glUseProgram(GLuint var0)
{
    return;
}
void glValidateProgram(GLuint var0)
{
    return;
}
void glVertexAttrib1f(GLuint var0, GLfloat var1)
{
    return;
}
void glVertexAttrib1fv(GLuint var0, const GLfloat* var1)
{
    return;
}
void glVertexAttrib2f(GLuint var0, GLfloat var1, GLfloat var2)
{
    return;
}
void glVertexAttrib2fv(GLuint var0, const GLfloat* var1)
{
    return;
}
void glVertexAttrib3f(GLuint var0, GLfloat var1, GLfloat var2, GLfloat var3)
{
    return;
}
void glVertexAttrib3fv(GLuint var0, const GLfloat* var1)
{
    return;
}
void glVertexAttrib4f(GLuint var0, GLfloat var1, GLfloat var2, GLfloat var3, GLfloat var4)
{
    return;
}
void glVertexAttrib4fv(GLuint var0, const GLfloat* var1)
{
    return;
}
void glVertexAttribPointer(GLuint var0, GLint var1, GLenum var2, GLboolean var3, GLsizei var4, const void* var5)
{
    return;
}
void glViewport(GLint var0, GLint var1, GLsizei var2, GLsizei var3)
{
    return;
}
