/************************************************************************************
 * Copyright (c) Vanderbilt University, 2020                                        *
 *                                                                                  *
 * ALL RIGHTS RESERVED, UNLESS OTHERWISE STATED                                     *
 *                                                                                  *
 * This software, authored by Vanderbilt University under a contract awarded to and *
 * managed by Alion Science and Technology, was funded by the U.S. Government under *
 * Contract No. FA8075-14-D-0014 and the U.S. Government has unlimited rights in    *
 * this software.  An unlimited rights license means that the U.S. Government can   *
 * use, modify, reproduce, release or disclose computer software in whole or in     *
 * part, in any manner, and for any purpose whatsoever, and to have or authorize    *
 * others to do so.                                                                 *
 *                                                                                  *
 * Vanderbilt University disclaims all warranties with regard to this software,     *
 * including all implied warranties of merchantability and fitness. In no event     *
 * shall Vanderbilt University be liable for any special, indirect or consequential *
 * damages or any damages whatsoever resulting from loss of use, data or profits,   *
 * whether in an action of contract, negligence or other tortious action, arising   *
 * out of or in connection with the use or performance of this software.            *
 *                                                                                  *
 * May contain products produced under DoD SENSIAC contract HC104705D4000 under the *
 * sponsorship of the Defense Technical Information Center,                         *
 * ATTN: DTIC-AI, 8723 John J. Kingman Rd., Ste 0944, Fort Belvoir, VA 22060-6218.  *
 * SENSIAC is a DoD Information Analysis Center Sponsored by the Defense Technical  *
 * Information Center.                                                              *
 *                                                                                  *
 * Conformance Test Suite Version 2.1.1r9 supporting FACE Standard Version 2.1.1    *
 *                                                                                  *
 * This file is generated and may be overwritten.                                   *
 *                                                                                  *
 * Release Date: 29-Aug-2023                                                        *
 ************************************************************************************/

#include "GL/gl.h"

void glActiveTexture(GLenum var0)
{
    return;
}
void glAlphaFunc(GLenum var0, GLclampf var1)
{
    return;
}
void glBegin(GLenum var0)
{
    return;
}
void glBindTexture(GLenum var0, GLuint var1)
{
    return;
}
void glBitmap(GLsizei var0, GLsizei var1, GLfloat var2, GLfloat var3, GLfloat var4, GLfloat var5, const GLubyte* var6)
{
    return;
}
void glBlendFunc(GLenum var0, GLenum var1)
{
    return;
}
void glCallLists(GLsizei var0, GLenum var1, const GLvoid* var2)
{
    return;
}
void glClear(GLbitfield var0)
{
    return;
}
void glClearColor(GLclampf var0, GLclampf var1, GLclampf var2, GLclampf var3)
{
    return;
}
void glClearDepthf(GLclampf var0)
{
    return;
}
void glClearStencil(GLint var0)
{
    return;
}
void glClientActiveTexture(GLenum var0)
{
    return;
}
void glColor4f(GLfloat var0, GLfloat var1, GLfloat var2, GLfloat var3)
{
    return;
}
void glColor4fv(const GLfloat* var0)
{
    return;
}
void glColor4ub(GLubyte var0, GLubyte var1, GLubyte var2, GLubyte var3)
{
    return;
}
void glColorMask(GLboolean var0, GLboolean var1, GLboolean var2, GLboolean var3)
{
    return;
}
void glColorPointer(GLint var0, GLenum var1, GLsizei var2, const GLvoid* var3)
{
    return;
}
void glColorSubTableEXT(GLenum var0, GLsizei var1, GLsizei var2, GLenum var3, GLenum var4, const GLvoid* var5)
{
    return;
}
void glCopyPixels(GLint var0, GLint var1, GLsizei var2, GLsizei var3, GLenum var4)
{
    return;
}
void glCullFace(GLenum var0)
{
    return;
}
void glDepthFunc(GLenum var0)
{
    return;
}
void glDepthMask(GLboolean var0)
{
    return;
}
void glDepthRangef(GLclampf var0, GLclampf var1)
{
    return;
}
void glDisable(GLenum var0)
{
    return;
}
void glDisableClientState(GLenum var0)
{
    return;
}
void glDrawArrays(GLenum var0, GLint var1, GLsizei var2)
{
    return;
}
void glDrawElements(GLenum var0, GLsizei var1, GLenum var2, const GLvoid* var3)
{
    return;
}
void glDrawPixels(GLsizei var0, GLsizei var1, GLenum var2, GLenum var3, const GLvoid* var4)
{
    return;
}
void glEnable(GLenum var0)
{
    return;
}
void glEnableClientState(GLenum var0)
{
    return;
}
void glEnd()
{
    return;
}
void glEndList()
{
    return;
}
void glFinish()
{
    return;
}
void glFlush()
{
    return;
}
void glFrontFace(GLenum var0)
{
    return;
}
void glFrustumf(GLfloat var0, GLfloat var1, GLfloat var2, GLfloat var3, GLfloat var4, GLfloat var5)
{
    return;
}
GLuint glGenLists(GLsizei var0)
{
    GLuint* __face_conform_abc = 0;
    return *__face_conform_abc;
}
void glGenTextures(GLsizei var0, GLuint* var1)
{
    return;
}
GLenum glGetError()
{
    GLenum* __face_conform_abc = 0;
    return *__face_conform_abc;
}
void glGetBooleanv(GLenum var0, GLboolean* var1)
{
    return;
}
void glGetColorTableExt(GLenum var0, GLenum var1, GLenum var2, GLvoid* var3)
{
    return;
}
void glGetColorTableParameterivEXT(GLenum var0, GLenum var1, GLint* var2)
{
    return;
}
void glGetFloatv(GLenum var0, GLfloat* var1)
{
    return;
}
void glGetIntegerv(GLenum var0, GLint* var1)
{
    return;
}
void glGetLightfv(GLenum var0, GLenum var1, GLfloat* var2)
{
    return;
}
void glGetMaterialfv(GLenum var0, GLenum var1, GLfloat* var2)
{
    return;
}
void glGetPointerv(GLenum var0, GLvoid* var1)
{
    return;
}
void glGetPolygonStipple(GLubyte* var0)
{
    return;
}
void glGetTexEnvfv(GLenum var0, GLenum var1, GLfloat* var2)
{
    return;
}
void glGetTexEnviv(GLenum var0, GLenum var1, GLint* var2)
{
    return;
}
const GLubyte* glGetString(GLenum var0)
{
    const GLubyte* __face_conform_abc = 0;
    return __face_conform_abc;
}
void glHint(GLenum var0, GLenum var1)
{
    return;
}
GLboolean glIsEnabled(GLenum var0)
{
    GLboolean* __face_conform_abc = 0;
    return *__face_conform_abc;
}
void glLightfv(GLenum var0, GLenum var1, const GLfloat* var2)
{
    return;
}
void glLightModelfv(GLenum var0, GLfloat* var1)
{
    return;
}
void glLineStipple(GLint var0, GLushort var1)
{
    return;
}
void glLineWidth(GLfloat var0)
{
    return;
}
void glListBase(GLuint var0)
{
    return;
}
void glLoadIdentity()
{
    return;
}
void glLoadMatrixf(const GLfloat* var0)
{
    return;
}
void glMaterialf(GLenum var0, GLenum var1, GLfloat var2)
{
    return;
}
void glMaterialfv(GLenum var0, GLenum var1, const GLfloat* var2)
{
    return;
}
void glMatrixMode(GLenum var0)
{
    return;
}
void glMultMatrixf(const GLfloat* var0)
{
    return;
}
void glMultiTexCoord2f(GLenum var0, GLfloat var1, GLfloat var2)
{
    return;
}
void glMultiTexCoord2fv(GLenum var0, const GLfloat* var1)
{
    return;
}
void glNewList(GLuint var0, GLenum var1)
{
    return;
}
void glNormal3f(GLfloat var0, GLfloat var1, GLfloat var2)
{
    return;
}
void glNormal3fv(const GLfloat* var0)
{
    return;
}
void glNormalPointer(GLenum var0, GLsizei var1, const GLvoid* var2)
{
    return;
}
void glOrthof(GLfloat var0, GLfloat var1, GLfloat var2, GLfloat var3, GLfloat var4, GLfloat var5)
{
    return;
}
void glPixelStorei(GLenum var0, GLint var1)
{
    return;
}
void glPointSize(GLfloat var0)
{
    return;
}
void glPolygonOffset(GLfloat var0, GLfloat var1)
{
    return;
}
void glPolygonStipple(const GLubyte* var0)
{
    return;
}
void glPopMatrix()
{
    return;
}
void glPushMatrix()
{
    return;
}
void glRasterPos3f(GLfloat var0, GLfloat var1, GLfloat var2)
{
    return;
}
void glReadPixels(GLint var0, GLint var1, GLsizei var2, GLsizei var3, GLenum var4, GLenum var5, GLvoid* var6)
{
    return;
}
void glRotatef(GLfloat var0, GLfloat var1, GLfloat var2, GLfloat var3)
{
    return;
}
void glScalef(GLfloat var0, GLfloat var1, GLfloat var2)
{
    return;
}
void glScissor(GLint var0, GLint var1, GLsizei var2, GLsizei var3)
{
    return;
}
void glShadeModel(GLenum var0)
{
    return;
}
void glStencilFunc(GLenum var0, GLint var1, GLuint var2)
{
    return;
}
void glStencilMask(GLenum var0)
{
    return;
}
void glStencilOp(GLenum var0, GLenum var1, GLenum var2)
{
    return;
}
void glTexCoordPointer(GLint var0, GLenum var1, GLsizei var2, const GLvoid* var3)
{
    return;
}
void glTexEnvfv(GLenum var0, GLenum var1, const GLfloat* var2)
{
    return;
}
void glTexEnvi(GLenum var0, GLenum var1, GLint var2)
{
    return;
}
void glTexImage2D(GLenum var0, GLint var1, GLint var2, GLsizei var3, GLsizei var4, GLint var5, GLenum var6, GLenum var7, const GLvoid* var8)
{
    return;
}
void glTexParameteri(GLenum var0, GLenum var1, GLint var2)
{
    return;
}
void glTexSubImage2D(GLenum var0, GLint var1, GLint var2, GLint var3, GLsizei var4, GLsizei var5, GLenum var6, GLenum var7, const GLvoid* var8)
{
    return;
}
void glTranslatef(GLfloat var0, GLfloat var1, GLfloat var2)
{
    return;
}
void glVertex2f(GLfloat var0, GLfloat var1)
{
    return;
}
void glVertex2fv(const GLfloat* var0)
{
    return;
}
void glVertex3f(GLfloat var0, GLfloat var1, GLfloat var2)
{
    return;
}
void glVertex3fv(const GLfloat* var0)
{
    return;
}
void glVertexPointer(GLint var0, GLenum var1, GLsizei var2, const GLvoid* var3)
{
    return;
}
void glViewport(GLint var0, GLint var1, GLsizei var2, GLsizei var3)
{
    return;
}
