/************************************************************************************
 * Copyright (c) Vanderbilt University, 2020                                        *
 *                                                                                  *
 * ALL RIGHTS RESERVED, UNLESS OTHERWISE STATED                                     *
 *                                                                                  *
 * This software, authored by Vanderbilt University under a contract awarded to and *
 * managed by Alion Science and Technology, was funded by the U.S. Government under *
 * Contract No. FA8075-14-D-0014 and the U.S. Government has unlimited rights in    *
 * this software.  An unlimited rights license means that the U.S. Government can   *
 * use, modify, reproduce, release or disclose computer software in whole or in     *
 * part, in any manner, and for any purpose whatsoever, and to have or authorize    *
 * others to do so.                                                                 *
 *                                                                                  *
 * Vanderbilt University disclaims all warranties with regard to this software,     *
 * including all implied warranties of merchantability and fitness. In no event     *
 * shall Vanderbilt University be liable for any special, indirect or consequential *
 * damages or any damages whatsoever resulting from loss of use, data or profits,   *
 * whether in an action of contract, negligence or other tortious action, arising   *
 * out of or in connection with the use or performance of this software.            *
 *                                                                                  *
 * May contain products produced under DoD SENSIAC contract HC104705D4000 under the *
 * sponsorship of the Defense Technical Information Center,                         *
 * ATTN: DTIC-AI, 8723 John J. Kingman Rd., Ste 0944, Fort Belvoir, VA 22060-6218.  *
 * SENSIAC is a DoD Information Analysis Center Sponsored by the Defense Technical  *
 * Information Center.                                                              *
 *                                                                                  *
 * Conformance Test Suite Version 2.1.1r9 supporting FACE Standard Version 2.1.1    *
 *                                                                                  *
 * This file is generated and may be overwritten.                                   *
 *                                                                                  *
 * Release Date: 29-Aug-2023                                                        *
 ************************************************************************************/

#include "wchar.h"

wint_t btowc(int var0)
{
    wint_t* __face_conform_abc = 0;
    return *__face_conform_abc;
}
wint_t fgetwc(FILE * var0)
{
    wint_t* __face_conform_abc = 0;
    return *__face_conform_abc;
}
wchar_t * fgetws(wchar_t *restrict var0, int var1, FILE *restrict var2)
{
    wchar_t * __face_conform_abc = 0;
    return __face_conform_abc;
}
wint_t fputwc(wchar_t var0, FILE * var1)
{
    wint_t* __face_conform_abc = 0;
    return *__face_conform_abc;
}
int fputws(const wchar_t *restrict var0, FILE *restrict var1)
{
    int* __face_conform_abc = 0;
    return *__face_conform_abc;
}
int fwide(FILE *restrict var0, int var1)
{
    int* __face_conform_abc = 0;
    return *__face_conform_abc;
}
int fwprintf(FILE *restrict var0, const wchar_t *restrict var1, ...)
{
    int* __face_conform_abc = 0;
    return *__face_conform_abc;
}
int fwscanf(FILE *restrict var0, const wchar_t *restrict var1, ...)
{
    int* __face_conform_abc = 0;
    return *__face_conform_abc;
}
wint_t getwc(FILE * var0)
{
    wint_t* __face_conform_abc = 0;
    return *__face_conform_abc;
}
wint_t getwchar()
{
    wint_t* __face_conform_abc = 0;
    return *__face_conform_abc;
}
size_t mbrlen(const char *restrict var0, size_t var1, mbstate_t *restrict var2)
{
    size_t* __face_conform_abc = 0;
    return *__face_conform_abc;
}
size_t mbrtowc(wchar_t *restrict var0, const char *restrict var1, size_t var2, mbstate_t *restrict var3)
{
    size_t* __face_conform_abc = 0;
    return *__face_conform_abc;
}
int mbsinit(const mbstate_t * var0)
{
    int* __face_conform_abc = 0;
    return *__face_conform_abc;
}
size_t mbsrtowcs(wchar_t *restrict var0, const char **restrict var1, size_t var2, mbstate_t *restrict var3)
{
    size_t* __face_conform_abc = 0;
    return *__face_conform_abc;
}
wint_t putwc(wchar_t var0, FILE * var1)
{
    wint_t* __face_conform_abc = 0;
    return *__face_conform_abc;
}
wint_t putwchar(wchar_t var0)
{
    wint_t* __face_conform_abc = 0;
    return *__face_conform_abc;
}
int swprintf(wchar_t *restrict var0, size_t var1, const wchar_t *restrict var2, ...)
{
    int* __face_conform_abc = 0;
    return *__face_conform_abc;
}
int swscanf(const wchar_t *restrict var0, const wchar_t *restrict var1, ...)
{
    int* __face_conform_abc = 0;
    return *__face_conform_abc;
}
wint_t ungetwc(wint_t var0, FILE * var1)
{
    wint_t* __face_conform_abc = 0;
    return *__face_conform_abc;
}
int vfwprintf(FILE *restrict var0, const wchar_t *restrict var1, va_list var2)
{
    int* __face_conform_abc = 0;
    return *__face_conform_abc;
}
int vfwscanf(FILE *restrict var0, const wchar_t *restrict var1, va_list var2)
{
    int* __face_conform_abc = 0;
    return *__face_conform_abc;
}
int vswprintf(wchar_t *restrict var0, size_t var1, const wchar_t *restrict var2, va_list var3)
{
    int* __face_conform_abc = 0;
    return *__face_conform_abc;
}
int vswscanf(const wchar_t *restrict var0, const wchar_t *restrict var1, va_list var2)
{
    int* __face_conform_abc = 0;
    return *__face_conform_abc;
}
int vwprintf(const wchar_t *restrict var0, va_list var1)
{
    int* __face_conform_abc = 0;
    return *__face_conform_abc;
}
int vwscanf(const wchar_t *restrict var0, va_list var1)
{
    int* __face_conform_abc = 0;
    return *__face_conform_abc;
}
size_t wcrtomb(char *restrict var0, wchar_t var1, mbstate_t *restrict var2)
{
    size_t* __face_conform_abc = 0;
    return *__face_conform_abc;
}
wchar_t * wcscat(wchar_t *restrict var0, const wchar_t *restrict var1)
{
    wchar_t * __face_conform_abc = 0;
    return __face_conform_abc;
}
wchar_t * wcschr(const wchar_t * var0, wchar_t var1)
{
    wchar_t * __face_conform_abc = 0;
    return __face_conform_abc;
}
int wcscmp(const wchar_t * var0, const wchar_t * var1)
{
    int* __face_conform_abc = 0;
    return *__face_conform_abc;
}
int wcscoll(const wchar_t * var0, const wchar_t * var1)
{
    int* __face_conform_abc = 0;
    return *__face_conform_abc;
}
wchar_t * wcscpy(wchar_t *restrict var0, const wchar_t *restrict var1)
{
    wchar_t * __face_conform_abc = 0;
    return __face_conform_abc;
}
size_t wcscspn(const wchar_t * var0, const wchar_t * var1)
{
    size_t* __face_conform_abc = 0;
    return *__face_conform_abc;
}
size_t wcsftime(wchar_t *restrict var0, size_t var1, const wchar_t *restrict var2, const struct tm *restrict var3)
{
    size_t* __face_conform_abc = 0;
    return *__face_conform_abc;
}
size_t wcslen(const wchar_t * var0)
{
    size_t* __face_conform_abc = 0;
    return *__face_conform_abc;
}
wchar_t * wcsncat(wchar_t *restrict var0, const wchar_t *restrict var1, size_t var2)
{
    wchar_t * __face_conform_abc = 0;
    return __face_conform_abc;
}
int wcsncmp(const wchar_t * var0, const wchar_t * var1, size_t var2)
{
    int* __face_conform_abc = 0;
    return *__face_conform_abc;
}
wchar_t * wcsncpy(wchar_t *restrict var0, const wchar_t *restrict var1, size_t var2)
{
    wchar_t * __face_conform_abc = 0;
    return __face_conform_abc;
}
wchar_t * wcspbrk(const wchar_t * var0, const wchar_t * var1)
{
    wchar_t * __face_conform_abc = 0;
    return __face_conform_abc;
}
wchar_t * wcsrchr(const wchar_t * var0, wchar_t var1)
{
    wchar_t * __face_conform_abc = 0;
    return __face_conform_abc;
}
size_t wcsrtombs(char *restrict var0, const wchar_t **restrict var1, size_t var2, mbstate_t *restrict var3)
{
    size_t* __face_conform_abc = 0;
    return *__face_conform_abc;
}
size_t wcsspn(const wchar_t * var0, const wchar_t * var1)
{
    size_t* __face_conform_abc = 0;
    return *__face_conform_abc;
}
wchar_t * wcsstr(const wchar_t *restrict var0, const wchar_t *restrict var1)
{
    wchar_t * __face_conform_abc = 0;
    return __face_conform_abc;
}
double wcstod(const wchar_t *restrict var0, wchar_t **restrict var1)
{
    double* __face_conform_abc = 0;
    return *__face_conform_abc;
}
float wcstof(const wchar_t *restrict var0, wchar_t **restrict var1)
{
    float* __face_conform_abc = 0;
    return *__face_conform_abc;
}
wchar_t * wcstok(wchar_t *restrict var0, const wchar_t *restrict var1, wchar_t **restrict var2)
{
    wchar_t * __face_conform_abc = 0;
    return __face_conform_abc;
}
long wcstol(const wchar_t *restrict var0, wchar_t **restrict var1, int var2)
{
    long* __face_conform_abc = 0;
    return *__face_conform_abc;
}
long double wcstold(const wchar_t *restrict var0, wchar_t **restrict var1)
{
    long double* __face_conform_abc = 0;
    return *__face_conform_abc;
}
#ifndef __cplusplus
long long wcstoll(const wchar_t *restrict var0, wchar_t **restrict var1, int var2)
{
    long long* __face_conform_abc = 0;
    return *__face_conform_abc;
}
#endif
unsigned long wcstoul(const wchar_t *restrict var0, wchar_t **restrict var1, int var2)
{
    unsigned long* __face_conform_abc = 0;
    return *__face_conform_abc;
}
#ifndef __cplusplus
unsigned long long wcstoull(const wchar_t *restrict var0, wchar_t **restrict var1, int var2)
{
    unsigned long long* __face_conform_abc = 0;
    return *__face_conform_abc;
}
#endif
size_t wcsxfrm(wchar_t *restrict var0, const wchar_t *restrict var1, size_t var2)
{
    size_t* __face_conform_abc = 0;
    return *__face_conform_abc;
}
int wctob(wint_t var0)
{
    int* __face_conform_abc = 0;
    return *__face_conform_abc;
}
wchar_t * wmemchr(const wchar_t * var0, wchar_t var1, size_t var2)
{
    wchar_t * __face_conform_abc = 0;
    return __face_conform_abc;
}
int wmemcmp(const wchar_t * var0, const wchar_t * var1, size_t var2)
{
    int* __face_conform_abc = 0;
    return *__face_conform_abc;
}
wchar_t * wmemcpy(wchar_t *restrict var0, const wchar_t *restrict var1, size_t var2)
{
    wchar_t * __face_conform_abc = 0;
    return __face_conform_abc;
}
wchar_t * wmemmove(wchar_t * var0, const wchar_t * var1, size_t var2)
{
    wchar_t * __face_conform_abc = 0;
    return __face_conform_abc;
}
wchar_t * wmemset(wchar_t * var0, wchar_t var1, size_t var2)
{
    wchar_t * __face_conform_abc = 0;
    return __face_conform_abc;
}
int wprintf(const wchar_t *restrict var0, ...)
{
    int* __face_conform_abc = 0;
    return *__face_conform_abc;
}
int wscanf(const wchar_t *restrict var0, ...)
{
    int* __face_conform_abc = 0;
    return *__face_conform_abc;
}
