/************************************************************************************
 * Copyright (c) Vanderbilt University, 2020                                        *
 *                                                                                  *
 * ALL RIGHTS RESERVED, UNLESS OTHERWISE STATED                                     *
 *                                                                                  *
 * This software, authored by Vanderbilt University under a contract awarded to and *
 * managed by Alion Science and Technology, was funded by the U.S. Government under *
 * Contract No. FA8075-14-D-0014 and the U.S. Government has unlimited rights in    *
 * this software.  An unlimited rights license means that the U.S. Government can   *
 * use, modify, reproduce, release or disclose computer software in whole or in     *
 * part, in any manner, and for any purpose whatsoever, and to have or authorize    *
 * others to do so.                                                                 *
 *                                                                                  *
 * Vanderbilt University disclaims all warranties with regard to this software,     *
 * including all implied warranties of merchantability and fitness. In no event     *
 * shall Vanderbilt University be liable for any special, indirect or consequential *
 * damages or any damages whatsoever resulting from loss of use, data or profits,   *
 * whether in an action of contract, negligence or other tortious action, arising   *
 * out of or in connection with the use or performance of this software.            *
 *                                                                                  *
 * May contain products produced under DoD SENSIAC contract HC104705D4000 under the *
 * sponsorship of the Defense Technical Information Center,                         *
 * ATTN: DTIC-AI, 8723 John J. Kingman Rd., Ste 0944, Fort Belvoir, VA 22060-6218.  *
 * SENSIAC is a DoD Information Analysis Center Sponsored by the Defense Technical  *
 * Information Center.                                                              *
 *                                                                                  *
 * Conformance Test Suite Version 2.1.1r9 supporting FACE Standard Version 2.1.1    *
 *                                                                                  *
 * This file is generated and may be overwritten.                                   *
 *                                                                                  *
 * Release Date: 29-Aug-2023                                                        *
 ************************************************************************************/

#include "stdlib.h"

double atof(const char * var0)
{
    double* __face_conform_abc = 0;
    return *__face_conform_abc;
}
int atoi(const char * var0)
{
    int* __face_conform_abc = 0;
    return *__face_conform_abc;
}
long atol(const char * var0)
{
    long* __face_conform_abc = 0;
    return *__face_conform_abc;
}
double strtod(const char *restrict var0, char **restrict var1)
{
    double* __face_conform_abc = 0;
    return *__face_conform_abc;
}
float strtof(const char *restrict var0, char **restrict var1)
{
    float* __face_conform_abc = 0;
    return *__face_conform_abc;
}
long strtol(const char *restrict var0, char **restrict var1, int var2)
{
    long* __face_conform_abc = 0;
    return *__face_conform_abc;
}
long double strtold(const char *restrict var0, char **restrict var1)
{
    long double* __face_conform_abc = 0;
    return *__face_conform_abc;
}
unsigned long strtoul(const char *restrict var0, char **restrict var1, int var2)
{
    unsigned long* __face_conform_abc = 0;
    return *__face_conform_abc;
}
int rand()
{
    int* __face_conform_abc = 0;
    return *__face_conform_abc;
}
void srand(unsigned var0)
{
    return;
}
void * calloc(size_t var0, size_t var1)
{
    void * __face_conform_abc = 0;
    return __face_conform_abc;
}
void free(void * var0)
{
    return;
}
void * malloc(size_t var0)
{
    void * __face_conform_abc = 0;
    return __face_conform_abc;
}
void * realloc(void * var0, size_t var1)
{
    void * __face_conform_abc = 0;
    return __face_conform_abc;
}
void _Exit(int var0)
{
    return;
}
void abort()
{
    return;
}
int atexit(void (*var0)())
{
    int* __face_conform_abc = 0;
    return *__face_conform_abc;
}
void exit(int var0)
{
    return;
}
char * getenv(const char * var0)
{
    char * __face_conform_abc = 0;
    return __face_conform_abc;
}
void * bsearch(const void * var0, const void * var1, size_t var2, size_t var3, int (*var4)(const void *, const void *))
{
    void * __face_conform_abc = 0;
    return __face_conform_abc;
}
void qsort(void * var0, size_t var1, size_t var2, int (*var3)(const void *, const void *))
{
    return;
}
int abs(int var0)
{
    int* __face_conform_abc = 0;
    return *__face_conform_abc;
}
div_t div(int var0, int var1)
{
    div_t* __face_conform_abc = 0;
    return *__face_conform_abc;
}
long labs(long var0)
{
    long* __face_conform_abc = 0;
    return *__face_conform_abc;
}
ldiv_t ldiv(long var0, long var1)
{
    ldiv_t* __face_conform_abc = 0;
    return *__face_conform_abc;
}
int mblen(const char * var0, size_t var1)
{
    int* __face_conform_abc = 0;
    return *__face_conform_abc;
}
int mbtowc(wchar_t *restrict var0, const char *restrict var1, size_t var2)
{
    int* __face_conform_abc = 0;
    return *__face_conform_abc;
}
int wctomb(char * var0, wchar_t var1)
{
    int* __face_conform_abc = 0;
    return *__face_conform_abc;
}
size_t mbstowcs(wchar_t *restrict var0, const char *restrict var1, size_t var2)
{
    size_t* __face_conform_abc = 0;
    return *__face_conform_abc;
}
size_t wcstombs(char *restrict var0, const wchar_t *restrict var1, size_t var2)
{
    size_t* __face_conform_abc = 0;
    return *__face_conform_abc;
}
