/************************************************************************************
 * Copyright (c) Vanderbilt University, 2020                                        *
 *                                                                                  *
 * ALL RIGHTS RESERVED, UNLESS OTHERWISE STATED                                     *
 *                                                                                  *
 * This software, authored by Vanderbilt University under a contract awarded to and *
 * managed by Alion Science and Technology, was funded by the U.S. Government under *
 * Contract No. FA8075-14-D-0014 and the U.S. Government has unlimited rights in    *
 * this software.  An unlimited rights license means that the U.S. Government can   *
 * use, modify, reproduce, release or disclose computer software in whole or in     *
 * part, in any manner, and for any purpose whatsoever, and to have or authorize    *
 * others to do so.                                                                 *
 *                                                                                  *
 * Vanderbilt University disclaims all warranties with regard to this software,     *
 * including all implied warranties of merchantability and fitness. In no event     *
 * shall Vanderbilt University be liable for any special, indirect or consequential *
 * damages or any damages whatsoever resulting from loss of use, data or profits,   *
 * whether in an action of contract, negligence or other tortious action, arising   *
 * out of or in connection with the use or performance of this software.            *
 *                                                                                  *
 * May contain products produced under DoD SENSIAC contract HC104705D4000 under the *
 * sponsorship of the Defense Technical Information Center,                         *
 * ATTN: DTIC-AI, 8723 John J. Kingman Rd., Ste 0944, Fort Belvoir, VA 22060-6218.  *
 * SENSIAC is a DoD Information Analysis Center Sponsored by the Defense Technical  *
 * Information Center.                                                              *
 *                                                                                  *
 * Conformance Test Suite Version 2.1.1r9 supporting FACE Standard Version 2.1.1    *
 *                                                                                  *
 * This file is generated and may be overwritten.                                   *
 *                                                                                  *
 * Release Date: 29-Aug-2023                                                        *
 ************************************************************************************/

#include "ios"

 std::ios_base::failure::failure(const std::string&)
{
    
}
 std::ios_base::failure::~failure() throw()
{
    
}
const char* std::ios_base::failure::what() const throw()
{
    const char* __face_conform_abc = 0;
    return __face_conform_abc;
}
 std::ios_base::Init::Init()
{
    
}
 std::ios_base::Init::~Init()
{
    
}
std::ios_base::fmtflags std::ios_base::flags() const
{
    std::ios_base::fmtflags* __face_conform_abc = 0;
    return *__face_conform_abc;
}
std::ios_base::fmtflags std::ios_base::flags(std::ios_base::fmtflags)
{
    std::ios_base::fmtflags* __face_conform_abc = 0;
    return *__face_conform_abc;
}
std::ios_base::fmtflags std::ios_base::setf(std::ios_base::fmtflags)
{
    std::ios_base::fmtflags* __face_conform_abc = 0;
    return *__face_conform_abc;
}
std::ios_base::fmtflags std::ios_base::setf(std::ios_base::fmtflags, std::ios_base::fmtflags)
{
    std::ios_base::fmtflags* __face_conform_abc = 0;
    return *__face_conform_abc;
}
void std::ios_base::unsetf(std::ios_base::fmtflags)
{
    return;
}
std::streamsize std::ios_base::precision() const
{
    std::streamsize* __face_conform_abc = 0;
    return *__face_conform_abc;
}
std::streamsize std::ios_base::precision(std::streamsize)
{
    std::streamsize* __face_conform_abc = 0;
    return *__face_conform_abc;
}
std::streamsize std::ios_base::width() const
{
    std::streamsize* __face_conform_abc = 0;
    return *__face_conform_abc;
}
std::streamsize std::ios_base::width(std::streamsize)
{
    std::streamsize* __face_conform_abc = 0;
    return *__face_conform_abc;
}
std::locale std::ios_base::imbue(const std::locale&)
{
    std::locale* __face_conform_abc = 0;
    return *__face_conform_abc;
}
std::locale std::ios_base::getloc() const
{
    std::locale* __face_conform_abc = 0;
    return *__face_conform_abc;
}
int std::ios_base::xalloc()
{
    int* __face_conform_abc = 0;
    return *__face_conform_abc;
}
long& std::ios_base::iword(int)
{
    long* __face_conform_abc = 0;
    return *__face_conform_abc;
}
void*& std::ios_base::pword(int)
{
    void** __face_conform_abc = 0;
    return *__face_conform_abc;
}
 std::ios_base::~ios_base()
{
    
}
void std::ios_base::register_callback(std::ios_base::event_callback, int)
{
    return;
}
bool std::ios_base::sync_with_stdio(bool)
{
    bool* __face_conform_abc = 0;
    return *__face_conform_abc;
}
 std::ios_base::ios_base()
{
    
}
 std::ios_base::ios_base(const std::ios_base&)
{
    
}
std::ios_base& std::ios_base::operator=(const std::ios_base&)
{
    std::ios_base* __face_conform_abc = 0;
    return *__face_conform_abc;
}
std::ios_base& std::boolalpha(std::ios_base& var0)
{
    std::ios_base* __face_conform_abc = 0;
    return *__face_conform_abc;
}
std::ios_base& std::noboolalpha(std::ios_base& var0)
{
    std::ios_base* __face_conform_abc = 0;
    return *__face_conform_abc;
}
std::ios_base& std::showbase(std::ios_base& var0)
{
    std::ios_base* __face_conform_abc = 0;
    return *__face_conform_abc;
}
std::ios_base& std::noshowbase(std::ios_base& var0)
{
    std::ios_base* __face_conform_abc = 0;
    return *__face_conform_abc;
}
std::ios_base& std::showpoint(std::ios_base& var0)
{
    std::ios_base* __face_conform_abc = 0;
    return *__face_conform_abc;
}
std::ios_base& std::noshowpoint(std::ios_base& var0)
{
    std::ios_base* __face_conform_abc = 0;
    return *__face_conform_abc;
}
std::ios_base& std::showpos(std::ios_base& var0)
{
    std::ios_base* __face_conform_abc = 0;
    return *__face_conform_abc;
}
std::ios_base& std::noshowpos(std::ios_base& var0)
{
    std::ios_base* __face_conform_abc = 0;
    return *__face_conform_abc;
}
std::ios_base& std::skipws(std::ios_base& var0)
{
    std::ios_base* __face_conform_abc = 0;
    return *__face_conform_abc;
}
std::ios_base& std::noskipws(std::ios_base& var0)
{
    std::ios_base* __face_conform_abc = 0;
    return *__face_conform_abc;
}
std::ios_base& std::uppercase(std::ios_base& var0)
{
    std::ios_base* __face_conform_abc = 0;
    return *__face_conform_abc;
}
std::ios_base& std::nouppercase(std::ios_base& var0)
{
    std::ios_base* __face_conform_abc = 0;
    return *__face_conform_abc;
}
std::ios_base& std::unitbuf(std::ios_base& var0)
{
    std::ios_base* __face_conform_abc = 0;
    return *__face_conform_abc;
}
std::ios_base& std::nounitbuf(std::ios_base& var0)
{
    std::ios_base* __face_conform_abc = 0;
    return *__face_conform_abc;
}
std::ios_base& std::internal(std::ios_base& var0)
{
    std::ios_base* __face_conform_abc = 0;
    return *__face_conform_abc;
}
std::ios_base& std::left(std::ios_base& var0)
{
    std::ios_base* __face_conform_abc = 0;
    return *__face_conform_abc;
}
std::ios_base& std::right(std::ios_base& var0)
{
    std::ios_base* __face_conform_abc = 0;
    return *__face_conform_abc;
}
std::ios_base& std::dec(std::ios_base& var0)
{
    std::ios_base* __face_conform_abc = 0;
    return *__face_conform_abc;
}
std::ios_base& std::hex(std::ios_base& var0)
{
    std::ios_base* __face_conform_abc = 0;
    return *__face_conform_abc;
}
std::ios_base& std::oct(std::ios_base& var0)
{
    std::ios_base* __face_conform_abc = 0;
    return *__face_conform_abc;
}
std::ios_base& std::fixed(std::ios_base& var0)
{
    std::ios_base* __face_conform_abc = 0;
    return *__face_conform_abc;
}
std::ios_base& std::scientific(std::ios_base& var0)
{
    std::ios_base* __face_conform_abc = 0;
    return *__face_conform_abc;
}
