/************************************************************************************
 * Copyright (c) Vanderbilt University, 2020                                        *
 *                                                                                  *
 * ALL RIGHTS RESERVED, UNLESS OTHERWISE STATED                                     *
 *                                                                                  *
 * This software, authored by Vanderbilt University under a contract awarded to and *
 * managed by Alion Science and Technology, was funded by the U.S. Government under *
 * Contract No. FA8075-14-D-0014 and the U.S. Government has unlimited rights in    *
 * this software.  An unlimited rights license means that the U.S. Government can   *
 * use, modify, reproduce, release or disclose computer software in whole or in     *
 * part, in any manner, and for any purpose whatsoever, and to have or authorize    *
 * others to do so.                                                                 *
 *                                                                                  *
 * Vanderbilt University disclaims all warranties with regard to this software,     *
 * including all implied warranties of merchantability and fitness. In no event     *
 * shall Vanderbilt University be liable for any special, indirect or consequential *
 * damages or any damages whatsoever resulting from loss of use, data or profits,   *
 * whether in an action of contract, negligence or other tortious action, arising   *
 * out of or in connection with the use or performance of this software.            *
 *                                                                                  *
 * May contain products produced under DoD SENSIAC contract HC104705D4000 under the *
 * sponsorship of the Defense Technical Information Center,                         *
 * ATTN: DTIC-AI, 8723 John J. Kingman Rd., Ste 0944, Fort Belvoir, VA 22060-6218.  *
 * SENSIAC is a DoD Information Analysis Center Sponsored by the Defense Technical  *
 * Information Center.                                                              *
 *                                                                                  *
 * Conformance Test Suite Version 2.1.1r9 supporting FACE Standard Version 2.1.1    *
 *                                                                                  *
 * This file is generated and may be overwritten.                                   *
 *                                                                                  *
 * Release Date: 29-Aug-2023                                                        *
 ************************************************************************************/

#ifndef __FACE_CONFORM__signal_h__
#define __FACE_CONFORM__signal_h__

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

#ifndef SIG_DFL
	#define SIG_DFL ((void (*)(int)) 0)
#endif
#ifndef SIG_ERR
	#define SIG_ERR ((void (*)(int)) 0)
#endif
#ifndef SIG_IGN
	#define SIG_IGN ((void (*)(int)) 0)
#endif
#ifndef __FACE_CONFORM____SIG_ATOMIC_T__
#define __FACE_CONFORM____SIG_ATOMIC_T__
typedef int sig_atomic_t;

#endif  /* __FACE_CONFORM____SIG_ATOMIC_T__ */

#ifndef SIGABRT
	#define SIGABRT 1
#endif
#ifndef SIGFPE
	#define SIGFPE 6
#endif
#ifndef SIGILL
	#define SIGILL 8
#endif
#ifndef SIGINT
	#define SIGINT 9
#endif
#ifndef SIGSEGV
	#define SIGSEGV 13
#endif
#ifndef SIGTERM
	#define SIGTERM 15
#endif
int raise(int);
void (*signal(int, void  (*)(int)))(int);
#ifdef __cplusplus
}
#endif /* __cplusplus */


#endif /* __FACE_CONFORM__signal_h__ */

