/************************************************************************************
 * Copyright (c) Vanderbilt University, 2020                                        *
 *                                                                                  *
 * ALL RIGHTS RESERVED, UNLESS OTHERWISE STATED                                     *
 *                                                                                  *
 * This software, authored by Vanderbilt University under a contract awarded to and *
 * managed by Alion Science and Technology, was funded by the U.S. Government under *
 * Contract No. FA8075-14-D-0014 and the U.S. Government has unlimited rights in    *
 * this software.  An unlimited rights license means that the U.S. Government can   *
 * use, modify, reproduce, release or disclose computer software in whole or in     *
 * part, in any manner, and for any purpose whatsoever, and to have or authorize    *
 * others to do so.                                                                 *
 *                                                                                  *
 * Vanderbilt University disclaims all warranties with regard to this software,     *
 * including all implied warranties of merchantability and fitness. In no event     *
 * shall Vanderbilt University be liable for any special, indirect or consequential *
 * damages or any damages whatsoever resulting from loss of use, data or profits,   *
 * whether in an action of contract, negligence or other tortious action, arising   *
 * out of or in connection with the use or performance of this software.            *
 *                                                                                  *
 * May contain products produced under DoD SENSIAC contract HC104705D4000 under the *
 * sponsorship of the Defense Technical Information Center,                         *
 * ATTN: DTIC-AI, 8723 John J. Kingman Rd., Ste 0944, Fort Belvoir, VA 22060-6218.  *
 * SENSIAC is a DoD Information Analysis Center Sponsored by the Defense Technical  *
 * Information Center.                                                              *
 *                                                                                  *
 * Conformance Test Suite Version 2.1.1r9 supporting FACE Standard Version 2.1.1    *
 *                                                                                  *
 * This file is generated and may be overwritten.                                   *
 *                                                                                  *
 * Release Date: 29-Aug-2023                                                        *
 ************************************************************************************/

#include "GLES2/gl2ext.h"

void glBlendBarrierKHR()
{
    return;
}
void glDebugMessageControlKHR(GLenum var0, GLenum var1, GLenum var2, GLsizei var3, const GLuint* var4, GLboolean var5)
{
    return;
}
void glDebugMessageInsertKHR(GLenum var0, GLenum var1, GLuint var2, GLenum var3, GLsizei var4, const GLchar* var5)
{
    return;
}
void glDebugMessageCallbackKHR(GLDEBUGPROCKHR var0, const void* var1)
{
    return;
}
void glGetDebugMessageLogKHR(GLuint var0, GLsizei var1, GLenum* var2, GLenum* var3, GLuint* var4, GLenum* var5, GLsizei* var6, GLchar* var7)
{
    return;
}
void glPushDebugGroupKHR(GLenum var0, GLuint var1, GLsizei var2, const GLchar* var3)
{
    return;
}
void glPopDebugGroupKHR()
{
    return;
}
void glObjectLabelKHR(GLenum var0, GLuint var1, GLsizei var2, const GLchar* var3)
{
    return;
}
void glGetObjectLabelKHR(GLenum var0, GLuint var1, GLsizei var2, GLsizei* var3, GLchar* var4)
{
    return;
}
void glObjectPtrLabelKHR(const void* var0, GLsizei var1, const GLchar* var2)
{
    return;
}
void glGetObjectPtrLabelKHR(const void* var0, GLsizei var1, GLsizei* var2, GLchar* var3)
{
    return;
}
void glGetPointervKHR(GLenum var0, void** var1)
{
    return;
}
void glEGLImageTargetTexture2DOES(GLenum var0, GLeglImageOES var1)
{
    return;
}
void glEGLImageTargetRenderbufferStorageOES(GLenum var0, GLeglImageOES var1)
{
    return;
}
void glGetProgramBinaryOES(GLuint var0, GLsizei var1, GLsizei* var2, GLenum* var3, void* var4)
{
    return;
}
void glProgramBinaryOES(GLuint var0, GLenum var1, const void* var2, GLint var3)
{
    return;
}
void* glMapBufferOES(GLenum var0, GLenum var1)
{
    void* __face_conform_abc = 0;
    return __face_conform_abc;
}
GLboolean glUnmapBufferOES(GLenum var0)
{
    GLboolean* __face_conform_abc = 0;
    return *__face_conform_abc;
}
void glGetBufferPointervOES(GLenum var0, GLenum var1, void** var2)
{
    return;
}
void glMinSampleShadingOES(GLfloat var0)
{
    return;
}
void glTexImage3DOES(GLenum var0, GLint var1, GLenum var2, GLsizei var3, GLsizei var4, GLsizei var5, GLint var6, GLenum var7, GLenum var8, const void* var9)
{
    return;
}
void glTexSubImage3DOES(GLenum var0, GLint var1, GLint var2, GLint var3, GLint var4, GLsizei var5, GLsizei var6, GLsizei var7, GLenum var8, GLenum var9, const void* var10)
{
    return;
}
void glCopyTexSubImage3DOES(GLenum var0, GLint var1, GLint var2, GLint var3, GLint var4, GLint var5, GLint var6, GLsizei var7, GLsizei var8)
{
    return;
}
void glCompressedTexImage3DOES(GLenum var0, GLint var1, GLenum var2, GLsizei var3, GLsizei var4, GLsizei var5, GLint var6, GLsizei var7, const void* var8)
{
    return;
}
void glCompressedTexSubImage3DOES(GLenum var0, GLint var1, GLint var2, GLint var3, GLint var4, GLsizei var5, GLsizei var6, GLsizei var7, GLenum var8, GLsizei var9, const void* var10)
{
    return;
}
void glFramebufferTexture3DOES(GLenum var0, GLenum var1, GLenum var2, GLuint var3, GLint var4, GLint var5)
{
    return;
}
void glTexStorage3DMultisampleOES(GLenum var0, GLsizei var1, GLenum var2, GLsizei var3, GLsizei var4, GLsizei var5, GLboolean var6)
{
    return;
}
void glBindVertexArrayOES(GLuint var0)
{
    return;
}
void glDeleteVertexArraysOES(GLsizei var0, const GLuint* var1)
{
    return;
}
void glGenVertexArraysOES(GLsizei var0, GLuint* var1)
{
    return;
}
GLboolean glIsVertexArrayOES(GLuint var0)
{
    GLboolean* __face_conform_abc = 0;
    return *__face_conform_abc;
}
void glGetPerfMonitorGroupsAMD(GLint* var0, GLsizei var1, GLuint* var2)
{
    return;
}
void glGetPerfMonitorCountersAMD(GLuint var0, GLint* var1, GLint* var2, GLsizei var3, GLuint* var4)
{
    return;
}
void glGetPerfMonitorGroupStringAMD(GLuint var0, GLsizei var1, GLsizei* var2, GLchar* var3)
{
    return;
}
void glGetPerfMonitorCounterStringAMD(GLuint var0, GLuint var1, GLsizei var2, GLsizei* var3, GLchar* var4)
{
    return;
}
void glGetPerfMonitorCounterInfoAMD(GLuint var0, GLuint var1, GLenum var2, void* var3)
{
    return;
}
void glGenPerfMonitorsAMD(GLsizei var0, GLuint* var1)
{
    return;
}
void glDeletePerfMonitorsAMD(GLsizei var0, GLuint* var1)
{
    return;
}
void glSelectPerfMonitorCountersAMD(GLuint var0, GLboolean var1, GLuint var2, GLint var3, GLuint* var4)
{
    return;
}
void glBeginPerfMonitorAMD(GLuint var0)
{
    return;
}
void glEndPerfMonitorAMD(GLuint var0)
{
    return;
}
void glGetPerfMonitorCounterDataAMD(GLuint var0, GLenum var1, GLsizei var2, GLuint* var3, GLint* var4)
{
    return;
}
void glBlitFramebufferANGLE(GLint var0, GLint var1, GLint var2, GLint var3, GLint var4, GLint var5, GLint var6, GLint var7, GLbitfield var8, GLenum var9)
{
    return;
}
void glRenderbufferStorageMultisampleANGLE(GLenum var0, GLsizei var1, GLenum var2, GLsizei var3, GLsizei var4)
{
    return;
}
void glDrawArraysInstancedANGLE(GLenum var0, GLint var1, GLsizei var2, GLsizei var3)
{
    return;
}
void glDrawElementsInstancedANGLE(GLenum var0, GLsizei var1, GLenum var2, const void* var3, GLsizei var4)
{
    return;
}
void glVertexAttribDivisorANGLE(GLuint var0, GLuint var1)
{
    return;
}
void glGetTranslatedShaderSourceANGLE(GLuint var0, GLsizei var1, GLsizei* var2, GLchar* var3)
{
    return;
}
void glCopyTextureLevelsAPPLE(GLuint var0, GLuint var1, GLint var2, GLsizei var3)
{
    return;
}
void glRenderbufferStorageMultisampleAPPLE(GLenum var0, GLsizei var1, GLenum var2, GLsizei var3, GLsizei var4)
{
    return;
}
void glResolveMultisampleFramebufferAPPLE()
{
    return;
}
GLsync glFenceSyncAPPLE(GLenum var0, GLbitfield var1)
{
    GLsync* __face_conform_abc = 0;
    return *__face_conform_abc;
}
GLboolean glIsSyncAPPLE(GLsync var0)
{
    GLboolean* __face_conform_abc = 0;
    return *__face_conform_abc;
}
void glDeleteSyncAPPLE(GLsync var0)
{
    return;
}
GLenum glClientWaitSyncAPPLE(GLsync var0, GLbitfield var1, GLuint64 var2)
{
    GLenum* __face_conform_abc = 0;
    return *__face_conform_abc;
}
void glWaitSyncAPPLE(GLsync var0, GLbitfield var1, GLuint64 var2)
{
    return;
}
void glGetInteger64vAPPLE(GLenum var0, GLint64* var1)
{
    return;
}
void glGetSyncivAPPLE(GLsync var0, GLenum var1, GLsizei var2, GLsizei* var3, GLint* var4)
{
    return;
}
void glLabelObjectEXT(GLenum var0, GLuint var1, GLsizei var2, const GLchar* var3)
{
    return;
}
void glGetObjectLabelEXT(GLenum var0, GLuint var1, GLsizei var2, GLsizei* var3, GLchar* var4)
{
    return;
}
void glInsertEventMarkerEXT(GLsizei var0, const GLchar* var1)
{
    return;
}
void glPushGroupMarkerEXT(GLsizei var0, const GLchar* var1)
{
    return;
}
void glPopGroupMarkerEXT()
{
    return;
}
void glDiscardFramebufferEXT(GLenum var0, GLsizei var1, const GLenum* var2)
{
    return;
}
void glGenQueriesEXT(GLsizei var0, GLuint* var1)
{
    return;
}
void glDeleteQueriesEXT(GLsizei var0, const GLuint* var1)
{
    return;
}
GLboolean glIsQueryEXT(GLuint var0)
{
    GLboolean* __face_conform_abc = 0;
    return *__face_conform_abc;
}
void glBeginQueryEXT(GLenum var0, GLuint var1)
{
    return;
}
void glEndQueryEXT(GLenum var0)
{
    return;
}
void glQueryCounterEXT(GLuint var0, GLenum var1)
{
    return;
}
void glGetQueryivEXT(GLenum var0, GLenum var1, GLint* var2)
{
    return;
}
void glGetQueryObjectivEXT(GLuint var0, GLenum var1, GLint* var2)
{
    return;
}
void glGetQueryObjectuivEXT(GLuint var0, GLenum var1, GLuint* var2)
{
    return;
}
void glGetQueryObjecti64vEXT(GLuint var0, GLenum var1, GLuint* var2)
{
    return;
}
void glGetQueryObjectui64vEXT(GLuint var0, GLenum var1, GLuint64* var2)
{
    return;
}
void glDrawBuffersEXT(GLsizei var0, const GLenum* var1)
{
    return;
}
void glDrawArraysInstancedEXT(GLenum var0, GLenum var1, GLsizei var2, GLsizei var3)
{
    return;
}
void glDrawElementsInstancedEXT(GLenum var0, GLsizei var1, GLenum var2, const void* var3, GLsizei var4)
{
    return;
}
void glVertexAttribDivisorEXT(GLuint var0, GLuint var1)
{
    return;
}
void* glMapBufferRangeEXT(GLenum var0, const GLint* var1, const GLsizei* var2, GLsizei var3)
{
    void* __face_conform_abc = 0;
    return __face_conform_abc;
}
void glFlushMappedBufferRangeEXT(GLenum var0, GLintptr var1, GLsizeiptr var2)
{
    return;
}
void glMultiDrawArraysEXT(GLenum var0, const GLint* var1, const GLsizei* var2, GLsizei var3)
{
    return;
}
void glMultiDrawElementsEXT(GLenum var0, const GLsizei* var1, GLenum var2, const void*const* var3, GLsizei var4)
{
    return;
}
void glRenderbufferStorageMultisampleEXT(GLenum var0, GLsizei var1, GLenum var2, GLsizei var3, GLsizei var4)
{
    return;
}
void glFramebufferTexture2DMultisampleEXT(GLenum var0, GLenum var1, GLenum var2, GLuint var3, GLint var4, GLsizei var5)
{
    return;
}
void glReadBufferIndexedEXT(GLenum var0, GLint var1)
{
    return;
}
void glDrawBuffersIndexedEXT(GLint var0, const GLenum* var1, const GLint* var2)
{
    return;
}
void glGetIntegeri_vEXT(GLenum var0, GLuint var1, GLint* var2)
{
    return;
}
GLenum glGetGraphicsResetStatusEXT()
{
    GLenum* __face_conform_abc = 0;
    return *__face_conform_abc;
}
void glReadnPixelsEXT(GLint var0, GLint var1, GLsizei var2, GLsizei var3, GLenum var4, GLenum var5, GLsizei var6, void* var7)
{
    return;
}
void glGetnUniformfvEXT(GLuint var0, GLint var1, GLsizei var2, GLfloat* var3)
{
    return;
}
void glGetnUniformivEXT(GLuint var0, GLint var1, GLsizei var2, GLint* var3)
{
    return;
}
void glActiveShaderProgramEXT(GLuint var0, GLuint var1)
{
    return;
}
void glBindProgramPipelineEXT(GLuint var0)
{
    return;
}
GLboolean glCreateShaderProgramvEXT(GLenum var0, GLsizei var1, const GLchar* var2)
{
    GLboolean* __face_conform_abc = 0;
    return *__face_conform_abc;
}
void glDeleteProgramPipelinesEXT(GLsizei var0, const GLuint* var1)
{
    return;
}
void glGenProgramPipelinesEXT(GLsizei var0, GLuint* var1)
{
    return;
}
void glGetProgramPipelineInfoLogEXT(GLuint var0, GLsizei var1, GLsizei* var2, GLchar* var3)
{
    return;
}
void glGetProgramPipelineivEXT(GLuint var0, GLenum var1, GLint* var2)
{
    return;
}
GLboolean glIsProgramPipelineEXT(GLuint var0)
{
    GLboolean* __face_conform_abc = 0;
    return *__face_conform_abc;
}
void glProgramParameteriEXT(GLuint var0, GLenum var1, GLint var2)
{
    return;
}
void glProgramUniform1fEXT(GLuint var0, GLint var1, GLfloat var2)
{
    return;
}
void glProgramUniform1fvEXT(GLuint var0, GLint var1, GLsizei var2, const GLfloat* var3)
{
    return;
}
void glProgramUniform1iEXT(GLuint var0, GLint var1, GLint var2)
{
    return;
}
void glProgramUniform1ivEXT(GLuint var0, GLint var1, GLsizei var2, const GLint* var3)
{
    return;
}
void glProgramUniform2fEXT(GLuint var0, GLint var1, GLfloat var2, GLfloat var3)
{
    return;
}
void glProgramUniform2fvEXT(GLuint var0, GLint var1, GLsizei var2, const GLfloat* var3)
{
    return;
}
void glProgramUniform2iEXT(GLuint var0, GLint var1, GLint var2, GLint var3)
{
    return;
}
void glProgramUniform2ivEXT(GLuint var0, GLint var1, GLsizei var2, const GLint* var3)
{
    return;
}
void glProgramUniform3fEXT(GLuint var0, GLint var1, GLfloat var2, GLfloat var3, GLfloat var4)
{
    return;
}
void glProgramUniform3fvEXT(GLuint var0, GLint var1, GLsizei var2, const GLfloat* var3)
{
    return;
}
void glProgramUniform3iEXT(GLuint var0, GLint var1, GLint var2, GLint var3, GLint var4)
{
    return;
}
void glProgramUniform3ivEXT(GLuint var0, GLint var1, GLsizei var2, const GLint* var3)
{
    return;
}
void glProgramUniform4fEXT(GLuint var0, GLint var1, GLfloat var2, GLfloat var3, GLfloat var4, GLfloat var5)
{
    return;
}
void glProgramUniform4fvEXT(GLuint var0, GLint var1, GLsizei var2, const GLfloat* var3)
{
    return;
}
void glProgramUniform4iEXT(GLuint var0, GLint var1, GLint var2, GLint var3, GLint var4, GLint var5)
{
    return;
}
void glProgramUniform4ivEXT(GLuint var0, GLint var1, GLsizei var2, const GLint* var3)
{
    return;
}
void glProgramUniformMatrix2fvEXT(GLuint var0, GLint var1, GLsizei var2, GLboolean var3, const GLfloat* var4)
{
    return;
}
void glProgramUniformMatrix3fvEXT(GLuint var0, GLint var1, GLsizei var2, GLboolean var3, const GLfloat* var4)
{
    return;
}
void glProgramUniformMatrix4fvEXT(GLuint var0, GLint var1, GLsizei var2, GLboolean var3, const GLfloat* var4)
{
    return;
}
void glUseProgramStagesEXT(GLuint var0, GLbitfield var1, GLuint var2)
{
    return;
}
void glValidateProgramPipelineEXT(GLuint var0)
{
    return;
}
void glProgramUniform1uiEXT(GLuint var0, GLint var1, GLuint var2)
{
    return;
}
void glProgramUniform2uiEXT(GLuint var0, GLint var1, GLuint var2, GLuint var3)
{
    return;
}
void glProgramUniform3uiEXT(GLuint var0, GLint var1, GLuint var2, GLuint var3, GLuint var4)
{
    return;
}
void glProgramUniform4uiEXT(GLuint var0, GLint var1, GLuint var2, GLuint var3, GLuint var4, GLuint var5)
{
    return;
}
void glProgramUniform1uivEXT(GLuint var0, GLint var1, GLsizei var2, const GLuint* var3)
{
    return;
}
void glProgramUniform2uivEXT(GLuint var0, GLint var1, GLsizei var2, const GLuint* var3)
{
    return;
}
void glProgramUniform3uivEXT(GLuint var0, GLint var1, GLsizei var2, const GLuint* var3)
{
    return;
}
void glProgramUniform4uivEXT(GLuint var0, GLint var1, GLsizei var2, const GLuint* var3)
{
    return;
}
void glProgramUniformMatrix2x3fvEXT(GLuint var0, GLint var1, GLsizei var2, GLboolean var3, const GLfloat* var4)
{
    return;
}
void glProgramUniformMatrix3x2fvEXT(GLuint var0, GLint var1, GLsizei var2, GLboolean var3, const GLfloat* var4)
{
    return;
}
void glProgramUniformMatrix2x4fvEXT(GLuint var0, GLint var1, GLsizei var2, GLboolean var3, const GLfloat* var4)
{
    return;
}
void glProgramUniformMatrix4x2fvEXT(GLuint var0, GLint var1, GLsizei var2, GLboolean var3, const GLfloat* var4)
{
    return;
}
void glProgramUniformMatrix3x4fvEXT(GLuint var0, GLint var1, GLsizei var2, GLboolean var3, const GLfloat* var4)
{
    return;
}
void glProgramUniformMatrix4x3fvEXT(GLuint var0, GLint var1, GLsizei var2, GLboolean var3, const GLfloat* var4)
{
    return;
}
void glTexStorage1DEXT(GLenum var0, GLsizei var1, GLenum var2, GLsizei var3)
{
    return;
}
void glTexStorage2DEXT(GLenum var0, GLsizei var1, GLenum var2, GLsizei var3, GLsizei var4)
{
    return;
}
void glTexStorage3DEXT(GLenum var0, GLsizei var1, GLenum var2, GLsizei var3, GLsizei var4, GLsizei var5)
{
    return;
}
void glTextureStorage1DEXT(GLuint var0, GLenum var1, GLsizei var2, GLenum var3, GLsizei var4)
{
    return;
}
void glTextureStorage2DEXT(GLuint var0, GLenum var1, GLsizei var2, GLenum var3, GLsizei var4, GLsizei var5)
{
    return;
}
void glTextureStorage3DEXT(GLuint var0, GLenum var1, GLsizei var2, GLenum var3, GLsizei var4, GLsizei var5, GLsizei var6)
{
    return;
}
void glRenderbufferStorageMultisampleIMG(GLenum var0, GLsizei var1, GLenum var2, GLsizei var3, GLsizei var4)
{
    return;
}
void glFramebufferTexture2DMultisampleIMG(GLenum var0, GLenum var1, GLenum var2, GLuint var3, GLint var4, GLsizei var5)
{
    return;
}
void glBeginPerfQueryINTEL(GLuint var0)
{
    return;
}
void glCreatePerfQueryINTEL(GLuint var0, GLuint* var1)
{
    return;
}
void glDeletePerfQueryINTEL(GLuint var0)
{
    return;
}
void glEndPerfQueryINTEL(GLuint var0)
{
    return;
}
void glGetFirstPerfQueryIdINTEL(GLuint* var0)
{
    return;
}
void glGetNextPerfQueryIdINTEL(GLuint var0, GLuint* var1)
{
    return;
}
void glGetPerfCounterInfoINTEL(GLuint var0, GLuint var1, GLuint var2, GLchar* var3, GLuint var4, GLchar* var5, GLuint* var6, GLuint* var7, GLuint* var8, GLuint* var9, GLuint64* var10)
{
    return;
}
void glGetPerfQueryDataINTEL(GLuint var0, GLuint var1, GLsizei var2, GLvoid* var3, GLuint* var4)
{
    return;
}
void glGetPerfQueryIdByNameINTEL(GLchar* var0, GLuint* var1)
{
    return;
}
void glGetPerfQueryInfoINTEL(GLuint var0, GLuint var1, GLchar* var2, GLuint* var3, GLuint* var4, GLuint* var5, GLuint* var6)
{
    return;
}
void glBlendParameteriNV(GLenum var0, GLint var1)
{
    return;
}
void glBlendBarrierNV()
{
    return;
}
void glCopyBufferSubDataNV(GLenum var0, GLenum var1, GLintptr var2, GLintptr var3, GLintptr var4)
{
    return;
}
void glCoverageMaskNV(GLboolean var0)
{
    return;
}
void glCoverageOperationNV(GLenum var0)
{
    return;
}
void glDrawBuffersNV(GLsizei var0, const GLenum* var1)
{
    return;
}
void glDrawArraysInstancedNV(GLenum var0, GLint var1, GLsizei var2, GLsizei var3)
{
    return;
}
void glDrawElementsInstancedNV(GLenum var0, GLsizei var1, GLenum var2, const void* var3, GLsizei var4)
{
    return;
}
void glDeleteFencesNV(GLsizei var0, const GLuint var1)
{
    return;
}
void glGenFencesNV(GLsizei var0, GLuint* var1)
{
    return;
}
void glIsFenceNV(GLuint var0)
{
    return;
}
void glTestFenceNV(GLuint var0)
{
    return;
}
void glGetFenceivNV(GLuint var0, GLenum var1, GLint* var2)
{
    return;
}
void glFinishFenceNV(GLuint var0)
{
    return;
}
void glSetFenceNV(GLuint var0, GLenum var1)
{
    return;
}
void glBlitFramebufferNV(GLint var0, GLint var1, GLint var2, GLint var3, GLint var4, GLint var5, GLint var6, GLint var7, GLbitfield var8, GLenum var9)
{
    return;
}
void glVertexAttribDivisorNV(GLuint var0, GLuint var1)
{
    return;
}
void glUniformMatrix2x3fvNV(GLint var0, GLsizei var1, GLboolean var2, const GLfloat* var3)
{
    return;
}
void glUniformMatrix3x2fvNV(GLint var0, GLsizei var1, GLboolean var2, const GLfloat* var3)
{
    return;
}
void glUniformMatrix2x4fvNV(GLint var0, GLsizei var1, GLboolean var2, const GLfloat* var3)
{
    return;
}
void glUniformMatrix4x2fvNV(GLint var0, GLsizei var1, GLboolean var2, const GLfloat* var3)
{
    return;
}
void glUniformMatrix3x4fvNV(GLint var0, GLsizei var1, GLboolean var2, const GLfloat* var3)
{
    return;
}
void glUniformMatrix4x3fvNV(GLint var0, GLsizei var1, GLboolean var2, const GLfloat* var3)
{
    return;
}
void glReadBufferNV(GLenum var0)
{
    return;
}
void glAlphaFuncQCOM(GLenum var0, GLclampf var1)
{
    return;
}
void glGetDriverControlsQCOM(GLint* var0, GLsizei var1, GLuint* var2)
{
    return;
}
void glGetDriverControlStringQCOM(GLenum var0, GLsizei var1, GLsizei* var2, GLchar* var3)
{
    return;
}
void glEnableDriverControlQCOM(GLuint var0)
{
    return;
}
void glDisableDriverControlQCOM(GLuint var0)
{
    return;
}
void glExtGetTexturesQCOM(GLuint* var0, GLint var1, GLint* var2)
{
    return;
}
void glExtGetBuffersQCOM(GLuint* var0, GLint var1, GLint* var2)
{
    return;
}
void glExtGetRenderbuffersQCOM(GLuint* var0, GLint var1, GLint* var2)
{
    return;
}
void glExtGetFramebuffersQCOM(GLuint* var0, GLint var1, GLint* var2)
{
    return;
}
void glExtGetTexLevelParameterivQCOM(GLuint var0, GLenum var1, GLint var2, GLenum var3, GLint* var4)
{
    return;
}
void glExtTexObjectStateOverrideiQCOM(GLenum var0, GLenum var1, GLint var2)
{
    return;
}
void glExtGetTexSubImageQCOM(GLenum var0, GLint var1, GLint var2, GLint var3, GLint var4, GLsizei var5, GLsizei var6, GLsizei var7, GLenum var8, GLenum var9, void* var10)
{
    return;
}
void glExtGetBufferPointervQCOM(GLenum var0, void** var1)
{
    return;
}
void glExtGetShadersQCOM(GLuint* var0, GLint var1, GLint* var2)
{
    return;
}
void glExtGetProgramsQCOM(GLuint* var0, GLint var1, GLint var2)
{
    return;
}
GLboolean glExtIsProgramBinaryQCOM(GLuint var0)
{
    GLboolean* __face_conform_abc = 0;
    return *__face_conform_abc;
}
void glExtGetProgramBinarySourceQCOM(GLuint var0, GLenum var1, GLchar* var2, GLint* var3)
{
    return;
}
void glStartTilingQCOM(GLuint var0, GLuint var1, GLuint var2, GLuint var3, GLbitfield var4)
{
    return;
}
void glEndTilingQCOM(GLbitfield var0)
{
    return;
}
