/************************************************************************************
 * Copyright (c) Vanderbilt University, 2020                                        *
 *                                                                                  *
 * ALL RIGHTS RESERVED, UNLESS OTHERWISE STATED                                     *
 *                                                                                  *
 * This software, authored by Vanderbilt University under a contract awarded to and *
 * managed by Alion Science and Technology, was funded by the U.S. Government under *
 * Contract No. FA8075-14-D-0014 and the U.S. Government has unlimited rights in    *
 * this software.  An unlimited rights license means that the U.S. Government can   *
 * use, modify, reproduce, release or disclose computer software in whole or in     *
 * part, in any manner, and for any purpose whatsoever, and to have or authorize    *
 * others to do so.                                                                 *
 *                                                                                  *
 * Vanderbilt University disclaims all warranties with regard to this software,     *
 * including all implied warranties of merchantability and fitness. In no event     *
 * shall Vanderbilt University be liable for any special, indirect or consequential *
 * damages or any damages whatsoever resulting from loss of use, data or profits,   *
 * whether in an action of contract, negligence or other tortious action, arising   *
 * out of or in connection with the use or performance of this software.            *
 *                                                                                  *
 * May contain products produced under DoD SENSIAC contract HC104705D4000 under the *
 * sponsorship of the Defense Technical Information Center,                         *
 * ATTN: DTIC-AI, 8723 John J. Kingman Rd., Ste 0944, Fort Belvoir, VA 22060-6218.  *
 * SENSIAC is a DoD Information Analysis Center Sponsored by the Defense Technical  *
 * Information Center.                                                              *
 *                                                                                  *
 * Conformance Test Suite Version 2.1.1r9 supporting FACE Standard Version 2.1.1    *
 *                                                                                  *
 * This file is generated and may be overwritten.                                   *
 *                                                                                  *
 * Release Date: 29-Aug-2023                                                        *
 ************************************************************************************/

#include "time.h"

char * tzname[2];
char* asctime_r(const struct tm *restrict var0, char *restrict var1)
{
    char* __face_conform_abc = 0;
    return __face_conform_abc;
}
clock_t clock()
{
    clock_t* __face_conform_abc = 0;
    return *__face_conform_abc;
}
int clock_getcpuclockid(pid_t var0, clockid_t * var1)
{
    int* __face_conform_abc = 0;
    return *__face_conform_abc;
}
int clock_getres(clockid_t var0, struct timespec * var1)
{
    int* __face_conform_abc = 0;
    return *__face_conform_abc;
}
int clock_gettime(clockid_t var0, struct timespec * var1)
{
    int* __face_conform_abc = 0;
    return *__face_conform_abc;
}
int clock_nanosleep(clockid_t var0, int var1, const struct timespec * var2, struct timespec * var3)
{
    int* __face_conform_abc = 0;
    return *__face_conform_abc;
}
int clock_settime(clockid_t var0, const struct timespec * var1)
{
    int* __face_conform_abc = 0;
    return *__face_conform_abc;
}
char* ctime_r(const time_t * var0, char * var1)
{
    char* __face_conform_abc = 0;
    return __face_conform_abc;
}
double difftime(time_t var0, time_t var1)
{
    double* __face_conform_abc = 0;
    return *__face_conform_abc;
}
struct tm * gmtime(const time_t * var0)
{
    struct tm * __face_conform_abc = 0;
    return __face_conform_abc;
}
struct tm * gmtime_r(const time_t *restrict var0, struct tm *restrict var1)
{
    struct tm * __face_conform_abc = 0;
    return __face_conform_abc;
}
struct tm * localtime(const time_t * var0)
{
    struct tm * __face_conform_abc = 0;
    return __face_conform_abc;
}
struct tm * localtime_r(const time_t *restrict var0, struct tm *restrict var1)
{
    struct tm * __face_conform_abc = 0;
    return __face_conform_abc;
}
time_t mktime(struct tm * var0)
{
    time_t* __face_conform_abc = 0;
    return *__face_conform_abc;
}
int nanosleep(const struct timespec * var0, struct timespec * var1)
{
    int* __face_conform_abc = 0;
    return *__face_conform_abc;
}
size_t strftime(char *restrict var0, size_t var1, const char *restrict var2, const struct tm *restrict var3)
{
    size_t* __face_conform_abc = 0;
    return *__face_conform_abc;
}
time_t time(time_t * var0)
{
    time_t* __face_conform_abc = 0;
    return *__face_conform_abc;
}
int timer_create(clockid_t var0, struct sigevent *restrict var1, timer_t *restrict var2)
{
    int* __face_conform_abc = 0;
    return *__face_conform_abc;
}
int timer_delete(timer_t var0)
{
    int* __face_conform_abc = 0;
    return *__face_conform_abc;
}
int timer_getoverrun(timer_t var0)
{
    int* __face_conform_abc = 0;
    return *__face_conform_abc;
}
int timer_gettime(timer_t var0, struct itimerspec * var1)
{
    int* __face_conform_abc = 0;
    return *__face_conform_abc;
}
int timer_settime(timer_t var0, int var1, const struct itimerspec *restrict var2, struct itimerspec *restrict var3)
{
    int* __face_conform_abc = 0;
    return *__face_conform_abc;
}
void tzset()
{
    return;
}
