/************************************************************************************
 * Copyright (c) Vanderbilt University, 2020                                        *
 *                                                                                  *
 * ALL RIGHTS RESERVED, UNLESS OTHERWISE STATED                                     *
 *                                                                                  *
 * This software, authored by Vanderbilt University under a contract awarded to and *
 * managed by Alion Science and Technology, was funded by the U.S. Government under *
 * Contract No. FA8075-14-D-0014 and the U.S. Government has unlimited rights in    *
 * this software.  An unlimited rights license means that the U.S. Government can   *
 * use, modify, reproduce, release or disclose computer software in whole or in     *
 * part, in any manner, and for any purpose whatsoever, and to have or authorize    *
 * others to do so.                                                                 *
 *                                                                                  *
 * Vanderbilt University disclaims all warranties with regard to this software,     *
 * including all implied warranties of merchantability and fitness. In no event     *
 * shall Vanderbilt University be liable for any special, indirect or consequential *
 * damages or any damages whatsoever resulting from loss of use, data or profits,   *
 * whether in an action of contract, negligence or other tortious action, arising   *
 * out of or in connection with the use or performance of this software.            *
 *                                                                                  *
 * May contain products produced under DoD SENSIAC contract HC104705D4000 under the *
 * sponsorship of the Defense Technical Information Center,                         *
 * ATTN: DTIC-AI, 8723 John J. Kingman Rd., Ste 0944, Fort Belvoir, VA 22060-6218.  *
 * SENSIAC is a DoD Information Analysis Center Sponsored by the Defense Technical  *
 * Information Center.                                                              *
 *                                                                                  *
 * Conformance Test Suite Version 2.1.1r9 supporting FACE Standard Version 2.1.1    *
 *                                                                                  *
 * This file is generated and may be overwritten.                                   *
 *                                                                                  *
 * Release Date: 29-Aug-2023                                                        *
 ************************************************************************************/

#include "pthread.h"

int pthread_atfork(void (*var0)(), void (*var1)(), void (*var2)())
{
    int* __face_conform_abc = 0;
    return *__face_conform_abc;
}
int pthread_attr_destroy(pthread_attr_t * var0)
{
    int* __face_conform_abc = 0;
    return *__face_conform_abc;
}
int pthread_attr_getdetachstate(const pthread_attr_t * var0, int * var1)
{
    int* __face_conform_abc = 0;
    return *__face_conform_abc;
}
int pthread_attr_getguardsize(const pthread_attr_t *restrict var0, size_t *restrict var1)
{
    int* __face_conform_abc = 0;
    return *__face_conform_abc;
}
int pthread_attr_getinheritsched(const pthread_attr_t *restrict var0, int *restrict var1)
{
    int* __face_conform_abc = 0;
    return *__face_conform_abc;
}
int pthread_attr_getschedparam(const pthread_attr_t *restrict var0, struct sched_param *restrict var1)
{
    int* __face_conform_abc = 0;
    return *__face_conform_abc;
}
int pthread_attr_getschedpolicy(const pthread_attr_t *restrict var0, int *restrict var1)
{
    int* __face_conform_abc = 0;
    return *__face_conform_abc;
}
int pthread_attr_getscope(const pthread_attr_t *restrict var0, int *restrict var1)
{
    int* __face_conform_abc = 0;
    return *__face_conform_abc;
}
int pthread_attr_getstack(const pthread_attr_t *restrict var0, void **restrict var1, size_t *restrict var2)
{
    int* __face_conform_abc = 0;
    return *__face_conform_abc;
}
int pthread_attr_getstacksize(const pthread_attr_t *restrict var0, size_t *restrict var1)
{
    int* __face_conform_abc = 0;
    return *__face_conform_abc;
}
int pthread_attr_init(pthread_attr_t * var0)
{
    int* __face_conform_abc = 0;
    return *__face_conform_abc;
}
int pthread_attr_setdetachstate(pthread_attr_t * var0, int var1)
{
    int* __face_conform_abc = 0;
    return *__face_conform_abc;
}
int pthread_attr_setguardsize(pthread_attr_t * var0, size_t var1)
{
    int* __face_conform_abc = 0;
    return *__face_conform_abc;
}
int pthread_attr_setinheritsched(pthread_attr_t * var0, int var1)
{
    int* __face_conform_abc = 0;
    return *__face_conform_abc;
}
int pthread_attr_setschedparam(pthread_attr_t *restrict var0, const struct sched_param *restrict var1)
{
    int* __face_conform_abc = 0;
    return *__face_conform_abc;
}
int pthread_attr_setschedpolicy(pthread_attr_t * var0, int var1)
{
    int* __face_conform_abc = 0;
    return *__face_conform_abc;
}
int pthread_attr_setscope(pthread_attr_t * var0, int var1)
{
    int* __face_conform_abc = 0;
    return *__face_conform_abc;
}
int pthread_attr_setstack(pthread_attr_t * var0, void * var1, size_t var2)
{
    int* __face_conform_abc = 0;
    return *__face_conform_abc;
}
int pthread_attr_setstacksize(pthread_attr_t * var0, size_t var1)
{
    int* __face_conform_abc = 0;
    return *__face_conform_abc;
}
int pthread_cancel(pthread_t var0)
{
    int* __face_conform_abc = 0;
    return *__face_conform_abc;
}
void pthread_cleanup_pop(int var0)
{
    return;
}
void pthread_cleanup_push(void (*var0)(void *), void * var1)
{
    return;
}
int pthread_cond_broadcast(pthread_cond_t * var0)
{
    int* __face_conform_abc = 0;
    return *__face_conform_abc;
}
int pthread_cond_destroy(pthread_cond_t * var0)
{
    int* __face_conform_abc = 0;
    return *__face_conform_abc;
}
int pthread_cond_init(pthread_cond_t *restrict var0, const pthread_condattr_t *restrict var1)
{
    int* __face_conform_abc = 0;
    return *__face_conform_abc;
}
int pthread_cond_signal(pthread_cond_t * var0)
{
    int* __face_conform_abc = 0;
    return *__face_conform_abc;
}
int pthread_cond_timedwait(pthread_cond_t *restrict var0, pthread_mutex_t *restrict var1, const struct timespec *restrict var2)
{
    int* __face_conform_abc = 0;
    return *__face_conform_abc;
}
int pthread_cond_wait(pthread_cond_t *restrict var0, pthread_mutex_t *restrict var1)
{
    int* __face_conform_abc = 0;
    return *__face_conform_abc;
}
int pthread_condattr_destroy(pthread_condattr_t * var0)
{
    int* __face_conform_abc = 0;
    return *__face_conform_abc;
}
int pthread_condattr_getclock(const pthread_condattr_t *restrict var0, clockid_t *restrict var1)
{
    int* __face_conform_abc = 0;
    return *__face_conform_abc;
}
int pthread_condattr_init(pthread_condattr_t * var0)
{
    int* __face_conform_abc = 0;
    return *__face_conform_abc;
}
int pthread_condattr_setclock(pthread_condattr_t * var0, clockid_t var1)
{
    int* __face_conform_abc = 0;
    return *__face_conform_abc;
}
int pthread_create(pthread_t *restrict var0, const pthread_attr_t *restrict var1, void * (*var2)(void *), void *restrict var3)
{
    int* __face_conform_abc = 0;
    return *__face_conform_abc;
}
int pthread_detach(pthread_t var0)
{
    int* __face_conform_abc = 0;
    return *__face_conform_abc;
}
int pthread_equal(pthread_t var0, pthread_t var1)
{
    int* __face_conform_abc = 0;
    return *__face_conform_abc;
}
void pthread_exit(void * var0)
{
    return;
}
int pthread_getconcurrency()
{
    int* __face_conform_abc = 0;
    return *__face_conform_abc;
}
int pthread_getcpuclockid(pthread_t var0, clockid_t * var1)
{
    int* __face_conform_abc = 0;
    return *__face_conform_abc;
}
int pthread_getschedparam(pthread_t var0, int *restrict var1, struct sched_param *restrict var2)
{
    int* __face_conform_abc = 0;
    return *__face_conform_abc;
}
void * pthread_getspecific(pthread_key_t  var0)
{
    void * __face_conform_abc = 0;
    return __face_conform_abc;
}
int pthread_join(pthread_t var0, void ** var1)
{
    int* __face_conform_abc = 0;
    return *__face_conform_abc;
}
int pthread_key_create(pthread_key_t * var0, void (*var1)(void *))
{
    int* __face_conform_abc = 0;
    return *__face_conform_abc;
}
int pthread_key_delete(pthread_key_t var0)
{
    int* __face_conform_abc = 0;
    return *__face_conform_abc;
}
int pthread_mutex_destroy(pthread_mutex_t * var0)
{
    int* __face_conform_abc = 0;
    return *__face_conform_abc;
}
int pthread_mutex_init(pthread_mutex_t *restrict var0, const pthread_mutexattr_t *restrict var1)
{
    int* __face_conform_abc = 0;
    return *__face_conform_abc;
}
int pthread_mutex_lock(pthread_mutex_t * var0)
{
    int* __face_conform_abc = 0;
    return *__face_conform_abc;
}
int pthread_mutex_timedlock(pthread_mutex_t *restrict var0, const struct timespec *restrict var1)
{
    int* __face_conform_abc = 0;
    return *__face_conform_abc;
}
int pthread_mutex_trylock(pthread_mutex_t * var0)
{
    int* __face_conform_abc = 0;
    return *__face_conform_abc;
}
int pthread_mutex_unlock(pthread_mutex_t * var0)
{
    int* __face_conform_abc = 0;
    return *__face_conform_abc;
}
int pthread_mutexattr_destroy(pthread_mutexattr_t * var0)
{
    int* __face_conform_abc = 0;
    return *__face_conform_abc;
}
int pthread_mutexattr_getprioceiling(const pthread_mutexattr_t *restrict var0, int *restrict var1)
{
    int* __face_conform_abc = 0;
    return *__face_conform_abc;
}
int pthread_mutexattr_getprotocol(const pthread_mutexattr_t *restrict var0, int *restrict var1)
{
    int* __face_conform_abc = 0;
    return *__face_conform_abc;
}
int pthread_mutexattr_init(pthread_mutexattr_t * var0)
{
    int* __face_conform_abc = 0;
    return *__face_conform_abc;
}
int pthread_mutexattr_setprioceiling(pthread_mutexattr_t * var0, int var1)
{
    int* __face_conform_abc = 0;
    return *__face_conform_abc;
}
int pthread_mutexattr_setprotocol(pthread_mutexattr_t * var0, int var1)
{
    int* __face_conform_abc = 0;
    return *__face_conform_abc;
}
int pthread_once(pthread_once_t * var0, void (*var1)())
{
    int* __face_conform_abc = 0;
    return *__face_conform_abc;
}
pthread_t  pthread_self()
{
    pthread_t * __face_conform_abc = 0;
    return *__face_conform_abc;
}
int pthread_setcancelstate(int var0, int * var1)
{
    int* __face_conform_abc = 0;
    return *__face_conform_abc;
}
int pthread_setcanceltype(int var0, int * var1)
{
    int* __face_conform_abc = 0;
    return *__face_conform_abc;
}
int pthread_setconcurrency(int var0)
{
    int* __face_conform_abc = 0;
    return *__face_conform_abc;
}
int pthread_setschedparam(pthread_t var0, int var1, const struct sched_param * var2)
{
    int* __face_conform_abc = 0;
    return *__face_conform_abc;
}
int pthread_setschedprio(pthread_t var0, int var1)
{
    int* __face_conform_abc = 0;
    return *__face_conform_abc;
}
int pthread_setspecific(pthread_key_t var0, const void * var1)
{
    int* __face_conform_abc = 0;
    return *__face_conform_abc;
}
