// Product produced under Contract No. FA8075-14-D-0014 and the U.S. Government
// has unlimited rights in this software.
//
// Vanderbilt University disclaims all warranties with regard to this
// software, including all implied warranties of merchantability and fitness.
// In no event shall Vanderbilt University be liable for any special,
// indirect or consequential damages or any damages whatsoever resulting
// from loss of use, data or profits, whether in an action of contract,
// negligence or other tortious action, arising out of or in connection
// with the use or performance of this software.
//
// May contain product produced under DoD SENSIAC contract HC104705D4000 under
// the sponsorship of the Defense Technical Information Center,
// ATTN: DTIC-AI, 8723 John J. Kingman Rd., Ste 0944, Fort Belvoir, VA
// 22060-6218.  SENSIAC is a DoD Information Analysis Center Sponsored
// by the Defense Technical Information Center.


package us.opengroup.FACE;

public class CompletionStatus implements us.opengroup.FACE.portable.IDLEntity {

    public static final int _COMPLETED_YES = 0;
    public static final CompletionStatus COMPLETED_YES = 
        new CompletionStatus(_COMPLETED_YES);

    public static final int _COMPLETED_NO = 1;
    public static final CompletionStatus COMPLETED_NO = 
        new CompletionStatus(_COMPLETED_NO);

    public static final int _COMPLETED_MAYBE = 2;
    public static final CompletionStatus COMPLETED_MAYBE = 
        new CompletionStatus(_COMPLETED_MAYBE);

    public int value() {
        throw new us.opengroup.FACE.NO_IMPLEMENT();
    }

    public static CompletionStatus from_int(int val) {
    switch (val) {
    case _COMPLETED_YES:
        return COMPLETED_YES;
    case _COMPLETED_NO:
        return COMPLETED_NO;
    case _COMPLETED_MAYBE:
        return COMPLETED_MAYBE;
    default:
        throw new us.opengroup.FACE.BAD_PARAM();
    }
    }

    protected CompletionStatus(int _value) {
        throw new us.opengroup.FACE.NO_IMPLEMENT();
    }

    public java.lang.Object readResolve() throws java.io.ObjectStreamException
    {
	return from_int( value() ) ;
    }

}