/***** Copyright (c) 1999 Object Management Group. Unlimited rights to 
       duplicate and use this code are hereby granted provided that this 
       copyright notice is included.
*****/

package us.opengroup.FACE;

abstract public class TypeCode implements us.opengroup.FACE.portable.IDLEntity {

    abstract public boolean equal(us.opengroup.FACE.TypeCode tc);
    abstract public boolean equivalent(us.opengroup.FACE.TypeCode tc);
    abstract public us.opengroup.FACE.TypeCode get_compact_typecode();
    abstract public us.opengroup.FACE.TCKind kind();

    abstract public java.lang.String id() throws
            us.opengroup.FACE.typecodepackage.BadKind;
    abstract public java.lang.String name() throws
            us.opengroup.FACE.typecodepackage.BadKind;

    abstract public int member_count() throws
            us.opengroup.FACE.typecodepackage.BadKind;
    abstract public java.lang.String member_name(int index) throws
            us.opengroup.FACE.typecodepackage.BadKind,
            us.opengroup.FACE.typecodepackage.Bounds;

    abstract public us.opengroup.FACE.TypeCode member_type(int index) throws
            us.opengroup.FACE.typecodepackage.BadKind,
            us.opengroup.FACE.typecodepackage.Bounds;

    abstract public us.opengroup.FACE.Any member_label(int index) throws
            us.opengroup.FACE.typecodepackage.BadKind,
            us.opengroup.FACE.typecodepackage.Bounds;
    abstract public us.opengroup.FACE.TypeCode discriminator_type() throws
            us.opengroup.FACE.typecodepackage.BadKind;
    abstract public int default_index() throws
            us.opengroup.FACE.typecodepackage.BadKind;

    abstract public int length() throws us.opengroup.FACE.typecodepackage.BadKind;

    abstract public us.opengroup.FACE.TypeCode content_type() throws
            us.opengroup.FACE.typecodepackage.BadKind;

    public short fixed_digits() throws
            us.opengroup.FACE.typecodepackage.BadKind {
        throw new us.opengroup.FACE.NO_IMPLEMENT();
    }
    public short fixed_scale() throws
            us.opengroup.FACE.typecodepackage.BadKind {
        throw new us.opengroup.FACE.NO_IMPLEMENT();
    }

    public short member_visibility(int index) throws 
            us.opengroup.FACE.typecodepackage.BadKind,
            us.opengroup.FACE.typecodepackage.Bounds {
        throw new us.opengroup.FACE.NO_IMPLEMENT();
    }
    public short type_modifier()
            throws us.opengroup.FACE.typecodepackage.BadKind {
        throw new us.opengroup.FACE.NO_IMPLEMENT();
    }
    public us.opengroup.FACE.TypeCode concrete_base_type() throws 
            us.opengroup.FACE.typecodepackage.BadKind {
        throw new us.opengroup.FACE.NO_IMPLEMENT();
    }

}