-------------------------------------------------------------------------------------
-- DISTRIBUTION STATEMENT A. Approved for public release; distribution is unlimited.
--                                                                                  
-- Product produced under DoD SENSIAC contract HC104705D4000 under the sponsorship  
-- of the Defense Technical Information Center,                                     
-- ATTN: DTIC-AI, 8723 John J. Kingman Rd., Ste 0944, Fort Belvoir, VA 22060-6218.  
-- SENSIAC is a DoD Information Analysis Center Sponsored by the Defense Technical  
-- Information Center.                                                              
--                                                                                  
-- HANDLING AND DESTRUCTION NOTICE - Comply with distribution statement and destroy 
-- by any method that will prevent disclosure of the contents or reconstruction of  
-- the document.                                                                    
--                                                                                  
-- Copyright (c) Vanderbilt University, 2014                                        
--                                                                                  
-- ALL RIGHTS RESERVED, UNLESS OTHERWISE STATED                                     
--                                                                                  
-- Developed under contract for the U.S. Department of Defense                      
-- by the Institute for Software Integrated Systems (ISIS), Vanderbilt University   
--                                                                                  
-- The FACE Consortium will not currently accept any results from this release for  
-- certifying software components as FACE Conformant                                
--                                                                                  
-- Vanderbilt University disclaims all warranties with regard to this software,     
-- including all implied warranties of merchantability and fitness.  In no event    
-- shall Vanderbilt University be liable for any special, indirect or               
-- consequential damages or any damages whatsoever resulting from loss of use,      
-- data or profits, whether in an action of contract, negligence or other tortious  
-- action, arising out of or in connection with the use or performance of this      
-- software.                                                                        
--                                                                                  
--                                                                                  
-- This file is generated and will be overwritten.  Do not modify by hand.          
-- Filename: goldStandardLibraries/Ada/src/IOS/face-io.adb                          
-- Date Created: 2014-10-20 16:20:38.849599                                         
-------------------------------------------------------------------------------------


package body FACE.IO is

    
    --------------------------------------
    -- Initialize
    --------------------------------------
    procedure Initialize
    (
        configuration : in     FACE.CONFIGURATION_RESOURCE;
        return_code   :    out FACE.RETURN_CODE_TYPE
    )
    is
    begin
        --  Generated stub: Only used for conformance testing
        null;
    end Initialize;
    
    
    --------------------------------------
    -- Open
    --------------------------------------
    procedure Open
    (
        name        : in     FACE.IO.INTERFACE_NAME_TYPE;
        timeout     : in     FACE.TIMEOUT_TYPE;
        handle      :    out FACE.IO.INTERFACE_HANDLE_TYPE;
        return_code :    out FACE.RETURN_CODE_TYPE
    )
    is
    begin
        --  Generated stub: Only used for conformance testing
        null;
    end Open;
    
    
    --------------------------------------
    -- Register
    --------------------------------------
    procedure Register
    (
        handle           : in     FACE.IO.INTERFACE_HANDLE_TYPE;
        callback_address : in     FACE.IO.CALLBACK_ADDRESS_TYPE;
        return_code      :    out FACE.RETURN_CODE_TYPE
    )
    is
    begin
        --  Generated stub: Only used for conformance testing
        null;
    end Register;
    
    
    --------------------------------------
    -- Unregister
    --------------------------------------
    procedure Unregister
    (
        handle      : in     FACE.IO.INTERFACE_HANDLE_TYPE;
        return_code :    out FACE.RETURN_CODE_TYPE
    )
    is
    begin
        --  Generated stub: Only used for conformance testing
        null;
    end Unregister;
    
    
    --------------------------------------
    -- Read
    --------------------------------------
    procedure Read
    (
        handle              : in     FACE.IO.INTERFACE_HANDLE_TYPE;
        timeout             : in     FACE.TIMEOUT_TYPE;
        message_length      : in out FACE.IO.MESSAGE_LENGTH_TYPE;
        data_buffer_address : in     FACE.IO.MESSAGE_ADDR_TYPE;
        return_code         :    out FACE.RETURN_CODE_TYPE
    )
    is
    begin
        --  Generated stub: Only used for conformance testing
        null;
    end Read;
    
    
    --------------------------------------
    -- Write
    --------------------------------------
    procedure Write
    (
        handle              : in     FACE.IO.INTERFACE_HANDLE_TYPE;
        timeout             : in     FACE.TIMEOUT_TYPE;
        message_length      : in     FACE.IO.MESSAGE_LENGTH_TYPE;
        data_buffer_address : in     FACE.IO.MESSAGE_ADDR_TYPE;
        return_code         :    out FACE.RETURN_CODE_TYPE
    )
    is
    begin
        --  Generated stub: Only used for conformance testing
        null;
    end Write;
    
    
    --------------------------------------
    -- Get_Status
    --------------------------------------
    procedure Get_Status
    (
        handle      : in     FACE.IO.INTERFACE_HANDLE_TYPE;
        status      :    out FACE.IO.STATUS_TYPE;
        return_code :    out FACE.RETURN_CODE_TYPE
    )
    is
    begin
        --  Generated stub: Only used for conformance testing
        null;
    end Get_Status;
    
    
    --------------------------------------
    -- Close
    --------------------------------------
    procedure Close
    (
        handle      : in     FACE.IO.INTERFACE_HANDLE_TYPE;
        return_code :    out FACE.RETURN_CODE_TYPE
    )
    is
    begin
        --  Generated stub: Only used for conformance testing
        null;
    end Close;
    


end FACE.IO;

