// Product produced under DoD SENSIAC contract HC104705D4000 under
// the sponsorship of the Defense Technical Information Center,
// ATTN: DTIC-AI, 8723 John J. Kingman Rd., Ste 0944, Fort Belvoir, VA
// 22060-6218.  SENSIAC is a DoD Information Analysis Center Sponsored
// by the Defense Technical Information Center.
//
// HANDLING AND DESTRUCTION NOTICE - Comply with distribution statement
// and destroy by any method that will prevent disclosure of
// contents or reconstruction of the document.


#ifndef _ATTITUDEDEGREE_HPP
#define _ATTITUDEDEGREE_HPP

#include "PitchDegree.hpp"
#include "HeadingDegree.hpp"
#include "RollDegree.hpp"

namespace FACE
{
    namespace DM
    {
        struct AttitudeDegree
        {
            FACE::DM::RollDegree roll;
            FACE::DM::PitchDegree pitch;
            FACE::DM::HeadingDegree yaw;

        };
    }
}

#endif	/* _ATTITUDEDEGREE_HPP*/	