// Product produced under DoD SENSIAC contract HC104705D4000 under
// the sponsorship of the Defense Technical Information Center,
// ATTN: DTIC-AI, 8723 John J. Kingman Rd., Ste 0944, Fort Belvoir, VA
// 22060-6218.  SENSIAC is a DoD Information Analysis Center Sponsored
// by the Defense Technical Information Center.
//
// HANDLING AND DESTRUCTION NOTICE - Comply with distribution statement
// and destroy by any method that will prevent disclosure of
// contents or reconstruction of the document.


#ifndef _ATTITUDERADIAN_HPP
#define _ATTITUDERADIAN_HPP

#include "HeadingRadian.hpp"
#include "PitchRadian.hpp"
#include "RollRadian.hpp"

namespace FACE
{
    namespace DM
    {
        struct AttitudeRadian
        {
            FACE::DM::RollRadian roll;
            FACE::DM::PitchRadian pitch;
            FACE::DM::HeadingRadian yaw;

        };
    }
}

#endif	/* _ATTITUDERADIAN_HPP*/	