// Product produced under DoD SENSIAC contract HC104705D4000 under
// the sponsorship of the Defense Technical Information Center,
// ATTN: DTIC-AI, 8723 John J. Kingman Rd., Ste 0944, Fort Belvoir, VA
// 22060-6218.  SENSIAC is a DoD Information Analysis Center Sponsored
// by the Defense Technical Information Center.
//
// HANDLING AND DESTRUCTION NOTICE - Comply with distribution statement
// and destroy by any method that will prevent disclosure of
// contents or reconstruction of the document.


#ifndef _POSITION_HPP
#define _POSITION_HPP

#include "Altitude.hpp"
#include "Latitude.hpp"
#include "Longitude.hpp"

namespace FACE
{
    namespace DM
    {
        struct Position
        {
            FACE::DM::Latitude latitude;
            FACE::DM::Longitude longitude;
            FACE::DM::Altitude altitude;

        };
    }
}

#endif	/* _POSITION_HPP*/	