#include <sys/mman.h>

#include "FACE/TS.h"

int main(int argc, char *argv[])
{
    /* Sample OSS call */
	void *addr; 
	size_t len;
	int prot;
	int flags;
        int fildes;
	off_t off;

	mmap(addr, len, prot, flags, fildes, off);


    /* Sample TSS Call */
	FACE_CONNECTION_ID_TYPE connection_id;
	FACE_SYSTEM_TIME_TYPE timeout;
	FACE_TRANSACTION_ID_TYPE transaction_id;
	FACE_DM_EGI_Data message;
	FACE_MESSAGE_SIZE_TYPE message_size;
	FACE_RETURN_CODE_TYPE return_code;


    FACE_TS_Receive_Message_FACE_DM_EGI_Data
    (
        /* in */ connection_id,
        /* in */ timeout,
        /* inout */ &transaction_id,
        /* out */ &message,
        /* in */ message_size,
        /* out */ &return_code
    );

	return 0;
}

