/*************************************************************************************
 * DISTRIBUTION STATEMENT A. Approved for public release; distribution is unlimited. *
 *                                                                                   *
 * Product produced under DoD SENSIAC contract HC104705D4000 under the sponsorship   *
 * of the Defense Technical Information Center,                                      *
 * ATTN: DTIC-AI, 8723 John J. Kingman Rd., Ste 0944, Fort Belvoir, VA 22060-6218.   *
 * SENSIAC is a DoD Information Analysis Center Sponsored by the Defense Technical   *
 * Information Center.                                                               *
 *                                                                                   *
 * HANDLING AND DESTRUCTION NOTICE - Comply with distribution statement and destroy  *
 * by any method that will prevent disclosure of the contents or reconstruction of   *
 * the document.                                                                     *
 *                                                                                   *
 * Copyright (c) Vanderbilt University, 2014                                         *
 *                                                                                   *
 * ALL RIGHTS RESERVED, UNLESS OTHERWISE STATED                                      *
 *                                                                                   *
 * Developed under contract for the U.S. Department of Defense                       *
 * by the Institute for Software Integrated Systems (ISIS), Vanderbilt University    *
 *                                                                                   *
 * The FACE Consortium will not currently accept any results from this release for   *
 * certifying software components as FACE Conformant                                 *
 *                                                                                   *
 * Vanderbilt University disclaims all warranties with regard to this software,      *
 * including all implied warranties of merchantability and fitness.  In no event     *
 * shall Vanderbilt University be liable for any special, indirect or                *
 * consequential damages or any damages whatsoever resulting from loss of use,       *
 * data or profits, whether in an action of contract, negligence or other tortious   *
 * action, arising out of or in connection with the use or performance of this       *
 * software.                                                                         *
 *                                                                                   *
 *                                                                                   *
 * This file is generated and will be overwritten.  Do not modify by hand.           *
 * Filename: goldStandardLibraries/C/src/TSS/TypeAbstraction_TS.c                    *
 * Date Created: 2014-10-21 13:34:51.969081                                          *
 *************************************************************************************/

#include <FACE/TypeAbstraction_TS.h>


void FACE_TypeAbstractionTS_Initialize (
        /* in     */ FACE_CONFIGURATION_RESOURCE configuration,
        /*    out */ FACE_RETURN_CODE_TYPE *return_code
    )
    {
        /* Function Stub...used only for FACE conformance testing */
    }

void FACE_TypeAbstractionTS_Create_Connection (
        /* in     */ FACE_CONNECTION_NAME_TYPE connection_name,
        /* in     */ FACE_MESSAGING_PATTERN_TYPE pattern,
        /*    out */ FACE_CONNECTION_ID_TYPE *connection_id,
        /*    out */ FACE_CONNECTION_DIRECTION_TYPE *connection_direction,
        /*    out */ FACE_MESSAGE_SIZE_TYPE *max_message_size,
        /* in     */ FACE_TIMEOUT_TYPE timeout,
        /*    out */ FACE_RETURN_CODE_TYPE *return_code
    )
    {
        /* Function Stub...used only for FACE conformance testing */
    }

void FACE_TypeAbstractionTS_Destroy_Connection (
        /* in     */ FACE_CONNECTION_ID_TYPE connection_id,
        /*    out */ FACE_RETURN_CODE_TYPE *return_code
    )
    {
        /* Function Stub...used only for FACE conformance testing */
    }

void FACE_TypeAbstractionTS_Receive_Message (
        /* in     */ FACE_CONNECTION_ID_TYPE connection_id,
        /* in     */ FACE_TIMEOUT_TYPE timeout,
        /* in out */ FACE_TRANSACTION_ID_TYPE *transaction_id,
        /* in out */ void  *message,
        /* in out */ FACE_MESSAGE_TYPE_GUID *message_type_id,
        /* in out */ FACE_MESSAGE_SIZE_TYPE *message_size,
        /*    out */ FACE_RETURN_CODE_TYPE *return_code
    )
    {
        /* Function Stub...used only for FACE conformance testing */
    }

void FACE_TypeAbstractionTS_Send_Message (
        /* in     */ FACE_CONNECTION_ID_TYPE connection_id,
        /* in     */ FACE_TIMEOUT_TYPE timeout,
        /* in out */ FACE_TRANSACTION_ID_TYPE *transaction_id,
        /* in out */ void  *message,
        /* in     */ FACE_MESSAGE_TYPE_GUID message_type_id,
        /* in     */ FACE_MESSAGE_SIZE_TYPE message_size,
        /*    out */ FACE_RETURN_CODE_TYPE *return_code
    )
    {
        /* Function Stub...used only for FACE conformance testing */
    }

void FACE_TypeAbstractionTS_Register_Callback (
        /* in     */ FACE_CONNECTION_ID_TYPE connection_id,
        /* in     */ FACE_WAITSET_TYPE waitset,
        /* in out */ FACE_Read_Callback_send_event_Ptr data_callback,
        /* in     */ FACE_MESSAGE_SIZE_TYPE max_message_size,
        /*    out */ FACE_RETURN_CODE_TYPE *return_code
    )
    {
        /* Function Stub...used only for FACE conformance testing */
    }

void FACE_TypeAbstractionTS_Unregister_Callback (
        /* in     */ FACE_CONNECTION_ID_TYPE connection_id,
        /*    out */ FACE_RETURN_CODE_TYPE *return_code
    )
    {
        /* Function Stub...used only for FACE conformance testing */
    }

void FACE_TypeAbstractionTS_Get_Connection_Parameters (
        /* in out */ FACE_CONNECTION_NAME_TYPE *connection_name,
        /* in out */ FACE_CONNECTION_ID_TYPE *connection_id,
        /*    out */ FACE_TRANSPORT_CONNECTION_STATUS_TYPE *connection_status,
        /*    out */ FACE_RETURN_CODE_TYPE *return_code
    )
    {
        /* Function Stub...used only for FACE conformance testing */
    }


